2005-09-14 14:15:06  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* init.h: Refer to $use_envelope_from rather than old
	$envelope_from in description of $envelope_from_address.

2005-09-14 02:45:44  Brendan Cully  <brendan@kublai.com>  (brendan)

	* globals.h, init.h, sendlib.c: Add new $envelope_from_address
	variable for manually specifying the envelope sender. Rename (with
	compatibility synonym) $envelope_from to $use_envelope_from. Make
	$envelope_from subordinate to $use_e_f, as $from is to $use_from.

2005-09-13 20:36:17  Brendan Cully  <brendan@kublai.com>  (brendan)

	* doc/Makefile.in: Put chunked HTML manual in top doc directory
	instead of HTML subdirectory.  Solves a weird $distdir
	absolute/relative path nuisance.

2005-09-12 06:22:21  Brendan Cully  <brendan@kublai.com>  (brendan)

	* curs_lib.c, pop.c, pop.h, pop_lib.c: Teach pop driver about
	mutt_progress_bar. Allow progress bar to omit total size if zero
	(=unknown).

2005-09-10 18:47:17  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* menu.c: Correct some inconsistencies introduced by
	$menu_context. Closes: #2019?

2005-09-10 06:02:04  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/imap.c, curs_lib.c: A pair of small optimisations to the
	progress bar.

2005-09-08 16:37:59  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_socket.c: Set CLOEXEC on sockets in IPv4 code path like we
	do in IPv6.

	* pattern.c: Make stringmatch pattern detection stateless.

	* curs_lib.c: ifdef USE_SOCKET around mutt_progress_bar.

2005-09-08 07:09:46  Bernd Ahlers  <bernd@ba-net.org>  (brendan)

	* po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po,
	po/zh_TW.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po,
	po/pl.po, po/pt_BR.po, po/ru.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po,
	po/id.po, po/ca.po, po/cs.po: Correct some S/MIME po entries.

2005-09-07 08:01:59  Brendan Cully  <brendan@kublai.com>  (brendan)

	* curs_lib.c: Ensure progress bar rounds to $net_inc.

	* curs_lib.c, globals.h, imap/imap.c, imap/imap_private.h,
	imap/message.c, init.h, mutt_curses.h: Display progress meter when
	uploading/fetching IMAP data. Closes: #1772.

	* pager.c: Adjust gross hack to return to the same line in the
	pager after an index operation so that it doesn't shoot past the
	end of the file if there are fewer lines on return (eg when weed
	is set).

	* mx.c, pgp.c: Silence some GCC warnings about uninitialized
	variables.

	* build-release, configure.in, mutt.h: Remove international
	vs. U.S. distribution distinction. build-release expects the
	previous version to be x.y.zi and should be updated again for
	1.5.12.

2005-09-06 16:46:44  Brendan Cully  <brendan@kublai.com>  (brendan)

	* doc/manual.xml.head: More documentation cosmetics (newlines
	between Usage: lines).

	* pager.c: Gross hack to return to the same line in the pager
	after executing an index function. Closes: #1210.

	* doc/manual.xml.head, imap/command.c, imap/imap.c, imap/imap.h,
	init.c, mutt.h, pattern.c: Extend pattern language to do simple
	string matches as well as regular expressions when the pattern is
	invoked with = instead of ~. And, when possible, perform full body
	searches on the IMAP server instead of locally, for an enormous
	speed boost.

	* imap/utf7.c, init.c, main.c, protos.h: Fix a memory leak in
	imap_utf7_decode and do a little cleanup on shutdown.  Get a
	high five from valgrind.

	* curs_main.c, main.c: Move SASL and IMAP shutdown hooks into main
	where they belong.

	* init.c: Release pwent after extracting data from it.

	* mutt_sasl.h, curs_main.c, mutt_sasl.c: Release global SASL state
	when quitting.

2005-09-05 04:22:45  Brendan Cully  <brendan@kublai.com>  (brendan)

	* doc/manual.xml.head: Documentation cosmetics (add some line
	breaks).

	* init.h: Point $hide_top_limited to $hide_limited instead of
	$hide_missing. Likewise for $hide_top_missing. Closes: #2039.

	* init.h: Mention $sort_re in $strict_threads
	documentation. Closes: #2052.

	* doc/manual.xml.head: Add a push example. Closes: #1591.

2005-09-04 19:46:26  Rupert Levene  <rupert@levene.dyndns.org>  (brendan)

	* doc/manual.xml.head: Mention $include when describing how mutt
	prepares message replies. Closes: #1471.                                 

2005-09-04 19:28:19  Dale Woolridge  (brendan)

	* pattern.c, protos.h, parse.c: Unfold message headers before
	performing ~h search. Closes: #1865.

2005-09-04 18:01:57  <Zardoz@users.sourceforge.net>  (brendan)

	* keymap.c: Teach keymap.c about KEY_NEXT. Closes: #1588.

2005-09-04 06:57:04  Alain Bench  <veronatif@free.fr>  (brendan)

	* doc/manual.xml.head, doc/manual.xml.tail: Note that <Tab> is
	bound to next-new-then-unread by default, rather than
	next-new. Closes: #1637.

	* curs_main.c, pattern.c: Allow empty limits, and limits in empty
	mailboxes. Closes: #1853, #1906.

2005-09-03 23:22:31  Brendan Cully  <brendan@kublai.com>  (brendan)

	* send.c, attach.c: Note when mutt_edit_attachment fails and
	display error instead of prompting to abort an unmodified
	file. Closes: #2051.

2005-09-03 19:41:53  Alain Bench  <veronatif@free.fr>  (brendan)

	* contrib/gpg.rc: One should let GnuPG charset be automatically
	infered from whatever current locale, without hardcoding.

2005-09-03 04:34:25  Brendan Cully  <brendan@kublai.com>  (brendan)

	* doc/manual.xml.head: Just use EXPR as a place holder for regular
	expressions, instead of any of EXPR, USER, ID and SUBJECT. Noted
	by Vincent Lefevre.

	* doc/manual.sgml.head, doc/manual.sgml.tail, doc/manual.xml.head,
	doc/manual.xml.tail, doc/Makefile.in: Rename manual.sgml.* to
	manual.xml.*.

2005-09-02 18:18:19  Alain Bench  <veronatif@free.fr>  (brendan)

	* keymap.c: Allow non-ascii characters in push arguments. Closes: #2023.

	* doc/manual.sgml.head, doc/muttrc.man.head, mutt.h, pattern.c:
	Adjust ~l to match all known lists, add ~u to match only
	subscribed lists. Normalise pattern ordering in docs. Closes:
	#2050.

2005-09-01 17:07:14  Brendan Cully  <brendan@kublai.com>  (brendan)

	* configure.in, imap/auth_sasl.c, main.c, mutt_sasl.c,
	mutt_sasl.h, pop_auth.c: Remove obsolete Cyrus SASL 1.5 support.

	* doc/chunk.xsl, doc/html.xsl: Docbook support files, dropped
	in the initial commit.

	* doc/manual.sgml.tail, configure.in, doc/Makefile.in,
	doc/manual.sgml.head, makedoc.c: Convert documentation from
	linuxdoc to docbook format. Let the bug avalanche begin.

2005-08-30 21:34:36  Lars Hecking  <lhecking@users.sourceforge.net> (brendan)

	* configure.in: Don't define domain="no" when configured
	--without-domain. Closes: #2046.

2005-08-24 15:17:43  Brendan Cully  <brendan@kublai.com>  (brendan)

	* pgp.c: Don't treat PGP inline signature verification errors as
	fatal.

2005-08-22 20:30:11  Brendan Cully  <brendan@kublai.com>  (brendan)

	* pgp.c: Pause after error message if PGP decode fails, in case
	mutt_copy_message overwrites. Real error handling cleanup will have
	to wait...

	* pgp.c: Don't attempt to manipulate null pgp output file handles.

2005-08-16 18:10:11  Paul Walker  <paul@black-sun.demon.co.uk>  (brendan)

	* doc/manual.sgml.head, doc/mutt.man, main.c: -D dumps to stdout,
	not stderr.

2005-08-15 08:10:48  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/id.po: Fix \n mismatch.

2005-08-15 08:07:36  Ronny Haryanto  <ronnylist@haryan.to>  (roessler)

	* po/id.po: update

2005-08-15 08:06:40  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update

2005-08-14 21:32:17  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* attach.c, send.c: Don't pass an empty filename to the default
	text editor when editing non-plain text. Also don't clobber
	$content_type when parsing it. Closes: #2038.

2005-08-14 12:28:52  Roland Rosenfeld  <roland@spinnaker.de>  (roessler)

	* po/de.po: update

2005-08-14 02:22:47  Bernd Ahlers  <bernd@ba-net.org>  (brendan)

	* cryptglue.c, mutt_sasl.c, smime.c: Fix some S/MIME spelling
	inconsistencies.

2005-08-12 23:06:25  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_ssl_gnutls.c: Turn off input buffering for gnutls SSL
	certificate menu, as we do in the openssl version.

	* imap/auth_sasl.c: Override SASL initial response if the server
	spoke first in its continuation response. Closes: #2034.

	* doc/Makefile.in: Degnuify mutt.1 make rule. Imagining a world
	in which gnu documentation flagged any extensions to standard
	utilities almost makes me cry.

2005-08-12 12:52:11  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* po/ja.po: update

2005-08-12 07:49:37  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: Update.

2005-08-12 03:57:16  Brendan Cully  <brendan@kublai.com>  (brendan)

	* configure.in: Force configure to depend on VERSION. That's been
	bugging me for a while.

2005-08-11 21:46:26  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/zh_CN.po, po/zh_TW.po, po/bg.po, po/ca.po, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po,
	po/fr.po, po/gl.po, po/hu.po, po/id.po, po/it.po, po/ja.po,
	po/ko.po, po/lt.po, po/nl.po: automatic post-release commit for
	mutt-1.5.10

	* Makefile.am, VERSION, reldate.h: Fix Makefile.am.
	(VERSION and reldate.h actually are bad commits -- but that
	doesn't matter.  Release imminent.)

2005-08-11 21:16:38  Brendan Cully  <brendan@kublai.com>  (brendan)

	* copy.c, crypt-gpgme.c, crypt-gpgme.h, crypt-mod-pgp-classic.c,
	crypt-mod-pgp-gpgme.c, crypt-mod-smime-classic.c,
	crypt-mod-smime-gpgme.c, crypt-mod.h, crypt.c, cryptglue.c,
	handler.c, mutt_crypt.h, pgp.c, pgp.h, protos.h, smime.c, smime.h:
	Add error results to mutt_body_handlers, and check them when
	doing decode-save. Closes: #1919.

2005-08-11 21:08:55  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Fix verification of clearsigned PGP messages.
	(debugged on IRC, mostly by Brendan)

2005-08-11 02:15:14  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (brendan)

	* configure.in: Don't test against nonexistent cache
	variable. Spotted by Torsten Veller.

2005-08-11 01:44:49  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_sasl.c: Silence some compiler warnings.

2005-08-09 20:13:03  Brendan Cully  <brendan@kublai.com>  (brendan)

	* doc/Makefile.in, doc/manual.sgml.tail: Replace raw latin1
	characters with entities, and enable latin output for
	manual.txt. I'm not sure this is ideal for non-latin (eg
	utf8) environments, but hopefully docbook will resolve this
	anyway. Closes: #2029.

	* doc/manual.sgml.head: Replace free ~ with &tilde;. Closes:
	#2030.

	* pgp.c: Move pgp failure check inside the if (invoke pgp)
	block. Really Closes: 2032.

	* pgp.c: Don't ftell pgp output file if there isn't one. Closes:
	#2032.

2005-08-09 16:24:15  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* crypt-gpgme.c: Improve translatability of crypt-gpgme. Closes:
	#2020.

2005-08-09 16:10:40  Mads Martin Joergensen  <mmj@suse.de>  (brendan)

	* copy.c: Remove an unneeded cast, which introduces
	type-punning. Modified to use FREE instead of safe_free, since
	that seems to be the convention. I personally don't see the
	point.

2005-08-08 18:59:43  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_socket.c: Pause for a moment when a hostname fails to
	resolve. Closes #1942.	There are a number of cases where mutt
	cascades error messages. It might be nice if there were an error
	stack so that low level functions could push_error instead of
	displaying it right away, and the higher level ones could eg
	mutt_message(_("Failed to write FCC: %s"), pop_error ())...

	* main.c: Document -d option in mutt -h output. Closes #2027.

	* init.h: Remove undefined reference to unmailboxes
	command. Closes #2028.

2005-08-08 06:44:01  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/imap.c: Fix edge case where we might have to wait two
	timeouts to check for IMAP mail.

	* imap/command.c, imap/imap.c, init.h: Fix bug just introduced in
	lsub parsing that could cause mutt to loop indefinitely. Don't
	recheck subscriptions at every mailbox change, just the initial
	connection.

	* imap/imap.c: If imap_check_subscribed is set, mailbox or
	unmailbox folders in response to subscribe/unsubscribe commands in
	the browser.

	* imap/browse.c, imap/command.c, imap/imap.c, init.h, mutt.h: New
	option: $imap_check_subscribed. If set, mutt will fetch the set of
	subscribed mailboxes from the server and add them to the buffy
	list.

	* browser.c: Avoid a segfault attempting to browse an invalid IMAP
	URL.

	* imap/imap.c: Extend IMAP host completion to complete over open
	connections.

	* imap/imap.c: Allow IMAP tab-completion to complete over defined
	mailboxes, saving a bunch of typing for the hostname part of the
	URL. Should probably be extended to complete over open connections
	and possibly also folder/account hooks.

	* account.c, curs_lib.c, protos.h: Reuse mutt_get_field for
	mutt_get_field_unbuffered.

2005-08-07 06:20:37  Anders Helmersson  <anders.helmersson.utsikt@wasadata.net>  (brendan)

	* pager.c: Certain versions of libc may segfault during regex
	processing if given incomplete multibyte characters. Work around
	this by manually trimming the display buffer. I modified it
	somewhat to only check when the situation is most likely to occur:
	fgets has read all the way to the capacity of the buffer. Thanks
	also to Tamo for his comments.

2005-08-07 04:58:12  Brendan Cully  <brendan@kublai.com>  (brendan)

	* account.c, curs_lib.c, protos.h: Make username prompts
	unbuffered like password prompts are (no more folder-hook push
	garbage)

2005-08-06 22:20:55  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/imap.c, lib.c, lib.h, mutt.h, mutt_tunnel.c, sendlib.c:
	Report non-zero exit status of tunnel command. Closes: #1749.

	* imap/imap.c, imap/util.c, init.h, mutt.h, pop_lib.c: Replace
	pointless imap_force_ssl option with ssl_force_tls, which requires
	any connection (POP or IMAP) to a remote server to be encrypted,
	and attempts to negotiate encryption even if the capability isn't
	advertised (this last bit is of dubious utility, but essentially
	harmless since the connection would otherwise fail
	anyway). Closes: #1284.

	* imap/browse.c: Kill a warning.

2005-08-06 19:06:36  Brendan Cully  <brendan@kublai.com>  (brendan)

	* init.c: Use isalnum instead of isalpha when parsing unbraced
	environment variable names, per tamo's suggestion. Closes #2022.

2005-08-05 02:16:46  Brendan Cully  <brendan@kublai.com>  (brendan)

	* attach.c, attach.h, browser.c, curs_main.c, mutt.h, mutt_menu.h,
	pager.h, protos.h: Move some attachment-related prototypes and
	structures into attach.h from the global headers. A small step
	towards sane dependency tracking and code cleanliness.
                                 
2005-08-04 01:15:52  Brendan Cully <brendan@kublai.com>  (brendan)

	* compose.c: Don't unlink non-mutt files that would have been
	unlinked on send if the message is cancelled.
                                 
	* account.c: Fix C precedence buglet in getlogin preventing it
	from actually calling getuser.

2005-08-03 06:51:24  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_ssl.c: Don't double-free X509 certificates. This patch
	looks wrong, but it isn't.
                                 
	* Makefile.am, po/Makefile.in.in, po/POTFILES.in: Remove
	mutt_ssl_nss.c from POTFILES.in. Also hack the makefiles to build
	keymap_alldefs.h in $(top_srcdir), since that's where xgettext
	looks. Not super clean I guess - the other alternative is to sed
	POTFILES.

	* globals.h, init.c, init.h, mutt.h, mutt_sasl.c, mutt_socket.c,
	mutt_ssl.h, mutt_ssl_nss.c, pop_lib.c, configure.in: Put moribund
	NSS support out to pasture.

	* compose.c, mutt.h: In compose menu, detach should be able to
	unlink files generated by mutt, but not files that existed before.

2005-08-02 05:58:18  Brendan Cully  <brendan@kublai.com>  (brendan)

	* commands.c, pgp.c: More fiddling with PGP results. When
	rerunning PGP on a message, clear old security result bits to
	avoid confusing messages like 'decrypt failed; PGP signature
	successfully verified'.

	* pgp.c: Forget passphrase on PGP/inline decryption error, and
	improve status line messages.

	* configure.in: Make $docdir relative to $prefix, like the other
	prefixes.

	* contrib/Makefile.in, doc/Makefile.in: Be more selective about
	what to remove during uninstall. (closes #1625)

	* pgp.c: Also forget passphrase when encrypt fails, if
	signing. (closes #1025 again)

	* imap/message.c: Check that the entire message downloaded
	successfully on fetch, and don't treat a disappearing cache file
	as fatal. (closes #1483)

	* compose.c: Don't unlink attachments that you've decided not to
	send. (closes #1328)

	* pgp.c: Bump up size of PgpPass to 1024 from 256. Seems crazy,
	but it's harmless and it (closes #1207).
                                 
	* account.c: Fix password prompt for POP (more authentication ID
	fallout).

	* doc/manual.sgml.head: Document <backtab> key.
                                 
	* pgp.c: Automatically forget PGP passphrase on sign or decrypt
	error. (closes #1025). Display "successfully decrypted" message
	instead of nothing. Superseded by signature verification.
                                 
	* commands.c, pgp.c: Don't report PGP signature could not be
	verified unless there really is a signature verification problem
	(not some other PGP error).

	* Makefile.am: Install system muttrc from the build directory, not
	the source directory.

	* mbox.c: Restore Sort immediately after sorting by mailbox order
	in mbox_sync_mailbox. (closes #972)

	* doc/Makefile.in, doc/mutt.man: Insert compile-time paths to
	system resources into mutt.man. (closes #854)

	* commands.c, protos.h: Report errors occuring in
	_mutt_save_message. (closes #847)

2005-08-01 07:35:04  Brendan Cully  <brendan@kublai.com>  (brendan)

	* globals.h, mutt.h, mutt_ssl.c, muttlib.c: Cache SSL certificates
	that have been accepted but not saved until mutt exits. (closes
	#643). Create mutt_add_list_n for adding non-character data to
	lists, have mutt_add_list call it.

2005-08-01 04:57:04  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mx.c: Report error creating FCC when writing to IMAP
	server. Addresses #423.

2005-08-01 01:43:06  Brendan Cully  <brendan@kublai.com>  (brendan)

	* init.c: complete :set mbox_type=<tab>. (closes #1649)

2005-07-30 04:40:45  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* pager.c: The builtin pager tries to wrap a line for ever if:
	0) the line contains a space or a tab character followed by a very
	   long word, and 
	1) M_PAGER_NSKIP flag is passed to it, and
	2) $smart_wrap is set. (default)

2005-07-30 04:13:07  Vincent Lefevre  <vincent@vinc17.org>  (brendan)

	* curs_main.c, pager.c: When using colors, the status line of the
	index is displayed in a bright color, even when the prefix
	"bright" is *not* given in the foreground color. The problem
	occurs when I have the following additional line:
	  color normal brightwhite black
	The problem is that BKGDSET's are missing.

2005-07-30 03:59:04  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* recvattach.c: Don't refuse to delete attachments just because a
	message has been checked for "traditional" PGP encoding. (closes
	#2013)

2005-07-29 18:05:50  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp> (brendan)

	* init.c: "nospam foo" causes a segv if you have not set any
	"spam", because of a null pointer dereference.

2005-07-29 06:45:14  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_ssl_gnutls.c: Tweak a poorly-worded error message in the
	gnutls glue, pointed out by Vincent Lefevre.

2005-07-29 01:51:36  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/imap.c: Fix bug added in revision 3.26, where
	imap_sync_mailbox failed to check whether it was supposed to
	expunge before issuing a CLOSE.

2005-07-28 20:42:45  ttakah@lapis.plala.or.jp  (roessler)

	* crypt-gpgme.c: Fix mutt/2004; S/MIME user interface differences
	between GPGME and classic.

2005-07-28 19:47:40  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/auth_cram.c, imap/auth_login.c: Use mutt_account_getlogin
	instead of getuser for authentication methods that only support an
	authentication ID. As a side-effect, don't display a dangling
	authentication name pointer in getpass.

2005-07-27 15:08:43  Vincent Lefevre  <vincent@vinc17.org>  (brendan)

	* crypt-gpgme.c: Correct two typos in GPGME error messages.

2005-07-27 05:53:27  Brendan Cully  <brendan@kublai.com>  (brendan)

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/es.po,
	po/et.po, po/gl.po, po/lt.po, po/pt_BR.po, po/sk.po: Update
	Thomas' address in several out-of-date PO files. (closes #990)

2005-07-27 04:29:36  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_ssl_gnutls.c: Silence some harmless warnings. Also, one day
	-pedantic is going to get held up on the causeway.

2005-07-27 00:40:15  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/command.c: More fiddling with fatal state handling. Not
	tested, and probably as wrong as what was already there.

2005-07-27 00:32:18  Brendan Cully  <brendan@kublai.com>  (brendan)

	* muttlib.c: Rework mutt_save_confirm to support confirmappend
	with IMAP mailboxes.  I hope I got all cases right.

2005-07-26 23:57:38  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/imap.c: Adjust imap_access so that it doesn't issue STATUS
	on the selected mailbox, and have imap_open_mailbox_append use
	imap_access instead of rolling its own.

2005-07-26 18:45:01  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* crypt-gpgme.c, mutt_ssl_gnutls.c, po/POTFILES.in: Partial
	application of Tamo's translation patch for gpgme and gnutls.

2005-07-26 16:44:20  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/imap.c: Don't check for the existence of a mailbox we're
	already in when appending. (closes #1842)

2005-07-26 16:40:16  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* init.h: Return $menu_move_off default to status quo ante.

2005-07-26 16:39:17  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* init.h: hcache spelling fixes

2005-07-26 16:37:28  Tamotsu Takahashi  <ttakah@lapis.plala.or.jp>  (roessler)

	* enter.c: Introduce fall-back from complete-query to complete
	for the edit menu, so 'bind editor <tab> complete-query'
	becomes possible.

2005-07-26 06:14:34  "Brent J. Nordquist"  <brent@nordist.net>  (brendan)

	* doc/manual.sgml.head: Correct a couple of typos (and change
	&hyphen; to -: although the text version of the manual renders
	&hyphen;, the web version does not).

2005-07-26 05:58:29  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (brendan)

	* pattern.c: Interpret an empty limit as a request to cancel the
	current limit. (Closes #1854)

2005-07-26 05:28:02  Brendan Cully  <brendan@kublai.com>  (brendan)

	* mutt_ssl.c: Don't offer to save expired or not-yet-valid
	certificates. Closes #1943 as a side-effect.

2005-07-26 05:04:23  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/imap.c, imap/imap_private.h: Rework IMAP CLOSE handling to
	avoid expunging messages when exiting without saving changes.
	(closes #1899)

2005-07-26 03:09:55  Ralf Wildenhues  <wildenhues@ins.uni-bonn.de>  (brendan)

	* mbyte.c, mutt_socket.c: There are some functions without ANSI
	prototypes left in mutt-owned sources.

2005-07-25 20:07:23  Brendan Cully  <brendan@kublai.com>  (brendan)

	* init.h: Update _MAKEDOC macro so that the documentation includes
	all variables.

2005-07-25 15:48:36  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* copy.c, imap/imap.c, mh.c, mutt.h, muttlib.c, thread.c: Get rid
	of IMAP-related special casing all over the thread editing code.

2005-07-25 04:56:38  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/message.c: Indentation, mostly

	* imap/message.c: Minor cosmetic cleanup (fewer #ifdef HCACHE blocks)

	* muttlib.c: Suppress a printf format warning

	* muttlib.c: Typo in last commit.

	* imap/message.c, muttlib.c, protos.h: Merge full envelope from
	message fetch into original sparse envelope, instead of replacing
	it. This should be gentler on the various threading hashes and may
	(knock on wood) fix the threading segfault. Threading behaviour is
	observably better.

	* imap/util.c: Revert Glanzmann's imap_parse_mailbox patch.

2005-07-24 16:53:59  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* thread.c: Try to fix threading bug triggered by duplicate
	references.

2005-07-24 16:51:38  Cedric Duval  <cedricduval+web@free.fr>  (brendan)

	* OPS, copy.c, curs_main.c, doc/manual.sgml.head, functions.h,
	imap/imap.c, mh.c, mutt.h, mx.c, pager.c, protos.h, thread.c: Add
	thread editing commands.

2005-07-24 16:12:12  Paul Walker  <paul@black-sun.demon.co.uk>  (roessler)

	* doc/manual.sgml.head, main.c, protos.h, init.c: This patch
	adds an option -D to dump mutt's configuration after all
	configuration files have been read.  Changes against PW's version:
	(1) curses isn't initialized; (2) variables are dumped to stdout,
	not to stderr.

2005-07-24 15:46:26  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* hash.c, imap/message.c, imap/util.c: This patch includes (1)
	a rewrite of hash_delete_hash, and (2) some changes to the IMAP
	code that Thomas Glanzmann made during an attempt to squash some
	segmentation fault in May.  There is no guarantee that this patch
	doesn't break things.  If it does, please complain to mutt-dev.

	* recvattach.c, smime.c: Fix S/MIME segmentation fault.  Bug
	reported by Mads Martin Joergensen; part fixed by Brendan Cully.

2005-07-24 08:59:44  Brendan Cully  <brendan@kublai.com>  (brendan)

	* copy.c: Don't assume messages in MMDF mailboxes have From
	separators when copying them. Spotted by William Lovas. Initial
	patch by TAKAHASHI Tamotsu.

2005-07-23 23:35:17  Byrial Jensen  <byrial@image.dk>  (brendan)

	* curs_main.c, doc/manual.sgml.head, globals.h, main.c, muttlib.c:
	Byrial Jensen and Christoph Berg's current-mailbox shortcut (^). I
	like it, and so does Debian.

2005-07-17 00:43:05  Brendan Cully  <brendan@kublai.com>  (brendan)

	* account.c: Don't dereference null ImapUser in new getlogin
	function.

2005-07-15 07:29:37  Vincent Lefevre  <vincent@vinc17.org>  (brendan)

	* po/fr.po: PO update 20050613.

2005-07-06 23:49:08  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de> (brendan)

	* BEWARE: this fixes a little typo.

2005-07-06 21:03:00  Brendan Cully  <brendan@kublai.com>  (brendan)

	* hcache.c: Apply Aaron Crane's function pointer bandaid to the
	db4 open calls.

2004-06-28 19:26:54  Brendan Cully  <brendan@kublai.com>  (brendan)

	* account.c, account.h, globals.h, init.h, mutt_sasl.c: Add
	$imap_login variable to specify which user to authenticate as
	($imap_user controls which user's mail gets accessed). Currently
	this can't be specified interactively, since I can't think of
	a way to do it that wouldn't annoy users where login == user
	(the default value of $imap_login).

2005-06-24 22:32:38  Sébastien Hinderer <Sebastien.Hinderer@libertysurf.fr>  (brendan)

	* crypt.c: Remove a warning about unused variable 'now' in
	crypt_valid_passphrase

2005-06-22 01:46:49  Sébastien Hinderer <Sebastien.Hinderer@libertysurf.fr>  (brendan)

	* doc/devel-notes.txt: This patch fixes two small typos in
	dev notes.

2005-06-18 04:54:39  Brendan Cully  <brendan@kublai.com>  (brendan)

	* main.c: Update copyright dates according to latest activity in
	ChangeLog.

2005-06-12 18:28:29  Tamotsu Takahashi  <ttakah@lapis.plala.or.jp>  (roessler)

	* menu.c: Fix background colors for $arrow_cursor.

2005-06-12 18:24:31  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* curs_main.c, init.h, menu.c, mutt.h: Add $braille_friendly.
	Behavior originally suggested by Sébastien Hinderer
	<Sebastien.Hinderer@libertysurf.fr>.

2005-04-10 09:37:51  Johan Svedberg  <johan@svedberg.pp.se>  (roessler)

	* po/sv.po: update

2005-04-03 00:14:51  Daniel Jacobowitz  <dan@debian.org>  (brendan)

	* imap/imap.c, imap/imap_private.h, imap/message.c: Synchronise
	message flags before moving messages.

2005-03-31 04:55:09  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (brendan)

	* mh.c: Another hcache cygwin portability fix.

2005-03-23 10:51:11  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* init.h, mh.c, mutt.h: Maildir header cache.

2005-03-22 19:58:15  Horst Schirmeier  <horst@schirmeier.com>  (roessler)

	* Makefile.am: Use install-exec-hook install of
	install-exec-local.

2005-03-22 19:53:49  Ronny Haryanto  <ronnylist@haryan.to>  (roessler)

	* po/id.po: update

2005-03-22 19:49:31  René Clerc  <rene@clerc.nl>  (roessler)

	* po/nl.po: update

2005-03-22 19:48:35  Roland Rosenfeld  <roland@spinnaker.de>  (roessler)

	* po/de.po: update

2005-03-22 19:46:59  Paul Walker  <paul@black-sun.demon.co.uk>  (roessler)

	* init.c, init.h: remove some unused functions.

2005-03-22 19:43:13  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update

2005-03-22 03:40:54  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (brendan)

	* hcache.c, imap/imap.c, imap/imap_private.h, imap/message.c,
        protos.h: Thomas graces us with this patch that resolves a
	type-size inconsistency in the UIDVALIDITY parser.

        Edited for correctness.

2005-03-17 09:30:06  Pawel Dziekonski  <pawel.dziekonski@pwr.wroc.pl>  (roessler)

	* po/pl.po: update

2005-03-16 07:01:59  Brendan Cully  <brendan@kublai.com>  (brendan)

	* doc/Makefile.in: As Ralf Wildenhues noted, the cygwin EXEEXT
	patch was incomplete. Note to self: avoid patching on short
	sleep. Starting tomorrow.

2005-03-16 02:49:33  Brendan Cully  <brendan@kublai.com>  (brendan)

	* configure.in, doc/Makefile.in, hcache.c, Makefile.am: Various
	cygwin portability fixes

2005-03-15 04:40:40  Brendan Cully  <brendan@kublai.com>  (brendan)

	* crypthash.h: Don't define uint32_t anywhere but in
	config.h. Spotted by Alain Bench. 

2005-03-13 16:35:35  roessler  (roessler)

	* po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po,
	po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po,
	po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, VERSION, po/bg.po,
	po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po, reldate.h:
	automatic post-release commit for mutt-1.5.9

2005-03-13 16:29:09  Morten Bo Johansen  <mojo@mbjnet.dk>  (roessler)

	* po/da.po: update

2005-03-05 18:15:20  Christoph Ludwig  <cludwig@cdc.informatik.tu-darmstadt.de>  (roessler)

	* crypt.c: The attached patch fixes a segfault I observed
	today: mutt failed to check for a possible null pointer in
	mutt_is_application_smime(Body*).

2005-03-05 07:10:57  brendan  (brendan)

	* mutt_sasl.c, mutt_sasl.h, mutt_socket.c, mutt_socket.h,
	mutt_ssl.c, mutt_ssl_gnutls.c, mutt_ssl_nss.c, mutt_tunnel.c:
	Rename open/close/read/write function pointers to avoid problems
	with systems where standard open/close/read/write functions are
	implemented with macros. Thanks to Aaron Crane and others for
	their input about the problem.

2005-03-01 15:53:25  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update

2005-03-01 15:52:33  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* init.h: This is a spelling fix supplied by Cameron Simpson.

2005-02-28 18:33:45  Mads Martin Joergensen  <mmj@suse.de>  (roessler)

	* curs_main.c: Fix a crash.

2005-02-28 15:15:23  Christoph Berg  <cb@df7cb.de>  (roessler)

	* init.h, menu.c, mutt.h: I've updated the menu_context patch to
	reintroduce the menu_move_off variable that hasn't made it into
	1.5.8. The patch fixes menu_prev_line and menu_next_line which
	didn't work with menu_context > 0 and also makes <current-middle>
	work even if there are less messages than screen lines (thanks
	to René Clerc and Vincent Lefevre for spotting these issues).

2005-02-28 14:37:09  Udo Schweigert  <mutt@cert.siemens.de>  (roessler)

	* smime.c: As pointed out in a separate thread, here is a patch
	which fixes the problem of a failing openssl after interactively
	selecting a recipient's key.

2005-02-27 03:18:23  Brendan Cully  <brendan@kublai.com>  (brendan)

	* imap/message.c: Turn brain back on before committing patches
	(that modification I made to APPEND was bogus).

2005-02-27 02:44:45  Dan Hopper  <ku4nf@austin.rr.com>  (brendan)

	* imap/message.c: Don't lose N flag when uploading a message to an
	IMAP mailbox. (Slightly modified from the original patch to
	prevent spurious space characters).

2005-02-21 04:42:34  Alain Bench  <messtic@oreka.com>  (roessler)

	* parse.c, pgp.c, sendlib.c: Bcc should be RFC2047-encoded, too.

2005-02-19 16:00:24  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* sendlib.c: Fix Debian 295528.

2005-02-17 03:33:00  Brendan Cully  <brendan@kublai.com>  (brendan)

	* OPS, browser.c, doc/manual.sgml.head, functions.h,
	imap/browse.c, imap/imap.c, imap/imap.h, imap/imap_private.h: New
	function: rename-mailbox (bound to 'r' by default).

	The lack of a rename-mailbox command for IMAP finally got too annoying.
	It's a bit of a cut-and-paste job, but I've put my dreams of cleaning
	up the IMAP codebase on hold. Gotta grow up some time.

2005-02-16 09:34:06  ta_panta_rei  <7vvtch802@sneakemail.com>  (roessler)

	* po/el.po: update

2005-02-16 08:48:41  Ronny Haryanto  <ronnylist@haryan.to>  (roessler)

	* po/id.po: update

2005-02-15 19:28:24  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/Makefile.in: Fix linuxdoc invocation.  Thanks to
	Tamotsu Takahashi for tracking this down to an idiotic
	non-backwards-compatible change to the way groff works.

2005-02-15 19:03:51  Ivan Vilata i Balaguer  <ivan@selidor.net>  (roessler)

	* po/ca.po: update

2005-02-14 08:48:43  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2005-02-13 17:37:31  Roland Rosenfeld  <roland@spinnaker.de>  (roessler)

	* po/de.po: update

2005-02-13 09:53:07  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* Makefile.am: Include crypt-gpgme.h with the distribution.

2005-02-13 00:25:37  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* configure.in, m4/gettext.m4, m4/iconv.m4: Use AC_HELP_STRING to
	pretty print configure --help screen, with mixed results.
                                 
2005-02-12 21:04:22  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* Makefile.am, imap/Makefile.am: Require at least automake 1.6
                                 
2005-02-12 20:56:36  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)
                                 
	* po/zh_TW.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po,
	po/zh_CN.po, po/pt_BR.po, po/ru.po, po/lt.po, po/nl.po, po/pl.po,
	po/et.po, po/fr.po, po/gl.po, po/hu.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, Makefile.am, VERSION, po/bg.po, po/ca.po, po/cs.po,
	reldate.h: automatic post-release commit for mutt-1.5.8
                                 
2005-02-12 20:46:48  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2005-02-12 20:45:36  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update

2005-02-12 20:20:42  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* configure.in: Give people more time to profile the inode
	sorting code; disabled by default for now.

	* globals.h, init.h, menu.c: Christoph Berg's menu_context,
	and a version of menu_move_off where that's not optional,
	but where mutt will just try to avoid moving off the bottom.
	Complain to mutt-dev if you want this to be optional.

2005-02-12 19:54:51  TAKAHASHI Tamotsu	<ttakah@lapis.plala.or.jp>  (brendan)

	* imap/message.c, imap/util.c: Fix debian bug #275060 (editing
	on an imap server loses its flags).  Remove trailing delimiter
	from IMAP folder names.

2005-02-12 19:52:28  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)
                                 
	* charset.c, mbyte.c: Recognize euc-jp-ms.  MORIYAMA Masayuki by
	way of TAKAHASHI Tamotsu.
                                 
2005-02-12 19:38:14  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)
                                 
	* init.h, main.c: Trivial documentation fixes (TAKAHASHI Tamotsu,
	Brendan Cully, Paul Walker, Derek Martin).
                                 
	* editmsg.c: Partially fix debian bug #275060 (editing a message
	in a mbox loses its flags).
                                 
        * TODO: We have $include_onlyfirst.
                                 
2005-02-12 19:28:26  TAKIZAWA Takashi  <taki@luna.email.ne.jp>  (roessler)
                                 
	* muttlib.c, pager.c: column-length and byte-length are different
                                 
2005-02-12 19:19:25  Derek Martin  <invalid@pizzashack.org>  (roessler)
                                 
	* mutt.h, commands.c, curs_main.c, init.h: pgp-auto-decode: When
	$pgp_auto_decode is set, then mutt will check for traditional pgp
	on certain operations.  This is similar (but NOT identical) to the
	behavior known from PGP/MIME messages.
                                 
2005-02-12 19:12:40  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)
                                 
	* alias.c, globals.h, hdrline.c, init.c, init.h: unalternates now
	also adds to a list of exceptions; same behavior for unlists, and
	unsubscribe.  With some changes from tlr.
                                 
2005-02-12 19:52:28  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)
                                 
	* charset.c, mbyte.c: Recognize euc-jp-ms.  MORIYAMA Masayuki by
	way of TAKAHASHI Tamotsu.
                                 
2005-02-12 19:38:14  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)
                                 
	* init.h, main.c: Trivial documentation fixes (TAKAHASHI Tamotsu, Brendan Cully, Paul
        Walker, Derek Martin).
                                 
	* editmsg.c: Partially fix debian bug #275060 (editing a message
	in a mbox loses its flags).
                                 
        * TODO: We have $include_onlyfirst.
                                 
2005-02-12 19:28:26  TAKIZAWA Takashi  <taki@luna.email.ne.jp>  (roessler)
                                 
	* muttlib.c, pager.c: column-length and byte-length are different
                                 
2005-02-12 19:19:25  Derek Martin  <invalid@pizzashack.org>  (roessler)
                                 
	* mutt.h, commands.c, curs_main.c, init.h: pgp-auto-decode: When
	$pgp_auto_decode is set, then mutt will check for traditional pgp
	on certain operations.  This is similar (but NOT identical) to the
	behavior known from PGP/MIME messages.
                                 
2005-02-12 19:12:40  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)
                                 
	* alias.c, globals.h, hdrline.c, init.c, init.h: unalternates now
	also adds to a list of exceptions; same behavior 
	for unlists, and unsubscribe.  With some changes from tlr.
                                 
2005-02-12 19:52:28  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* charset.c, mbyte.c: Recognize euc-jp-ms.  MORIYAMA Masayuki
	by way of TAKAHASHI Tamotsu.

2005-02-12 19:38:14  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* doc/manual.sgml.head, doc/manual.sgml.tail, init.h, main.c:
	Trivial documentation fixes (TAKAHASHI Tamotsu, Brendan Cully,
	Paul Walker, Derek Martin).

	* editmsg.c: Partially fix debian bug #275060 (editing a message
	in a mbox loses its flags).

	* TODO: We have $include_onlyfirst.

2005-02-12 19:28:26  TAKIZAWA Takashi  <taki@luna.email.ne.jp>  (roessler)

	* muttlib.c, pager.c: column-length and byte-length are different

2005-02-12 19:19:25  Derek Martin  <invalid@pizzashack.org>  (roessler)

	* mutt.h, commands.c, curs_main.c, init.h: pgp-auto-decode: When
	$pgp_auto_decode is set, then mutt will check for traditional
	pgp on certain operations.  This is similar (but NOT identical)
	to the behavior known from PGP/MIME messages.

2005-02-12 19:12:40  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* alias.c, doc/manual.sgml.head, globals.h, hdrline.c, init.c,
	init.h: unalternates now also adds to a list of exceptions;
	same behavior for unlists, and unsubscribe.  With some changes
	from tlr.

2005-02-11 04:12:03  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* configure.in, mutt_ssl_gnutls.c: autoconf support for gnutls
	using a slightly modified version of gnutls' own libgnutls.m4 
                                 
2005-02-11 01:19:15  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* globals.h, init.h: Only enable ssl_client_cert for openssl
	(spotted by Adeodato).
                                 
2005-02-09 09:05:38  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pattern.c: Don't crash in mutt_pattern_exec when h->env is NULL.

2005-02-08 17:23:50  TAKAHASHI Tamotsu  <tamo@momonga-linux.org>  (roessler)

	* init.h, mutt.h, mutt_idna.c: Make IDN decoding optional.

2005-02-05 14:11:36  Thomas Roessler   <roessler@does-not-exist.org>  (roessler)

	* crypthash.h, imap/util.c, lib.h, mbyte.h, mutt_idna.h,
	patchlist.sh, remailer.h, rfc822.h: Remove a number of unnecessary
	config.h includes, and add some missing ones.  May fix some bugs.

2005-02-04 16:54:13  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* Makefile.am: Add smime_keys to EXTRA_SCRIPTS (for make dist).
                                 
2005-02-04 12:56:28  Tamotsu Takahashi  <ttakah@lapis.plala.or.jp>  (roessler)
                                 
        * Makefile.am: http://bugs.guug.de/db/17/1769.html
                  This is necessary for FreeBSD.
                                 
2005-02-04 12:56:28  Tamotsu Takahashi  <ttakah@lapis.plala.or.jp>  (roessler)

	* Makefile.am: http://bugs.guug.de/db/17/1769.html This is
	necessary for FreeBSD.

2005-02-03 19:46:53  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* hcache.c: this is a fix for hcache.c infrastructure which is
	about wrongly calculate unique id

2005-02-03 18:44:27  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Fix PGP clear signature handling.

2005-02-03 17:01:44  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* pgpkey.c, pgplib.c, pgpmicalg.c, pgppacket.c, pgppubring.c,
	pop.c, pop_auth.c, pop_lib.c, postpone.c, query.c, recvattach.c,
	recvcmd.c, regex.c, remailer.c, resize.c, rfc1524.c, rfc2047.c,
	rfc2231.c, rfc822.c, score.c, send.c, sendlib.c, sha1.c, signal.c,
	smime.c, snprintf.c, sort.c, status.c, system.c, thread.c, url.c,
	utf8.c, wcwidth.c, crypt-mod-pgp-classic.c, crypt-mod-pgp-gpgme.c,
	crypt-mod-smime-classic.c, crypt-mod-smime-gpgme.c, crypt-mod.c,
	crypt.c, cryptglue.c, curs_lib.c, curs_main.c, date.c, dotlock.c,
	edit.c, editmsg.c, enter.c, extlib.c, filter.c, flags.c, from.c,
	getdomain.c, gnupgparse.c, handler.c, hash.c, hdrline.c,
	headers.c, help.c, history.c, hook.c, init.c, keymap.c, lib.c,
	main.c, makedoc.c, mbox.c, mbyte.c, md5c.c, menu.c, mh.c, mutt.h,
	mutt_idna.c, mutt_sasl.c, mutt_socket.c, mutt_ssl.c,
	mutt_ssl_gnutls.c, mutt_ssl_nss.c, mutt_tunnel.c, muttlib.c, mx.c,
	pager.c, parse.c, pattern.c, pgp.c, pgpinvoke.c, account.c,
	addrbook.c, alias.c, ascii.c, attach.c, base64.c, browser.c,
	buffy.c, charset.c, color.c, commands.c, complete.c, compose.c,
	copy.c, crypt-gpgme.c: Add config.h to the top of every C file
	that could possibly want it.  Remove it from mutt.h
                                 
2005-02-01 03:36:39  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* protos.h: Pull config.h out of protos.h, add to top of every
	IMAP C file. This should probably be done to every C file, but the
	results need testing in case  some files depend on the current
	(broken) includes. This should at least fix the off_t 4/8 bytes
	bug I introduced yesterday.
                                 
2005-01-31 02:40:14  Brendan Cully  <brendan@kublai.com>  (brendan)
                                 
	* acconfig.h, configure.in, hcache.c, protos.h: Begin removing
	deprecated autoconf 2.13 backward compatibility code. Add
	AC_CHECK_TYPES macros for uin32/64 types, use uint64_t instead of
	long long in hcache code.
                                 
2005-01-29 19:15:07  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)
                                 
     * hcache.c: - make hcache.c conform to mutt codingstyle
     - use Id CVS keyword instead of %K% BitKeeper keyword
                                 
2005-01-29 19:15:07  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* hcache.c: - make hcache.c conform to mutt codingstyle - use
	Id CVS keyword instead of %K% BitKeeper keyword

2005-01-28 16:40:33  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Adeodato points out on IRC that feof() only works
	after a read. So, we now check for an unsuccessful fgetc().

2005-01-28 14:50:31  Paul Walker  <paul@black-sun.demon.co.uk>  (roessler)

	* signal.c: Trigger window resizing code when waking up from
	suspension.

2005-01-28 14:09:08  René Clerc  <rene@clerc.nl>  (roessler)

	* po/nl.po: update

2005-01-28 13:17:22  Werner Koch  <wk@gnupg.org>  (roessler)

	* Makefile.am, configure.in, crypt-gpgme.c, crypt-gpgme.h,
	crypt-mod-pgp-gpgme.c, crypt-mod-smime-gpgme.c, cryptglue.c,
	functions.h: gpgme integration.  See documentation for
	$crypt_use_gpgme, and http://www.gnupg.org/aegypten2/.

2005-01-28 13:00:36  Adeodato Simó  <asp16@alu.ua.es>  (roessler)

	* mutt_ssl_gnutls.c: The attached mini-patch from David Mosberger
	<davidm@napali.hpl.hp.com> seems to fix a segfault in the ia64
	architecture. Via Debian Bug#285001.

2005-01-28 10:01:30  roessler  (roessler)

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/lt.po,
	po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po,
	po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po,
	po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, VERSION,
	po/bg.po, po/ca.po, po/cs.po, po/da.po, po/de.po, reldate.h:
	automatic post-release commit for mutt-1.5.7

2005-01-27 20:52:13  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* main.c: Add USE_INODESORT to main.c's option dump.

2005-01-27 20:38:02  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* commands.c: 0. In compose mode, press Ctrl-t to change
	Content-Type.  1. Type "application/octet-stream" for example.
	2. Press Ctrl-t again.	3. Type "text/plain; charset=us-ascii"
	4. You will be asked "Convert to us-ascii upon sending?"
	5. Press y or n.  6. You will see a strange message:
	 "Content-Type changed to Convert to us-ascii upon sending?."

2005-01-27 20:26:52  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Return an error in pgp_decrypt_part when the PGP output
	file is empty.

2005-01-27 20:17:46  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* curs_main.c: this patch doesn't raise an error if you try
	to sync an empty mailbox which makes it possible to use such a
	macro as this on an empty mailbox:

	macro index y "<sync-mailbox><change-folder>?"	macro pager y
	"<sync-mailbox><change-folder>?"

2005-01-27 19:34:50  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* pgp.c: Detect end of PGP armor header when a line is
	whitespace-only.

2005-01-27 19:18:15  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* smime.c: Void the S/MIME passphrase before prompting
	the user to re-enter it.  Noted by TAKAHASHI Tamotsu
	<ttakah@lapis.plala.or.jp>, but with memset replaced by
	smime_void_passphrase().

2005-01-27 19:00:59  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* curs_lib.c: Add terminal newline when it lacks after editing
	a message.  Originally from TAKIZAWA Takashi.

2005-01-27 18:58:14  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* Makefile.am: Include mutt_ssl_gnutls.c with the distribution.

2005-01-27 18:54:24  Marco d'Itri  <md@Linux.IT>  (roessler)

	* globals.h, imap/imap.c, imap/util.c, init.c, init.h, main.c,
	mutt.h, mutt_sasl.c, mutt_socket.c, mutt_ssl.h, mutt_ssl_gnutls.c,
	pop_lib.c: GNUTLS support.  Used in Debian since Nov. 2001.

2005-01-27 18:48:41  Bill Nottingham  <notting@redhat.com>  (roessler)

	* mutt_sasl.c: With SASL, expect the server to prompt for
	additional auth data if we have some to send (#129961, upstream
	#1845)

	* contrib/sample.muttrc: Changes the sample.muttrc highlight to
	catch https URLs as well.

	* color.c, main.c: Support for the "default" color in Slang.

2005-01-27 18:45:37  Florian Weimer   <fw@deneb.enyo.de>  (roessler)

	* mh.c, configure.in: Read files in maildir folders in inode
	order; this seems to reduce seek overhead on Linux.  Enabled by
	default; to disable, run configure with --disable-inodesort.
	(By way of Marco d'Itri.)

2005-01-27 18:28:42  Marco d'Itri  <md@Linux.IT>  (roessler)

	* pgp.c: Improved good signature check.

	* contrib/gpg.rc, pgpinvoke.c: Make the default Muttrc work
	out the box for people using gnupg-agent.  Wrote and applied a
	one-line patch to make the %?p? conditional escape work correctly,
	patch forwarded upstream. (Closes: #277646)

	* pgpewrap.c: Don't segfault when invoked without any arguments.

	* contrib/gpg.rc, pgp.c: Evaluate gpg's machine-parseable status
	messages.

	* smime_keys.pl: Add some sanity checks to smime_keys.pl.

	* contrib/gpg.rc: A gpg command line contains both --verbose
	and --no-verbose, remove the first.

2005-01-26 14:33:08  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* status.c: And, thinking about it further, this should just be
	an empty string, not "(null)".

	* status.c: The last Context->pattern fix was still crap.
	Ooooops. (Thanks Ralf.)

2005-01-26 13:36:44  Thomas Glanzmann <sithglan@stud.uni-erlangen.de>  (roessler)

	* Makefile.am, configure.in, globals.h, hcache.c, imap/imap.c,
	imap/imap_private.h, imap/message.c, init.h, main.c, protos.h:
	IMAP header cache.

2005-01-26 12:37:38  Ralf Wildenhues  <wildenhues@ins.uni-bonn.de> (roessler)

	* addrbook.c, browser.c, commands.c, compose.c, imap/utf7.c:
	Make some functions static.

2005-01-26 12:36:36  Ralf Wildenhues  <wildenhues@ins.uni-bonn.de>  (roessler)

	* imap/command.c, imap/message.c: Fix some printf arguments.

2005-01-26 12:21:46  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* status.c: Really fix it.  Thanks to Ralf for noting the
	typo in my earlier commit.
	
	* status.c: A variant of
	<http://marc.theaimsgroup.com/?l=mutt-dev&m=110053165002362&w=2>.
	Spotted by Ralf Wildenhues <wildenhues@ins.uni-bonn.de>.

2005-01-17 02:24:49  Brendan Cully  <brendan@kublai.com>  (brendan)

	* cvslog2changelog.pl: cvs log emits a timezone after the
	hour, at least here. Adjust date regexp to handle that case.
                                 
2005-01-15 09:52:44  Adeodato Simó  <asp16@alu.ua.es>  (brendan)

	* po/cs.po: Major translation updates forgotten in mutt-po.

2005-01-15 08:01:35  Brendan Cully  <brendan@kublai.com>  (brendan)

	* Makefile.am: Update commit targets to work when
	builddir != srcdir.

2005-01-15 07:36:37  Adeodato Simó  <asp16@alu.ua.es>  (brendan)

	* init.h: Document the interaction between $reverse_name and
	the alternates. Debian #210679.

	* doc/manual.sgml.head, doc/muttrc.man.head: Include reply-hook
	in the reference section of the manual.
	Debian 254294.

	* doc/mutt.man: Small typo in the mutt.1 manpage: Qeury -> Query.
	Debian #258621.

	* doc/muttrc.man.head: Minor formatting issue in the muttrc.5
	manpage.
	Debian #272579.

	* po/ca.po, po/sv.po: Minor corrections in these translations,
	checked with their authors.

	* po/de.po, po/it.po: Major translation updates forgotten in
	mutt-po.

2005-01-11 12:15:13  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/manual.sgml.head, doc/muttrc.man.head: Document send2-hook.

	* send.c: send2-hook should also be executed after the first
	time the message is edited by the user.

2005-01-09 15:35:51  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/muttbug.man, muttbug.sh.in: Replace muttbug and its
	documentation by a note that acknowledges the shut down of the
	bug tracking system.

2004-12-21 09:46:24  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Fix Debian #275188.

2004-12-07 19:50:04  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* compose.c, hook.c, init.c, init.h, mutt.h, send.c: Add
	send2-hook and fix alternates handling.

2004-11-19 16:16:51  René Clerc  <rene@clerc.nl>  (roessler)

	* doc/manual.sgml.tail, doc/manual.sgml.head: Document
	tag-prefix-cond.

2004-11-08 08:43:17  Ralf Wildenhues  <wildenhues@ins.uni-bonn.de>  (roessler)

	* imap/imap_private.h: Having a signed one-bit bitfield is quite
	odd -- its value is either 0 or -1.  Although the current code
	is not broken because it doesn't test equality to 1, IMHO it's
	better not to use that.

	* imap/message.c: There's a size_t in imap_append_message not
	printed out portably.

2004-11-02 13:30:58  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* copy.h: Fix flag confusion.  Noted by Vincent Lefevre.

2004-10-30 21:59:00  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* browser.c, buffy.c, check_sec.sh, commands.c, edit.c,
	imap/auth_cram.c, imap/auth_gss.c, imap/imap.c, imap/message.c,
	lib.c, lib.h, mutt_ssl.c, muttlib.c, recvcmd.c, url.c:
	safe_strcat, safe_strncat.  Thanks to Ulf H. for noting the
	wrong use of strncat in part of the mutt code base.

	* smime.c: Fix bad code in smime_get_field_from_db.  Problem noted
	by Ulf Härnhammar <Ulf.Harnhammar.9485@student.uu.se>.

2004-09-29 11:27:33  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* lib.c: Fix mutt_unlink race condition for systems without
	O_NOFOLLOW.  Noted by Jarno Huuskonen <Jarno.Huuskonen@uku.fi>.

2004-09-07 08:09:39  Matthias Andree  <matthias.andree@gmx.de>  (roessler)

	* prepare: Fix parameter passing.

2004-08-31 15:41:03  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* configure.in: Add AC_GNU_SOURCE.

	* recvattach.c: Remove *two* layers of S/MIME from messages
	before building the attachment tree.  A generic solution would
	remove intransparent encodings all the way down the tree.

2004-08-30 20:10:10  Moritz Schulte  <mo@g10code.com>  (roessler)

	* compose.c: Only print additional information related to PGP
	in case the current message is indeed to be encrypted/signed
	with PGP.
	
	(This change is misattributed to Brendan Cully in the CVS.)

2004-08-30 20:05:40  Brendan Cully  <brendan@kublai.com>  (roessler)

	* globals.h, init.h, mutt_sasl.c, mutt_ssl.c: Here's a patch
	to allow mutt to use SSL client certificates to authenticate
	itself. To use, set ssl_client_cert to the path to your
	certificate file (containing both the certificate and the private
	key). It works with the SASL EXTERNAL authentication mechanism,
	so you'll need to have SASL enabled as well.

2004-08-30 20:03:35  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* init.c: Fix a memory leak in the generic spam detection code.

	* muttlib.c, protos.h: This wipes duplicated code, which I
	introduced a while ago.

2004-08-30 19:47:47  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* po/ja.po: update

2004-08-21 07:35:16  Ivan Vilata i Balaguer  <ivan@selidor.net>  (roessler)

	* po/ca.po: update

2004-08-17 16:06:48  René Clerc  <rene@clerc.nl>  (roessler)

	* po/nl.po: update

2004-08-17 15:56:23  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* configure.in: Check for ssize_t, really.

	* configure.in: Check for ssize_t.

2004-08-17 15:25:31  Ronny Haryanto  <ronnylist@haryan.to>  (roessler)

	* po/id.po: Corrected update.

	* po/id.po: update

2004-08-17 15:22:25  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2004-08-17 13:42:01  Johan Svedberg  <johan@svedberg.pp.se>  (roessler)

	* po/sv.po: update

2004-08-16 21:37:43  Adeodato Simó  <asp16@alu.ua.es>  (roessler)

	* headers.c: as of current cvs, setting "PGP: E" (or similar)
	when header-editing a message does not work. the OP is set
	(ENCRYPT, SIGN, whatever) but APPLICATION_PGP is missing.

2004-08-16 21:36:38  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/imap.c: If STARTTLS fails to complete the SSL handshake,
	the error is not propagated and mutt will attempt to log in
	anyway, probably causing an infinite block on read. The attached
	patch closes the socket in this case, and propagates the error
	properly.

	* imap/auth_sasl.c: The attached patch causes mutt to attempt
	the next method in imap_authenticators if the previous method
	failed, even if the server reported that the method was
	available. Previously mutt would give up if any authentication
	method failed.

2004-08-16 21:34:22  Moritz Schulte   <moritz@g10code.com>  (roessler)

	* compose.c: Only print "Encrypt with" field in case the used
	S/MIME modules supports this feature.

2004-08-16 21:33:35  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: update

2004-08-11 12:31:21  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* imap/imap.c: Fix two IMAP memory leaks.

	* imap/imap.c, imap/imap.h: Remove imap_close_connection.

	* menu.c: Fix a memory leak in mutt_menuDestroy.

2004-08-08 16:20:37  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* muttlib.c, protos.h: Fix a memory leak.

2004-08-08 16:19:15  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c, smime.c: Fix the PGP and S/MIME menus. Complaints
	and suggestions of many lead to these changes.	See mutt-dev
	discussions around this time for details.

	* Makefile.am, crypthash.h, md5.h, sha1.h: Fix uint32_t
	portability problem. Reported by Steve Kennedy.

2004-08-07 05:23:33  Johan Svedberg  <johan@svedberg.pp.se>  (roessler)

	* po/sv.po: update

2004-08-02 08:03:46  Nathan Dushman  <nhd+mutt@andrew.cmu.edu>  (roessler)

	* imap/command.c: Fix the improvement to address #1655.

2004-07-22 01:10:55  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/message.c: Quick fix for IMAP breakage.

2004-07-21 22:15:40  Nathan Dushman  <nhd+mutt@andrew.cmu.edu>  (roessler)

	* imap/command.c: This is a one-line patch that increases the
	speed at which mutt opens IMAP mailboxes, and addresses bug #1655.

2004-07-20 09:00:50  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: update

2004-07-20 08:17:21  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* imap/message.c, mutt.h, parse.c, send.c, url.c: Use List-Post
	headers when doing list-reply.

2004-07-19 21:44:23  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* globals.h, imap/message.c, init.h: Fix #1548.  (The first
	variant, with $imap_headers specifying headers that are downloaded
	in addition to the set required for mutt to work properly.)

2004-07-19 21:41:43  David Champion  <dgc@uchicago.edu>  (roessler)

	* mbox.c, mh.c, pgp.c, sendlib.c: Fix some compiler warnings.

2004-07-19 21:39:28  Adeodato Simó  <asp16@alu.ua.es>  (roessler)

	* doc/manual.sgml.head: Fixing a missing newline.

2004-07-19 21:36:46  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* Makefile.am: Fix IMAP breakage.

2004-07-15 08:08:32  David Champion  <dgc@uchicago.edu>  (roessler)

	* doc/manual.sgml.head, init.c, init.h, mutt.h: v3 of the generic
	spam detection patch.

2004-07-14 05:58:30  Moritz Schulte   <moritz@g10code.com>  (roessler)

	* pgp.c: Do not forget to handle special-case for gpg-agent.

2004-07-14 05:55:40  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* ChangeLog: Fix an earlier commit message.

2004-07-14 05:45:18  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* browser.c: Fix Debian#237426.  (Experimental.)

2004-07-14 05:39:23  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* compose.c: Don't invoke "builtin" as an external editor.  Note:
	It's not clear to me that this is really the right approach.
	Revisit Editor/Visual some time.

2004-07-14 05:19:15  Elmar Hoffmann  <mutt-dev-ml@elho.net>  (roessler)

	* init.h, mutt.h, thread.c: By default Mutt hides the subject
	of messages in the thread tree that have the same subject as
	their parent or closest previously displayed sibling. This patch
	makes this optional, introducing the hide_thread_subject boolean
	setting which defaults to the old behaviour.

2004-07-14 05:07:18  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* mh.c: Some eye-candy during the delayed parsing of maildir
	folders.

2004-07-14 04:50:19  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* init.h, sort.h: Hack to fix $sort_browser documentation.

	* copy.c, copy.h, handler.c, init.h, mutt.h, send.c:
	$include_onlyfirst, again.

2004-07-14 04:34:07  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* copy.c, copy.h, handler.c, init.h, mutt.h, send.c: Fix a cvs
	commit SNAFU: This commit undoes the include_onlyfirst patch,
	but leaves the generic spam detection by David Champion in place
	(which, erroneously, hadn't been committed separately).

2004-07-14 04:16:58  ttakah@lapis.plala.or.jp  (roessler)

	* commands.c, copy.c, copy.h, doc/manual.sgml.head,
	doc/muttrc.man.head, globals.h, handler.c, hdrline.c, init.c,
	init.h, mutt.h, muttlib.c, parse.c, pattern.c, protos.h, send.c,
	sort.c, sort.h: Introduce $include_onlyfirst.

2004-07-12 13:35:27  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pager.c: The limitations for OP_MAIL and OP_RECALL should
	be identical.

2004-07-12 13:22:24  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* init.c, sendlib.c: Add some debugging code, and rewrite the
	previously-ununderstandable mutt_remove_duplicates.  (All this
	done on the search for a problem that ultimately turned out to
	be a configuration issue. Still, the changed code could come in
	handy some day.)

2004-07-11 16:25:00  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* pager.c: Fix #1882.

2004-06-27 13:54:51  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* postpone.c: Experimental code for #1910.

2004-06-26 08:45:29  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* commands.c: Fix #1909.

2004-06-23 08:09:43  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Zero out the PGP passphrase before asking for a new one.

2004-06-17 20:39:20  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* smime.c: Change S/MIME send menu behavior to xor instead of or,
	so it behaves the same way as the PGP send menu.

2004-06-17 20:36:13  Moritz Schulte  <moritz@g10code.com>  (roessler)

	* Makefile.am, compose.c, configure.in, crypt-mod-pgp-classic.c,
	crypt-mod-smime-classic.c, crypt-mod.c, crypt-mod.h, crypt.c,
	cryptglue.c, curs_lib.c, init.h, keymap.c, keymap.h, main.c,
	mutt.h, mutt_crypt.h, mutt_curses.h, pgp.c, pgp.h, smime.c,
	smime.h: This is the sequel to the crypto modularization changes
	I did on 2003-01-21.  Moritz added another abstraction layer
	which cleans up the code and allows the crypto modules to use
	their own option menu.	Everything should work as it used to
	but is now in a really good shape for part III, the Return of
	the GnuPG Easy Makers. -wk

	* crypt-mod-pgp-classic.c, crypt-mod-smime-classic.c, crypt-mod.c,
	crypt-mod.h: New files.

	* smime.c (smime_valid_passphrase, smime_send_menu): New
	functions.  * smime.h: Removed macro: smime_valid_passphrase.
	Declared: smime_valid_passphrase, smime_send_menu.  * pgp.c:
	Include "mutt_menu.h".	(pgp_valid_passphrase, pgp_send_menu):
	New functions.	* pgp.h: Removed macro: pgp_valid_passphrase.
	Declared: pgp_valid_passphrase, pgp_send_menu.	*
	mutt_curses.h: Declare: mutt_need_hard_redraw.	* mutt_crypt.h:
	Declare: crypt_pgp_valid_passphrase, crypt_pgp_send_menu,
	crypt_smime_valid_passphrase, crypt_smime_send_menu, crypt_init.
	Adjust WithCrypto definition since the GPGME backend does not
	exclude anymore the other `classic' backends.  (KEYFLAG_ISX509):
	New symbol.  * mutt.h (enum): New symbol: OPTCRYPTUSEGPGME.
	(struct body): New member: is_signed_data, warnsig.  * main.c
	(main): Call crypt_init.  * keymap.c (km_get_table): Support for
	MENU_KEY_SELECT_PGP and MENU_KEY_SELECT_SMIME.	(Menus): Added
	entries fuer MENU_KEY_SELECT_PGP and MENU_KEY_SELECT_SMIME.
	(km_init): Create bindings for MENU_KEY_SELECT_PGP and
	MENU_KEY_SELECT_SMIME.	* keymap.h (enum): New enum symbols:
	MENU_KEY_SELECT_PGP, MENU_KEY_SELECT_SMIME.  * init.h:
	New configuration variable: crypt_use_gpgme.  * compose.c
	(pgp_send_menu, smime_send_menu): Removed functions, they are now
	contained in the crypto backend modules.  (mutt_compose_menu):
	Use crypt_pgp_send_menu and crypt_smime_send_menu instead
	pgp_send_menu and smime_send_menu.  * cryptglue.c: Slightly
	rewritten in order to make use of the module mechanism used to
	access crypto backends.  * curs_lib.c (mutt_need_hard_redraw):
	New function.  * crypt.c (crypt_forget_passphrase): Adjust
	for new crypto backend interface.  (crypt_valid_passphrase):
	Stripped, use calls to crypt_pgp_valid_passphrase and
	crypt_smime_valid_passphrase.

2004-06-02 17:55:34  Alain Bench  <veronatif@free.fr>  (roessler)

	* parse.c: Fix #1759.

2004-04-30 06:49:37  Urs Janßen  <urs@tin.org>	(roessler)

	* doc/Makefile.in, doc/mbox.man, doc/mmdf.man: mmdf(5), new mbox
	(5).  (These changes have been sitting in my inbox for ages, tlr.)

2004-04-13 15:10:38  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/message.c: Fix #1795

2004-04-13 08:02:12  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* crypt.c, init.h, mutt.h: Rename pgp_mime_ask to pgp_mime_auto;
	change the default; change the error message given if that
	variable is set to "no."

2004-04-12 21:43:33  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* lib.c, attach.c: Don't open a file for writing that we have
	unlinked before. Reported embarassingly long ago by Jarno
	Huuskonen <Jarno.Huuskonen@uku.fi>.

2004-04-12 21:19:31  Dale Woolridge  <dale-list-mutt-dev-2@woolridge.org>  (roessler)

	* po/uk.po, po/zh_CN.po, po/zh_TW.po, po/pt_BR.po, po/ru.po,
	po/sk.po, po/sv.po, po/tr.po, po/gl.po, po/hu.po, po/id.po,
	po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po,
	po/et.po, po/fr.po, compose.c, crypt.c, init.h, mutt.h,
	mutt_crypt.h, po/ca.po, postpone.c, send.c, sendlib.c: See:
	http://does-not-exist.org/mail-archives/mutt-dev/msg00843.html

2004-04-12 20:37:19  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* copy.c: Fix #1804.  (From vincent@vinc17.org)

	* commands.c, curs_main.c, mutt.h, mutt_crypt.h, pager.c,
	recvattach.c: A belated fix for #1808 (Debian #233106): Make
	sure check-traditional-pgp doesn't leave the pager context
	unnecessarily.	This makes message-hooks like this one safe:

	  message-hook '!(~g|~G) ~b"^-----BEGIN\ PGP\ (SIGNED\ )?MESSAGE"'
		\ "exec check-traditional-pgp"

2004-04-12 19:53:29  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* doc/manual.sgml.head, init.h: Various documentation fixes,
	#1790.

2004-04-12 19:47:59  Alain Bench  <veronatif@free.fr>  (roessler)

	* doc/mbox.man, doc/muttbug.man: Fix #1831, Debian#237827.

2004-04-12 19:42:10  Joël Riou  <joel.riou@normalesup.org>  (roessler)

	* globals.h, init.c, init.h: Introduce config_charset.

2004-04-12 19:37:59  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update

2004-04-12 19:37:23  Im Eunjea  <eunjea@koru.org>  (roessler)

	* po/ko.po: update

2004-04-12 19:34:45  Holger Weiss  <lists@jhweiss.de>  (roessler)

	* doc/manual.sgml.head, doc/muttrc.man.head, mutt.h, pattern.c:
	Unreferenced messages pattern: ~$

2004-04-12 19:20:13  Paul WALKER  <paul.walker@st.com>  (roessler)

	* mutt_sasl.c: SASL2 needs errno.h.

2004-04-12 19:17:32  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* muttlib.c: Include the user ID with temporary file names.
	Suggested by eravin@panix.com in #1833.

	* doc/Makefile.in: Fix #1708 the brutal way, by installing
	multiple copies of the muttbug (pardon, flea) manual page.

2004-04-12 18:56:18  Neil Brown  <neilb@cse.unsw.edu.au>  (roessler)

	* imap/auth_sasl.c: Fix Debian #206078, #214758; patch submitted
	by Artur Czechowski as #1845.

2004-03-21 16:02:10  Ivan Vilata i Balaguer  <ivan@selidor.net>  (roessler)

	* po/ca.po: update

2004-02-12 08:51:07  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/uk.po, po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po,
	po/tr.po, po/pt_BR.po, po/ru.po, po/nl.po, po/pl.po, po/ja.po,
	po/ko.po, po/lt.po, po/id.po, po/it.po, po/gl.po, po/hu.po,
	po/es.po, po/et.po, po/fr.po, po/el.po, po/eo.po, po/da.po,
	po/de.po, VERSION, po/bg.po, po/ca.po, po/cs.po, reldate.h,
	ChangeLog: automatic post-release commit for mutt-1.4.2.1

	* Makefile.am: (stable) Include regex.c and snprintf.c with
	the distribution.

2004-02-11 14:03:38  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/zh_TW.po, po/uk.po, po/zh_CN.po, po/tr.po, po/sv.po,
	po/ru.po, po/sk.po, po/pt_BR.po, po/pl.po, po/nl.po, po/ko.po,
	po/lt.po, po/ja.po, po/it.po, po/id.po, po/hu.po, po/gl.po,
	po/et.po, po/fr.po, po/eo.po, po/es.po, po/el.po, po/de.po,
	po/cs.po, po/da.po, po/ca.po, VERSION, po/bg.po, reldate.h,
	ChangeLog: automatic post-release commit for mutt-1.4.2

	* configure.in, menu.c: Backport an old bug fix, and make sure
	configure can be created on recent systems.

2004-02-11 08:20:25  Mads Martin Joergensen  <mmj@suse.de>  (roessler)

	* init.c: Fix some warnings.

2004-02-08 11:41:31  Edmund GRIMLEY EVANS  <edmundo@rano.org>  (roessler)

	* charset.c: Fix a CP1255/8-related problem that's caused by a
	glibc/iconv bug.

2004-02-08 09:38:38  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* muttlib.c: Change the logic in mutt_open_read to only
	catch directories -- mutt may legitimately read devices (think
	/dev/null) or named pipes. Also delegate error reporting to the
	calling function by setting errno.

2004-02-07 21:40:11  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* po/ja.po: update

2004-02-07 21:38:32  Juan Altmayer Pizzorno  <juan@altmayer.com>  (roessler)

	* mbox.c: Hi, off_t is a 64-bit number (like on Mac OS X/darwin),
	the percentages don't show right while mutt is reading/parsing
	a mailbox.  Here's a patch (against 1.5.6i) to fix that.

2004-02-07 21:36:41  David Yitzchak Cohen  <lists+mutt_devs@bigfatdave.com>  (roessler)

	* init.c, muttlib.c: Looking at the code, the problem is pretty
	obvious.  A recent patch to init.c (the one that was supposed
	to prevent Mutt from silently failing to read nonexistant RC
	files, IIRC) changed source_rc() to stat(2) the RC "file" before
	trying to mutt_open_read() it.	There's only one problem here:
	source_rc() has no way of knowing whether or not its "file"
	is a file or a command.  I'm attaching a patch that fixes the
	problem in what I believe is the right way.

2004-02-05 14:17:25  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* menu.c: Back out the patch for #1697.

2004-02-02 18:17:46  Roland Rosenfeld  <roland@spinnaker.de>  (roessler)

	* po/de.po: update

2004-02-02 10:26:14  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: update

2004-02-02 10:24:32  Im Eunjea  <eunjea@koru.org>  (roessler)

	* po/ko.po: update

2004-02-02 10:22:56  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2004-02-01 18:26:13  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po,
	po/zh_CN.po, po/zh_TW.po, po/id.po, po/it.po, po/ja.po, po/ko.po,
	po/lt.po, po/nl.po, po/pl.po, VERSION, po/bg.po, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po,
	po/et.po, po/fr.po, po/gl.po, po/hu.po, reldate.h: automatic
	post-release commit for mutt-1.5.6

2004-02-01 18:00:16  Mike Schiraldi  <1074468571@schiraldi.org>  (roessler)

	* init.c: As you all know, running "mutt -F foo.rc" will have
	mutt read foo.rc as its config file. However, there is a bug --
	if you specify a directory (like accidentally typing "mutt -F
	/etc/mutt") mutt will silently ignore the flag and leave you
	wondering why it isn't working.

	Emil Sit posted a patch for this in March of 2002, but it seems
	to have slipped through the cracks. Here's the patch again;
	please consider it for inclusion.

2004-02-01 17:50:43  Luke Mewburn  <luke@mewburn.net>  (roessler)

	* buffy.c: Put a zero byte into the string, not into the pointer.

2004-02-01 17:48:25  Dan Ohnesorg  <Dan@ohnesorg.cz>  (roessler)

	* po/cs.po: update

2004-02-01 17:45:33  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/manual.sgml.head: A cross-reference was missing.

	* doc/manual.sgml.head: Improve documentation of alterantes.

	* alias.c, doc/manual.sgml.head, doc/muttrc.man.head, globals.h,
	hdrline.c, init.c, init.h, mutt.h, mutt_regex.h, muttlib.c,
	protos.h: Turn alternates, lists, and subscribe into regular
	expression lists.

2004-01-12 22:56:58  Christoph Ludwig  <cludwig@cdc.informatik.tu-darmstadt.de>  (roessler)

	* smime_keys.pl: Avoid a Perl warning.

2004-01-12 20:24:09  Matt Kraai  <kraai@ftbfs.org>  (roessler)

	* doc/manual.sgml.head: A newline was missing from the
	documentation; #1754.  (The actual commit message for this
	change is garbage; wrong window.)

2004-01-12 19:59:38  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* crypt.c: Retainable PGP signatures were broken badly.  #1757.

2004-01-05 11:55:14  Robert Schiele  <robert.schiele@t-online.de>  (roessler)

	* mutt_sasl.c: Back out part of the previous SASL/IPv6 patch
	due to portability issues.

2004-01-04 10:55:20  René Clerc  <rene@clerc.nl>  (roessler)

	* init.h: Fix hide_missing / hide_limited documentation.

2004-01-04 10:51:49  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* hdrline.c: Permit list patterns that match the domain name of
	an address; these patterns begin with '@'.  Example:  subscribe
	@bugs.guug.de matches all messages sent to the bug tracking
	system.

2004-01-04 10:30:52  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/ru.po: Argh, I shouldn't replace files by patches.

2004-01-04 10:25:13  Cameron Patrick  <cameron@patrick.wattle.id.au>  (roessler)

	* menu.c: Fix #1697 (Debian  #219594.)

2004-01-04 10:21:19  Roland Rosenfeld  <roland@spinnaker.de>  (roessler)

	* po/de.po: update

2004-01-04 10:19:45  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* po/ja.po: update

2004-01-04 10:08:02  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: update

2004-01-04 10:03:46  Michael Elkins  <me@sigpipe.org>  (roessler)

	* send.c: Fix #1488 (Debian#1882526): Honor Reply-To while
	generating Mail-Followup-To headers.

2004-01-04 09:59:42  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* init.h: Fix #1738; documentation issue re $from, $use_from.

2004-01-04 09:52:55  Michael Elkins  <me@sigpipe.org>  (roessler)

	* hook.c, send.c: Fix #1724, cannot use ~h pattern match with
	reply-hook.

2004-01-04 09:49:23  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* pop.h, pop_lib.c: Attached patch provides support of STLS
	(STARTTLS) command in POP3 protocol.

	* po/ru.po: update

2004-01-04 09:45:05  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/imap.c: Fix #1703.

2004-01-04 09:42:35  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* smime.c: Fix a NULL pointer deference noted by Will Fiveash
	<william.fiveash@sun.com>.

2003-12-30 13:04:20  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* commands.c, crypt.c, mutt.h, mutt_crypt.h, smime.c: Handle
	partially signed messages more reasonably.  See #1743.

2003-12-29 11:44:35  Alain Bench  <veronatif@free.fr>  (roessler)

	* commands.c: Fix #844.

2003-12-29 11:37:41  Patrick Welche  <prlw1@newn.cam.ac.uk>  (roessler)

	* m4/gssapi.m4, mutt_sasl.c: A while ago I posted a similar
	patch which is necessary as when mutt tries to connect to an
	imap server over ipv6 it stores the address in a sockaddr which
	may not be large enough to hold the ipv6 address.

2003-12-17 17:42:02  Scott Koranda  <skoranda@gravity.phys.uwm.edu>  (roessler)

	* crypt.c: pkcs7-signature wasn't recognized properly in one
	more place.

2003-12-17 08:46:50  Michael Elkins  <me@sigpipe.org>  (roessler)

	* rfc1524.c: Fix possible core dump in mailcap nametemplate
	handling.

2003-12-10 00:48:57  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* thread.c: Avoid NULL pointer deference in threading code.

2003-12-03 08:19:11  Alain Bench  <veronatif@free.fr>  (roessler)

	* pager.c: Fix 1716.

2003-11-15 09:32:30  Velko Hristov  <hristov@informatik.hu-berlin.de>  (roessler)

	* po/bg.po: updat

2003-11-12 22:31:51  Edmund GRIMLEY EVANS  <edmundo@rano.org>  (roessler)

	* po/eo.po: update

2003-11-12 14:01:03  René Clerc  <rene@clerc.nl>  (roessler)

	* po/nl.po: update

2003-11-12 13:49:32  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* configure.in, mutt_idna.c, mutt_idna.h, mutt_socket.c: Fix
	IDN API incompatibility problems.

2003-11-12 11:47:46  duvall@emufarm.org  (roessler)

	* configure.in: Fix 1515, 1693.

2003-11-12 11:40:27  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* mh.c, sort.c: Fix dangling pointer problems in threading code.
	Noted and tracked down by q4xk3j002@sneakemail.com who also
	provided the initial fix.
	
	CORRECTION: q4xk3j002 (whoever that is) reported the bug,
	but thr problem was tracked down and fixed by YONETANI
	Tomokazu <qhwt@myrealbox.com>

2003-11-11 10:19:22  Ronny Haryanto  <ronnylist@haryan.to>  (roessler)

	* po/id.po: update

2003-11-10 18:02:26  Rudy Taraschi  <rudy@cae.com>  (roessler)

	* mutt_socket.c: Fix double-free problems related to IDN support.

2003-11-10 10:37:10  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2003-11-09 21:41:28  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* mh.c: Fix #1692.

2003-11-09 09:38:32  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* send.c: Commit the fix for #1509. This must have been lost
	earlier this year.

2003-11-05 20:09:36  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po,
	po/zh_TW.po, ChangeLog, VERSION, po/bg.po, po/ca.po, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po,
	po/fr.po, po/gl.po, po/hu.po, po/id.po, po/it.po: automatic
	post-release commit for mutt-1.5.5.1

2003-11-05 12:17:10  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* Makefile.am: Include regex.c and snprintf.c with the
	distribution.  Noted by Lars Hecking.

	* build-release: Ups, we don't upload the CVS any more.

	* po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/zh_CN.po, po/zh_TW.po, ChangeLog, VERSION, po/bg.po,
	po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po, po/id.po,
	po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, reldate.h:
	automatic post-release commit for mutt-1.5.5

2003-11-05 09:27:43  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* build-release: Use gpg for signing releases.

2003-11-03 10:30:58  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* attach.c: Fix a logic flaw in attachment saving.

2003-10-08 19:55:39  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgpkey.c: KeyTable is pgp_uid_t **, not pgp_key_t *.	Fix some
	sizeof statements accordingly.	Note that pgp_key_t is also a
	pointer, though, so this should not have broken things.

2003-10-06 09:58:35  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* query.c: Fiy memory corruption. (# 1659)

2003-10-04 22:12:10  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* lib.c: mutt_basename() was garbage.

2003-10-04 20:54:37  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/manual.sgml.head: Fix some tags.	Noted by Todd
	<Freedom_Lover@pobox.com>.

2003-10-04 20:35:00  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* recvattach.c, attach.h, commands.c, compose.c, keymap.h, lib.c,
	lib.h, menu.c, mutt.h, mutt_menu.h, muttlib.c, pager.c, protos.h:
	This patch fixes various aspects of the attachment-saving user
	interface.  Changes include:

	- When tagging and saving multiple attachments, you can now use
	  the same target directory for multiple attachments.

	- When you can't save an attachment, you get an opportunity to
	  enter a new file name.

	- The menu cursor will highlight the attachment that you are
	  currently discussing with mutt.

	- Various bug fixes.

	This does, in particular, address #1619 (Debian#208430).

	* menu.c: Fix #1656.

2003-09-29 16:34:32  René Clerc  <rene@clerc.nl>  (roessler)

	* doc/muttrc.man.head: Fix typo.

2003-09-29 15:05:52  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/dotlock.man, doc/mutt.man, doc/muttrc.man.head: Fix #1652
	(Debian #213007), noted by Jens Seidel <tux-master@web.de>.

2003-09-20 06:24:10  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* muttbug.sh.in: Adapt to new GNU coreutils by not using head (1).

2003-09-19 13:09:59  René Clerc  <rene@clerc.nl>  (roessler)

	* po/nl.po: update

2003-09-19 13:05:13  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* imap/utf7.c: Fix remaining (void **) casts.

2003-09-19 13:03:26  Mads Martin Joergensen  <mmj@suse.de>  (roessler)

	* imap/browse.c, imap/command.c, parse.c, pgp.c, pgpkey.c,
	pop_lib.c, query.c, recvattach.c, remailer.c, rfc1524.c,
	rfc2047.c, rfc2231.c, sendlib.c, smime.c, thread.c, addrbook.c,
	browser.c, color.c, compose.c, copy.c, crypt.c, curs_lib.c,
	edit.c, enter.c, handler.c, lib.c, lib.h, mh.c, mutt_idna.c, mx.c,
	pager.c: As the ones of you who compile with new gcc's probably
	have noticed, there's a lot of type-punning in Mutt. With help
	from Philipp Thomas, I've fixed all I could find in CVS (please
	double-check, one might have slipped through the cracks), I can
	make one for 1.4 CVS branch as well if wanted.

2003-09-19 12:56:49  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* send.c: Change abort_unmodified so it doesn't abort a message
	that has an attachment.  Catches the "send a file from the
	command line, quickly" case.

2003-09-11 16:59:54  Brendan Cully  <brendan@kublai.com>  (roessler)

	* mutt_sasl.c: This trivial patch closes #1516 (NI_WITHSCOPEID
	undefined). Thanks to Mads for the initial patch.

2003-09-11 07:27:23  Velko Hristov  <hristov@informatik.hu-berlin.de>  (roessler)

	* po/bg.po: Bulgarian translation.  (Seems like I screwed up an
	earlier commit.  -tlr)

2003-09-10 13:20:49  Jon Miles  <jon@zetnet.net>  (roessler)

	* pop_auth.c: In pop_auth.c:pop_auth_sasl(), if the main loop
	received anything back from the server that didnt begin with '+
	', it was bailing out and skipping the checks to see if there
	was a +OK response.

2003-09-07 10:11:49  Im Eunjea  <eunjea@koru.org>  (roessler)

	* po/ko.po: update.

2003-09-04 15:10:09  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* init.h: Fix some formatting glitches that lead to error messages
	when viewing the muttrc(5) manual page.

2003-09-04 14:59:57  Christoph Ludwig  <cludwig@cdc.informatik.tu-darmstadt.de>  (roessler)

	* smime.c: Fix verification bug when messages are S/MIME signed
	& encrypted.

2003-09-03 17:22:09  Dan Born  <dan@danborn.net>  (roessler)

	* postpone.c: I've attached a patch for bug number 1036, as
	reported at http://bugs.guug.de/db/pa/lmutt.html ("segfault
	when more than one msg is postponed").	This is a patch against
	mutt 1.4.1.

	As it was previously left, no one could reproduce it.  The problem
	occurs because sorting is disabled when opening the postponed
	folder, but the Sort global variable still tells mutt to use
	whatever sorting algorithm the $sort config option indicates.
	Eventually, the code would get to mutt_messages_in_thread and
	try to dereference a NULL thread object, causing the segfault.

2003-09-03 17:20:56  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: update.

2003-09-03 17:15:20  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* po/ja.po: New ja.po.

2003-09-03 17:12:52  Velko Hristov  <hristov@informatik.hu-berlin.de> (roessler)

	* configure.in: Bulgarian translation.

2003-09-03 17:10:37  Brendan Cully  <brendan@kublai.com>  (roessler)

	* mutt_ssl.c: Fix a segmentation fault which occurs
	when a certificate is rejected.  Bug noted by Rob Latham
	<rob@terizla.org>.

2003-09-03 17:09:09  Anatoly Vorobey  <mellon@pobox.com>  (roessler)

	* curs_main.c: The commands "read-thread" (^R) and
	"read-subthread" (Esc-R) do not honor the resolve variable (don't
	advance cursor after marking the thread/subthread as read),
	which, to me at least, is a nuisance.

2003-08-11 14:06:08  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/imap.c: 1595: My guess is this bug is caused by
	mlarson@verisign.com's patch to check for UNSEEN rather than
	RECENT messages. This means that as long as there are messages
	in a mailbox either new or old, mutt will think it has new mail.

	The attached patch reverts that change. Let me know if it solves
	the problem.

2003-08-11 14:05:13  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/muttrc.man.head: Fix a formatting bug.

2003-08-05 13:55:47  Brendan Cully  <brendan@kublai.com>  (roessler)

	* attach.c, buffy.c, commands.c, copy.c, editmsg.c, init.c,
	mbox.c, mx.c, mx.h, sendlib.c: This patch removes the Kendra
	format from mutt.  (The support was broken anyways.)

2003-08-02 11:01:09  Horvath Szabolcs  <horvaths@fi.inf.elte.hu>  (roessler)

	* po/hu.po: update

2003-07-29 10:11:05  Edmund GRIMLEY EVANS  <edmundo@rano.org>  (roessler)

	* pager.c: It seems that Solaris has an incorrect implementation
	of mbrtowc: when there is an encoding error and mbrtowc returns
	(size_t)(-1) no value should be stored in *pwc (the first
	argument), as I understand it, but here mbrtowc is storing 8
	when presented with the bytes "\xc8\x4d".

	However, relying on mbrtowc not to store anything in *pwc when
	there is an error is a bit silly; it makes sense to look at
	the return value. So, the following patch should be applied if
	Pawel can confirm that it fixes the problem. I've tested it and
	it worked for me with glibc's mbrtowc.

2003-07-24 18:40:50  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* alias.c, copy.c, handler.c, imap/command.c, imap/imap.c,
	imap/message.c, imap/util.c, init.c, intl/l10nflist.c,
	intl/loadmsgcat.c, intl/localealias.c, keymap.c, lib.c,
	makedoc.c, muttlib.c, pattern.c, rfc2047.c, rfc2231.c, rfc822.c,
	strcasecmp.c, url.c: Some functions/macros like isspace take an
	int and require the argument to have the value of an unsigned char
	(or EOF). Under Solaris, gcc complains when the argument is a char
	(as this is a possible bug, on platforms where char is signed,
	like Solaris). The attached patch fixes such problems (well,
	perhaps I've changed more than necessary, but this doesn't hurt).

2003-07-22 12:56:38  dshaw@jabberwocky.com  (roessler)

	* gnupgparse.c: When encrypting a message to a user that has more
	than one subkey, at least one of which is revoked or expired,
	mutt treats the entire key as unusable rather than just the
	subkey(s) in question.

2003-07-16 11:18:12  Brendan Cully  <brendan@kublai.com>  (roessler)

	* account.c, account.h, imap/auth_sasl.c, imap/imap.c: I noticed
	that my mutt hung when I tried SASL DIGEST-MD5 authentication
	(I'm not sure when this started). I believe this patch should
	solve that problem in a reliable way.

	This patch also attempts to reuse connections even when
	authentication fails, instead of just throwing away a perfectly
	good socket.

	* curs_lib.c, enter.c, keymap.c, keymap.h, mutt.h, mutt_curses.h,
	mutt_ssl.c: This patch redoes yesterday's unbuffered input
	patch. Now it uses a pseudo-option, which means less mess to carry
	down the call stack.  It also made it much easier to have the SSL
	certificate menu be unbuffered, which it is now. So push commands
	won't annoy you when entering passwords or accepting certificates.

2003-07-15 11:41:32  Brendan Cully  <brendan@kublai.com>  (roessler)

	* curs_main.c, globals.h, imap/command.c, imap/imap.c,
	imap/imap.h, imap/imap_private.h, imap/util.c, mx.c: The attached
	patch should keep all opened IMAP connections alive, no matter
	what mailbox you are currently in. With the patch that got
	committed yesterday, this should close bug 1523.

	(There was a typo in that patch. This one supersedes it.)

	* configure.in, .cvsignore: autoconf 2.5 compatibility.

2003-07-14 12:40:03  Hugo Haas  <hugo@larve.net>  (roessler)

	* send.c: Fix #1520.

2003-07-14 12:20:27  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: small fix.

2003-07-14 12:19:07  Brendan Cully  <brendan@kublai.com>  (roessler)

	* imap/command.c, imap/imap.c: 

	On Sunday, 13 July 2003 at 18:09, Brendan Cully wrote:

	> The attached patch should help when the connection to your
	> postponed folder times out and you can't reconnect without
	> restarting mutt. I'd like anyone who has that problem to
	> try it and let me know how it works.

	I dug a little deeper. The attached patch seems to work better. It
	complains the first time you try to recall a message, but works
	the second.

	* account.c, curs_lib.c, enter.c, keymap.c, keymap.h, mutt.h,
	mutt_curses.h: The attached patch prevents mutt from reading the
	push buffer when asking for passwords. This is a proper fix for
	bug 1312. I think it's uncontroversial.

2003-07-04 17:15:34  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* imap/auth_sasl.c: Increase a buffer's size.

2003-07-04 17:07:22  Nicolas Rachinsky  <nr@rachinsky.de>  (roessler)

	* OPS, curs_lib.c, curs_main.c, functions.h, menu.c: Introduce
	tag-prefix-cond and end-cond.  This makes simple conditional
	execution of parts of macros possible.

2003-07-04 17:03:51  Bruno Postle  <bruno@postle.net>  (roessler)

	* curs_main.c, pattern.c: Display an empty index when no messages
	match search criteria.

2003-07-04 16:57:56  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* init.h, muttlib.c: Add a ':' flag to % expandos.  This will
	make sure that any dots are converted into underscores.  (_
	is already used for lowercasing the result of an expando.)

2003-06-04 14:01:39  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* muttlib.c: Don't colorize empty lines generated with
	state_attach_puts();

2003-05-29 17:49:00  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/id.po, po/eo.po: Updates from the respective authors.

2003-05-29 17:48:28  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* pgp.c: Fix part of #1564.

2003-05-29 17:47:10  Matt Larson  <mlarson@verisign.com>  (roessler)

	* imap/imap.c: Look at UNSEEN, not RECENT in
	imap_check_mailbox().

2003-05-29 17:47:10  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* init.c: Fix a segmentation fault which would occur when
	pgp_sort_keys is set in a configuration file, but mutt is compiled
	without PGP support.

	* gnupgparse.c: Fix PGP subkey handling when looking at key
	capabilities.  This should take care of the recent "mutt does
	not see all keys" problems.

2003-05-13 13:06:16  Dale Woolridge  <dale-list-mutt-dev-2@woolridge.org>  (roessler)

	* crypt.c: Fix gpg-agent use.

2003-05-13 12:53:20  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/manual.sgml.head: Remove useless examples about treating
	text/enriched externally.  #1549; Debian #190309.

2003-05-13 12:50:04  Juan Altmayer Pizzorno  <juan@altmayer.com>  (roessler)

	* recvattach.c: view-attachments does not extract the message
	within a x-pkcs7-mime if it's only signed, but not encrypted.
	Such a message results, for example, from a decrypt-save if the
	message was previously encrypted and signed.

2003-05-13 12:45:35  Thomas Glanzmann  <sithglan@stud.uni-erlangen.de>  (roessler)

	* doc/manual.sgml.head: Fix an inconsistency between manual
	and code.

2003-05-13 12:43:45  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* gnupgparse.c, pgppubring.c: Currently, mutt uses the OpenPGP key
	algorithm to determine the capabilities of the key.  For example,
	in mutt, a key of type 1 (RSA) can both encrypt & sign.  This is
	not correct as per OpenPGP, however, where the capabilities of
	the key are determined by both the algorithm and key capability
	flags that are set on the key.	This can lead to user confusion
	when their RSA encrypt-only or sign-only key is listed for both
	signing and encryption in mutt.

	GnuPG lists these flags in key listings, so it is easy to take
	advantage of them.  Here is a patch to use the flags, as well
	as provide the flags in pgpring.  Note that the pgp+pgpring
	users won't see any change since the flags there are based on
	the key algorithm as they are now, but the GnuPG users will see
	an improvement.

2003-05-12 16:21:26  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* enter.c: Fix alias completion when the alias is entered as
	part of a group.  (E.g., The Tea Party: alias1, alias2, alias3;)

2003-05-03 20:07:40  Dan Nelson  <dnelson@allantgroup.com>  (roessler)

	* mutt.h, muttlib.c: Fix #1558.  (mutt_expand_fmt rewrite;
	OPT_MAX wasn't maximal.)

2003-04-15 13:17:05  René Clerc  <rene@clerc.nl>  (roessler)

	* compose.c: Fix two more cases in which ctrl-G is interpreted
	as M_YES.

2003-04-15 09:52:06  Dale Woolridge  <dale-flea-mutt-bug@woolridge.org>  (roessler)

	* compose.c: The "sign (a)s" code strips the pgp application
	bit causing drawing issues in redraw_crypt_lines().  Other bits
	(well bit = encrypt) are ignored as a result.  I've only tested
	with pgp, but the same problem exists in the smime code too.
	This inline patch (against cvs head revision) fixes the problem.

2003-04-14 09:09:53  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* init.h, mutt.h, send.c: Fix the PGP / S/MIME selection mess
	in send.c.  This patch adds two new configuration variables,
	$crypt_autopgp and $crypt_autsmime.  Both are set to "yes"
	by default.  By turning them off, you can disable the automatic
	selection of one or both mechanisms.  (Useful when your mutt is
	PGP- and S/MIME enabled, but you only use, say S/MIME.)

2003-04-11 15:15:04  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* send.c: Backing out the previous change. It was nonsense.

2003-04-11 11:56:58  Lars Hecking  <lhecking@nmrc.ucc.ie>  (roessler)

	* config.guess, config.sub, depcomp, install-sh, missing,
	mkinstalldirs: updates.

2003-04-11 11:56:22  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* send.c: Try to fix a PGP / S/MIME-related problem.  Found by
	Matt Larson <mlarson@verisign.com>, tracekd down by René Clerc
	<rene@clerc.nl>.

	* thread.c: Fix a segmentation fault.

2003-04-09 08:21:59  Zardoz@users.sourceforge.net  (roessler)

	* recvcmd.c: Fix #1531.  (recvcmd.c duplicate of #1528)

2003-04-08 22:32:56  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* lib.c: Avoid a division by zero.

	* color.c: Make sure has_colors() is only invoked when OPTNOCURSES
	is unset.  This fixes a segmentation fault on RH 8.0 which was
	observed by Matt Larson <mlarson@verisign.com>.

	* browser.c, enter.c, imap/imap.c, lib.c, mutt_idna.c, mx.c,
	sendlib.c, smime.c, thread.c: Try to catch a couple of cases
	in which parameters for malloc calls could overflow.  Thanks to
	Timo Sirainen for the heads-up.

2003-04-08 10:18:15  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/es.po: Mark a translation as fuzzy in order to fix #1522.

2003-04-07 20:08:10  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* commands.c: Fix #1528.

2003-04-07 07:57:49  René Clerc  <rene@clerc.nl>  (roessler)

	* po/nl.po: update

2003-04-06 11:00:59  Ivan Vilata i Balaguer  <ivan@selidor.net>  (roessler)

	* po/ca.po: update

2003-04-02 09:05:19  Bjoern Jacke  <muttbug@j3e.de>  (roessler)

	* smime_keys.pl: - add a missing filehandle closure - some
	cleanups of unused/bogous code

2003-04-02 08:47:28  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* contrib/Makefile.in, contrib/colors.default,
	contrib/colors.linux: sample.muttrc-tlr would try to include
	my color configurations, which weren't distrubted.  Fix
	that. (Bug noted while helping someone else to configure
	mutt during a conference.)

2003-04-02 08:43:24  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* contrib/sample.muttrc: Fix sample.muttrc.  (Error noted by
	Thomas Glanzmann.)

2003-04-02 08:40:50  Gary Johnson  <garyjohn@spk.agilent.com>  (roessler)

	* curs_main.c: Here is the patch to fix the bug I reported
	earlier in this thread, that sometimes when changing folders,
	mutt would generate an error message and stop the further
	processing of folder-hooks.

2003-04-02 08:38:13  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2003-04-02 08:34:49  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (roessler)

	* po/ja.po: update

2003-04-02 08:31:00  Roland Rosenfeld  <roland@spinnaker.de>  (roessler)

	* po/de.po: update

2003-04-02 08:28:24  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* init.h, mutt.h, pgp.c: Here is the pgp_check_exit patch
	updated for 1.5.4.  This patch adds the pgp_check_exit option
	(enabled by default) that causes mutt to check the exit code
	of the PGP subprocess.	A non-zero exit code means that the
	subprocess failed and mutt will not continue to send the message.

	This is needed as in certain cases, PGP or GnuPG can fail to
	completely process a document (say, if the gpg.conf file is
	mangled, which is how I discovered the problem).  Without an
	exit code check, mutt will continue anyway and send the half
	processed file.

2003-04-02 08:21:09  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update.

2003-03-19 22:43:08  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/zh_CN.po, po/zh_TW.po, po/et.po, po/fr.po, po/gl.po,
	po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	po/nl.po, ChangeLog, Makefile.am, VERSION, po/Makefile.in.in,
	po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, reldate.h: automatic post-release commit for mutt-1.5.4

2003-03-19 22:18:43  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/sk.po,
	po/sv.po, po/pl.po, po/pt_BR.po, po/ru.po, po/ja.po, po/ko.po,
	po/lt.po, po/nl.po, po/gl.po, po/hu.po, po/id.po, po/it.po,
	po/et.po, po/fr.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, VERSION, po/bg.po, po/ca.po, po/cs.po, reldate.h,
	ChangeLog: automatic post-release commit for mutt-1.4.1

	* pgppubring.c: Fix some memory management calls. (Stable branch.)

2003-03-19 21:33:30  Edmund GRIMLEY EVANS  <edmundo@rano.org>  (roessler)

	* imap/utf7.c: Fix a buffer overflow in utf8_to_utf7. (Stable
	branch.)

	* imap/utf7.c: Fix a buffer overflow in utf8_to_utf7.

2003-03-18 14:51:52  Andrew W. Nosenko  <awn@bcs.zp.ua>  (roessler)

	* buffy.c (test_last_status_new): Fix memory leak.  Envelope
	structure allocated by mutt_read_rfc822_header() was never
	deallocated.

	* parse.c (mutt_read_rfc822_header): Comment added about
	needing deallocate envelope structure returned by
	mutt_read_rfc822_header().

	* mutt_idna.c: (mutt_addr_for_display): Fix memory leak.  `user'
	and `domain' buffers was never deallocated.

	(mbox_to_udomain): Fix memory leak.  `scratch' buffer was not
	deallocated when `mbx' doesn't contain '@'. Also rewritten for
	allocating memory only when needed and only how many as needed.

2003-03-12 13:00:03  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* copy.c, sendlib.c: We need to re-format address headers instead
	of just decoding them.

2003-03-07 14:55:53  Brendan Cully  <brendan@kublai.com>  (roessler)

	* mutt_sasl.c: The global callbacks set up in sasl_client_init
	are not copied by the SASL library, so they can't be allocated
	on the stack. This is the case with both versions of the SASL
	library, and I frankly don't understand why it hasn't caused
	problems before. Since it segfaults reliably on OS X for me now,
	I thought a patch would be in order.

2003-03-07 08:23:27  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* crypt.c, pgp.h: Don't use functions without importing the
	corresponding prototype.

	* mutt_idna.c: It seems like libidn doesn't like to translate
	NULL pointers.

2003-03-07 07:52:49  Jim Mock  <mij@soupnazi.org>  (roessler)

	* globals.h: globals.h is looking for crypt.h instead of
	mutt_crypt.h.

2003-03-06 21:23:53  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* send.c: Fixing a segmentation fault.	Here's how to
	reproduce it: Start mutt.  Compose a new message, with an
	attachment. Turn on PGP signing.  Press C-G on the pass
	phrase prompt. Turn off PGP signing.  Send the message.

2003-03-05 21:18:24  Andrew W. Nosenko  <awn@bcs.zp.ua>  (roessler)

	* protos.h, sort.c: Fix a warning.

	* mutt_idna.c: Fix tlr's pre-processor screw-up.

2003-03-04 09:51:07  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* mutt_idna.c, mutt_socket.c: Unset UseSTD3ASCIIRules, and set
	AllowUnassigned.  (Just reading some standards.)

2003-03-04 09:31:19  Edmund GRIMLEY EVANS  <edmundo@rano.org>  (roessler)

	* handler.c: Be more friendly about bad multipart/alternative
	bodies; #1478. Note that the relevant standards explicitly
	*forbid* nested MIME encodings.

2003-03-04 09:27:21  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* copy.c: Fix another stupid error, and decode IDNs in the
	CC header.

	* init.h: Fix two typos in one line.  Noted by Thomas Glanzmann
	and Steve Kennedy.

	* addrbook.c, alias.c, send.c: Fixing more IDN bugs.

2003-03-03 14:25:14  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* copy.c, sort.c: Fixing some nits.

	* mutt_socket.c: IDNA support for the socket back-end.

	* Makefile.am, addrbook.c, alias.c, charset.h, commands.c,
	compose.c, configure.in, copy.c, edit.c, hdrline.c, headers.c,
	init.c, main.c, mutt_idna.c, mutt_idna.h, pgpinvoke.c,
	protos.h, query.c, recvcmd.c, rfc822.c, rfc822.h, send.c,
	sendlib.c: IDN support for e-mail messages.  Things should work
	automagically once you have the GNU IDN library available from
	ftp://alpha.gnu.org/pub/gnu/libidn/ installed.	For IDN's which
	can't be losslessly recoded to your local character set, mutt
	should automatically fall back to using the ASCII representation.
	There's probably a considerable number of bugs in this, and the
	code may, at this point, not even compile on machines without
	libidn.  Will start working on that ASAP.

2003-03-03 08:26:21  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* contrib/sample.muttrc, doc/manual.sgml.head, recvcmd.c,
	commands.c, init.h, mutt.h: Introduce a new option named
	$bounce, and fix some inconsistencies in the messages created
	when bouncing.	Based on work done by Thomas Glanzmann
	<sithglan@stud.uni-erlangen.de>.

2003-02-25 22:00:38  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* commands.c, recvcmd.c: Fix some (too lazy and tired to do all)
	of the inconsistencies between message and attachment bouncing.

	* crypt.c: I should test-compile things before committing.
	Stupid typo.

2003-02-25 21:41:32  Michael Elkins  <me@sigpipe.org>  (roessler)

	* query.c: Use mutt_strwidth for query response formatting.
	(#1477)

2003-02-25 21:37:59  Christian Vogel  <vogelchr@vogel.cx>  (roessler)

	* mx.c: Recognize MH folders used by sylpheed.

2003-02-25 21:35:24  jesus.climent@hispalinux.es  (roessler)

	* po/es.po: Fix a typo. (#1482)

2003-02-25 21:33:16  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/manual.sgml.head: Remove some ftp.guug.de URLs from the
	manual. (#1485)

	* crypt.c: Fix #1486; noted by Jeroen Coekaerts
	<jeroen@coekaerts.be>.

2003-02-19 21:33:43  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* pgpmicalg.c: 3156 defined several micalg values (pgp-md5,
	pgp-sha1, etc.)  Since then, three more hashes have been assigned
	numbers in 2440bis.  Here is a patch to add values for pgp-sha256,
	pgp-sha384, and pgp-sha512 so mutt can properly handle them.

2003-02-19 21:31:19  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* parse.c: Fix a memory leak observed by Vineet Kumar
	<mutt-dev@virtual.doorstop.net>.

2003-02-13 09:55:02  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* init.h: Here are some updates to the muttrc docs (spell check,
	language tweaks, etc).	No functional changes - this is just
	language stuff.

2003-02-13 09:50:00  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Fix #1444, Debian #178563.  The details of this problem
	were tracked down by Steven Barker <steve@blckknght.org>.

2003-01-31 00:15:03  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* init.h: Change the default for crypt_replyencrypt back to "yes".
	Noted by Thomas Poindessous in Debian bug #178899; also #1448.

	* pgp.c: Fix #1442 (thanks, Dale); properly initialize some
	pointers which could otherwise lead to crashes.

2003-01-30 23:54:30  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* crypt.c, init.h, mutt.h, mutt_crypt.h, send.c: Introduce
	$pgp_auto_traditional.

2003-01-30 23:48:36  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* flags.c: The IMAP ACL patch broke things.

2003-01-23 22:05:02  Nathan Dushman  <nhd+mutt@andrew.cmu.edu>  (roessler)

	* pop_auth.c: SASL2 support for popo_auth.c.

	* curs_main.c, flags.c, imap/imap.c, pager.c: The attached
	patch provides improved support for IMAP ACLs (on servers that
	support them).	This means that mutt will now write the Seen
	flag in mailboxes that allow it, even if the mailbox doesn't
	allow other changes.

2003-01-23 22:01:03  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* handler.c: Automatically use the text/plain handler for text/*
	body parts which don't have a handler of their own.

2003-01-21 18:56:10  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* cryptglue.c: Fix a typo which broke pgp-extract-traditional.

	* mutt_crypt.h: Fix an #ifdef.

2003-01-21 12:33:41  Werner Koch  <wk@gnupg.org>  (roessler)

	* Makefile.am, acconfig.h, attach.c, commands.c, compose.c,
	 configure.in, copy.c, copy.h, crypt.c, cryptglue.c, curs_main.c,
	 functions.h, globals.h, gnupgparse.c, handler.c, hdrline.c,
	 headers.c, hook.c, init.c, init.h, keymap.c, keymap.h,
	 main.c, mutt.h, mutt_crypt.h, muttlib.c, mx.c, pager.c,
	 parse.c, pattern.c, pgp.c, pgp.h, pgpkey.c, pgplib.c, pgplib.h,
	 pgppubring.c, pop.c, postpone.c, protos.h, recvattach.c, send.c,
	 sendlib.c, smime.c, smime.h, sort.h:  
	 
	 - To cleanup the pgp/smime code and prepare for other
       	   backends.  
	 - Support gpg-agent by not asking for a passphrase.

	This is just a start and probably we need a couple of other things
	to do. One drawback is that the help menu does always list all
	crypto realted stuff even when configured for no crypto at all.
	Same goes for the configure options but I consider thsi a feature:
	It allows to use the same .muttrc for different versions of mutt -
	at least during development, this is an advantage.  This all might
	be fixed but requires some changes to the configuration system.

	Note, the use of the WithCrypto macro - it enables the compiler
	to do dead-code-elimination depending on the configured backend.
	This is better readable than all the nested ifdefs.  I did some
	short tests and it seems to work, althoug mutt's size does not
	change largely when compiled w/o crypto.

	cryptglue.c is new as a warpper to all crypto calls; some are
	still in crypt.c but they should eventually also be wrapped.
	We don't use function pointers to keep a path to use dlopen or
	runtime configured backends.  crypt.h is also new and replaces
	pgp.h and smime.h in most files (except for the backend).

	(Details are in Werner's changelog entries from January 4
	and January 6 below.  Note that the configure update Werner
	had done are not in the CVS at this point. -- T.R.)

2003-01-09 17:27:25  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgppubring.c: Don't make a "hard" transition to the new GnuPG
	syntax in pgpring.  This change undoes one of David Shaw's
	changes which were just committed.

2003-01-09 17:24:41  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* gnupgparse.c, pgppubring.c: The latest GnuPG has new abilities
	to work with disabled keys.  Part of this change will eventually
	involve moving the 'd' that indicates a disabled key to a
	different part of the key listing.

	To smooth this transition, as of version 1.2.2, GnuPG will
	start giving the 'd' in both places (and will do this for a good
	long time).

	Here is a patch so mutt will accept either the old or new syntax.

	* curs_lib.c: A recent change causes all mutt_yesorno prompts
	to come out as [yes]/yes or [no]/no.  Here's a fix.

2003-01-06  Werner Koch  <wk@gnupg.org>  (Committed 2003-01-21, roessler.)

	* crypt.c (crypt_valid_passphrase): Detect gpg-agent and don't ask
	for the passphrase.
	* pgp.c (pgp_decrypt_part, pgp_application_pgp_handler)
	(pgp_sign_message, pgp_encrypt_message)
	(pgp_traditional_encryptsign): Make sure that we never ever send
	the passphrase if the gpg-agent has been detected.  Likewise.

	* acconfig.h: Removed all remaining stuff as AC_TEMPLATEs to
	configure.in. BTW, we should consider to rename configure.in to
	configure.ac.

2003-01-05 22:16:02  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* smime_keys.pl: Error checking for the creation of the temporary
	directory; also, use file mode 0700.

2003-01-05 22:08:25  Bjoern Jacke  <bjoern@j3e.de>  (roessler)

	* smime_keys.pl: Improve temporary file handling.

2003-01-05 22:02:37  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* commands.c: Another mutt_yesorno() change, in order to correctly
	interpret a C-g.

2003-01-05 22:00:00  Armin Wolfermann  <aw@osn.de>  (roessler)

	* recvcmd.c, send.c, alias.c, attach.c, commands.c, curs_lib.c,
	main.c, muttlib.c, mx.c, pgpkey.c: Fix a number of invocations
	of mutt_yesorno(): Always explicitly use the M_YES and M_NO
	constants.  Fixes a couple of cases in which C-g would be
	mis-interpreted.

2003-01-04  Werner Koch  <wk@gnupg.org>  (Committed 2003-01-21, roessler.)

        Replaced the use of HAVE_PGP and HAVE_SMIME by a more readable
	and extendable solution.

	* pgplib.h: Moved enum pgp_ring and KEYFLAGS_* to
	* crypt.h: here.
	* smime.c (mutt_is_application_smime): Moved to 
	* crypt.c (mutt_is_application_smime): here.
	* pgp.c (mutt_is_application_pgp): Moved to 
	* crypt.c (mutt_is_application_pgp): here.
	* pgp.c (pgp_is_multipart_encrypted): Removed. Merged code with 
	* crypt.c (mutt_is_multipart_encrypted): this.

	* mutt.h: Protect against double inclusion.

	* pgplib.h (struct pgp_keyinfo): Remove the typedef to pgp_key_t.
	* crypt.h (pgp_key_t): Declare the typedef here.  NOTE:  This is
	now a pointer.  Changed all usages accordingly.

	* configure.in: Replace HAVE_PGP and HAVE_SMIME by the new
	CRYPT_BACKEND macros.  Always include all OPS.*. 
	(LIBOBJ): Replaced by AC_LIBOBJ as required by newer autoconfs.
	* Makefile.am (EXTRA_mutt_SOURCES): Move crypt.c to mutt_SOURCES.
	(mutt_SOURCES): Add cryptglue.c
	(EXTRA_DIST): Add crypt.h

	* pgp.h, pgplib.h, smime.h: Use the header only when the
	approriate backend has been configured.
	* pgp.c, pgpkey.c, smime.c: Build only if the approriate
	CRYPT_BACKEND_ macro is defined.
	* pgp.h, smime.h, global.h: Moved all variable declarations to
	global.h because they are now always defined. 

	* sort.h: Always define PgpSortKey, although it does not belong to
	here.

	* keymap.h: Unconditionally include all PGP and SMIME stuff.
	* mutt.h: Ditto.
	* protos.h: Ditto.

	* init.h (HAVE_SMIME): Unconditionally include all crypto related
	definitions.  Mark the doc entries with "(Crypto/PGP/SMIME only)".

	* globals.h: Replace gpg.h and smime.h by crypt.h.

	* functions.h: Always include all crypto commands.
	
	* copy.h: Unconditionally define the crypto related M_CM_

	* pgplib.h: Move APPLICATION_PGP and PGP* to crypt.h and include
	it.
	* smime.h: Move APPLICATION_SMIME and SMIME* to crypt.h and
	include it.
	* mutt_crypt.h (ENCRYPT,SIGN,GOODSIGN, BADSIGN): Move to crypt.h.

	* crypt.c: Replaced pgp.h and smime.h header by crypt.h.  Always
	include all functions but shortcut them depending on WITHCRYPTO.
        All over the place use WITHCRYPTO instead of ifdefs.  Replaced all
	direct calls of the backend fucntions by twrapper functions
	defined in cryptglue.c
	(crypt_get_keys): Removed prototypes.
	* pgp.h (pgp_findKeys): New prototype.
	* smime.h (smime_findKeys): New prototype.
	* cryptglue.c: New.
	* crypt.h: New.
	* mutt_crypt.h: Moved all crypt_* prototypes to gcrypt.h.
	Unconditionally use this file.
	
	* init.c: Replaced pgp.h and smime.h header by crypt.h.
	(parse_set): Use WITHCRYPTO instead of ifdefs.
	(mutt_var_value_complete): Ditto.

	* sendlib.c: Replaced pgp.h and smime.h header by crypt.h.
	(write_as_text_part): Now one macro using WITHCRYPTO.
	(mutt_write_mime_body): Use WITHCRYPTO instead of ifdefs.
	(mutt_make_message_attach): Ditto.
	(mutt_write_fcc): Ditto.

	* send.c: Replaced pgp.h and smime.h header by crypt.h.
	(include_forward): Use WITHCRYPTO and validate passphrases for pgp
	and smime.
	(include_reply): Ditto.
	(generate_body): Use WITHCRYPTO instead of ifdefs.
	(ci_send_message): Ditto.

	* recvattach.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_gen_attach_list): Use WITHCRYPTO instead of ifdefs.
	(mutt_attach_display_loop): Ditto
	(mutt_view_attachments): Ditto.

	* postpone.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_get_postponed): Use WITHCRYPTO instead of ifdefs.
	(mutt_parse_crypt_hdr): Always include and use WITHCRYPTO instead
	of ifdefs.
	(mutt_prepare_template): Use WITHCRYPTO instead of ifdefs.

	* pop.c: Removed pgp.h and smime.h.
	(pop_fetch_message): Use WITHCRYPTO instead of ifdefs.

	* pattern.c: Replaced pgp.h and smime.h header by crypt.h.
	(Flags): Always include the crypto flags.
	(msg_search): Use WITHCRYPTO instead of ifdefs.
	(mutt_pattern_exec): Ditto.

	* parse.c: Removed pgp.h and smime.h.
	(mutt_parse_mime_message): Use WITHCRYPTO instead of ifdefs.

	* pager.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_pager): Use WITHCRYPTO instead of ifdefs.

	* mx.c: Removed smime.h and pgp.h.
	(mx_update_context): Use WITHCRYPTO instead of ifdefs.

	* muttlib.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_needs_mailcap): Use WITHCRYPTO. Note, that there used to be
	an error when PGP was not configured so that TYPEAPPLICATION was
	not recognized for SMIME.
	(mutt_is_text_part): Use WITHCRYPTO instead of ifdefs.

	* main.c: Include crypt.h.
	(show_version): Remove HAVE_PGP and HAVE_SMIME.  Add
	CRYPT_BACKEND_CLASSIC_PGP, CRYPT_BACKEND_CLASSIC_SMIME.

	* keymap.c: Include crypt.h so that we can test WITHCRYPTO.
	(Menus): Always include pgp and smime. 
	(km_init): Create smime and pgp bindings depending on WITHCRYPTO.
	(km_get_table): Return OpPgp depending on WITHCRYPTO.

	* hook.c (mutt_parse_hook): Use WITHCRYPTO instead of ifdefs.
	(mutt_crypt_hook): Always include.

	* headers.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_edit_headers): Use WITHCRYPTO instead of ifdefs

	* hdrline.c: Replaced pgp.h and smime.h header by crypt.h.
	(hdr_format_str): Use WITHCRYPTO.

	* handler.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_can_decode): Use WITHCRYPTO instead of ifdefs.
	(mutt_can_decode): Application/smime is now also checked when PGP
	support is not configured.
	(mutt_body_handler): Use WITHCRYPTO

	* curs_main.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_index_menu): Shortcut crypto only operations depending on
	WITHCRYPTO.

	* copy.c: Replaced pgp.h and smime.h header by crypt.h.
	(_mutt_copy_message): 

	* compose.c: Replaced pgp.h and smime.h header by crypt.h.
	(enum): Always include HDR_CRYPT and HDR_CRYPTINFO.
	(redraw_crypt_lines): Always include this fnc but shortcut it
	depending on WITHCRYPT.  Draw lines depending on the configured
	crypto support.
	(pgp_send_menu): Always include this one.  Call wrapper functions.
	(smime_send_menu): Likewise.
	(draw_envelope): Use WITHCRYPTO instead of ifdefs.
	(mutt_compose_menu): Allow pgp/smime commands only when configured.

	* commands.c: Replaced pgp.h and smime.h header by crypt.h.
	(mutt_display_message,pipe_msg, _mutt_pipe_message)
	(set_copy_flags, mutt_save_message, mutt_edit_content_type)
	(_mutt_check_traditional_pgp): Use pgp wrapper.

	* attach.c (mutt_view_attachment): Removed HAVE_GPG and HAVE_SMIME
	and replaced by global variable WITHCRYPTO.  Replaced pgp and
	smime header by crypt.h.x

2003-01-03 18:07:36  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* pgp.c: Detect in-line key material when checking for traditional
	PGP messages.

2002-12-22 20:04:51  René Clerc  <rene@clerc.nl>  (roessler)

	* po/nl.po: update

2002-12-22 20:01:32  Bjoern Jacke  <bjoern@j3e.de>  (roessler)

	* smime_keys.pl: Remove an unnecessary invocation of "cat";
	call openssl with the full path.

2002-12-22 11:20:00  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: Another fr.po update for the CVS (taking into account
	the change in pgpkey.c:486)...

2002-12-22 11:17:24  Martin Michlmayr  <tbm@cyrius.com>  (roessler)

	* hdrline.c, init.h: Add %A to the format strings, which expands
	to the reply-to address (if present) or to the author's address
	when there's no Reply-To header.

2002-12-21 20:32:13  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* curs_main.c: OK, Michael is right: Gotos suck. ;-)

2002-12-21 13:25:11  Vsevolod Volkov  <vvv@mutt.org.ua>  (roessler)

	* po/ru.po: update

2002-12-20 09:37:59  David Shaw  <dshaw@jabberwocky.com>  (roessler)

	* pgpkey.c: Minor tweak to an error message.

2002-12-20 09:29:12  Pawel Dziekonski  <dzieko@pwr.wroc.pl>  (roessler)

	* po/pl.po: update

2002-12-19 11:48:58  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* doc/manual.sgml.head, doc/muttrc.man.head: Improve the
	documentation of pgp-hook/crypt-hook.

	* pgpkey.c: Don't bother the user with weak keys when there's
	a strong one.  Experimental, based on discussions on mutt-dev.

	* cvslog2changelog.pl: Identify both the author of a change and
	the one who committed it to the CVS in the changelog.

2002-12-19 07:42:36  Vincent Lefevre  <vincent@vinc17.org>  (roessler)

	* po/fr.po: update

2002-12-19 07:37:01  Thomas Roessler  <roessler@does-not-exist.org>  (roessler)

	* Makefile.am: Michael doesn't have $VISUAL set.

2002-12-18 17:29:56  Sahil Tandon  <sahil@brandeis.edu>

	* init.h: I found a small typo in the manual, specifically
	at this[1] URL.  The description of the smart_wrap variable reads:
	"Controls the display of lines longer then the screen width in the
	internal pager."  The word _then_ should be _than_ if I'm not
	mistaken.

2002-12-18 10:26:35  Thomas Roessler  <roessler@does-not-exist.org>

	* po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po,
	po/zh_TW.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po,
	po/id.po, po/it.po: make update-po

	* mkchangelog.sh: Turn on compression when getting log messages
	from the CVS server.  (Now that I don't have the server locally,
	bandwidth is expensive...  ;-)

	* keymap.c: Make the messages from the what-key function
	internationalizable.

	* crypt.c, crypt.h, mutt_crypt.h, pgp.c, pgp.h, smime.c,
	smime.h: Rename crypt.h to mutt_crypt.h.

	* Makefile.am: cvs update ChangeLog before trying to update
	it locally.

2002-12-18 07:37:56  Roland Rosenfeld  <roland@spinnaker.de>

	* po/de.po: update

2002-12-17 13:45:16  Vincent Lefevre  <vincent@vinc17.org>

	* po/fr.po: update fr.po

2002-12-17 13:04:29  Thomas Roessler  <roessler@does-not-exist.org>

	* .cvsignore: Ignore some more files.

	* Makefile.am, mkjtags.c: Remve that jed tags generator.  I don't
	use it anyway.

	* cvslog2changelog.pl: Adding Michael's address to the changelog
	generator.

	* build-release: Adopting the release-building script to the
	new changelog process.

	* po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po,
	po/zh_TW.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po,
	po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po, po/es.po, po/et.po,
	po/fr.po, po/gl.po, VERSION, build-release, po/ca.po, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/eo.po, reldate.h: automatic
	post-release commit for mutt-1.5.3

	* OPS, curs_main.c, functions.h: Experimental: Introduce
	{next,previous}-new-then-unread.  These functions behave
	like {next,previous}-new as long as new messages are
	visible. When no new messages are visible any more, there's
	a fall-back to {next,prev}-unread.

	Memo to self: Impose a weekly quota on the use of goto
	statements.

2002-12-16 20:28:46  Edmund GRIMLEY EVANS  <edmundo@rano.org>

	* handler.c, rfc2047.c, url.c: Fix #1424.

2002-12-16 17:59:51  Thomas Roessler  <roessler@does-not-exist.org>

	* pgp.c: Experimental short-cut code if the "image" of an address
	under a pgp-hook looks like a hexadecimal key id.

2002-12-13 15:53:36  David Shaw  <dshaw@jabberwocky.com>

	* lib.c: Fixing Thomas' screw-up in mutt_concat_path.

2002-12-13 11:00:44  René Clerc  <rene@clerc.nl>

	* po/nl.po: update.

2002-12-11 22:47:57  Thomas Roessler  <roessler@does-not-exist.org>

	* muttlib.c, pgp.c, protos.h, send.c: Fix #1417; thanks to
	Derek D. Martin <ddm@sophic.org> for the excellent observation.
	(In addition to the fix proper, some tracking of temporary files
	is added to mutt's debugging output.)

2002-12-11 22:23:42  Thomas Roessler  <roessler@does-not-exist.org>

	* crypt.c: Call endwin() before calling PGP for traditional
	encryption.

2002-12-11 15:51:57  Vincent Lefevre  <vincent@vinc17.org>

	* po/fr.po: update.

2002-12-11 15:20:21  Thomas Roessler  <roessler@does-not-exist.org>

	* browser.c, complete.c, hook.c, init.c, lib.c, lib.h: Herbert
	Martin Dietze <herbert@the-little-red-haired-girl.org> notes that
	mutt may currently build IMAP URLs like imap://exchange//herbert
	for FCCs.  The fix in this patch is to include a function named
	mutt_concat_path which concatenates path elements, but avoids
	the creation of double slashes.  (These don't create problems
	when you're just accessing the file system, but apparently they
	do cause problems with IMAP.)

	* imap/auth.c, imap/command.c, imap/imap.c, imap/imap.h,
	imap/util.c, date.c, dotlock.c, dotlock.h, edit.c, editmsg.c,
	enter.c, extlib.c, flags.c, from.c, functions.h, gnupgparse.c,
	handler.c, hash.c, hash.h, headers.c, help.c, history.c,
	history.h, keymap.c, keymap.h, lib.c, lib.h, main.c, makedoc.c,
	mapping.h, menu.c, mh.c, mime.h, mkjtags.c, mutt_curses.h,
	mutt_menu.h, mutt_regex.h, mutt_socket.c, muttlib.c, mx.c, mx.h,
	pager.h, parse.c, pattern.c, pgp.c, pgp.h, pgpinvoke.c, pgpkey.c,
	pgplib.c, pgplib.h, postpone.c, protos.h, query.c, recvattach.c,
	recvcmd.c, remailer.c, remailer.h, resize.c, rfc1524.c, rfc1524.h,
	rfc2047.c, rfc2047.h, rfc2231.c, rfc2231.h, rfc822.c, rfc822.h,
	score.c, signal.c, snprintf.c, sort.c, sort.h, status.c,
	system.c, thread.c, url.c, addrbook.c, alias.c, attach.c,
	attach.h, browser.c, browser.h, buffy.c, buffy.h, charset.c,
	charset.h, commands.c, complete.c, compose.c, copy.h, crypt.c,
	crypt.h, curs_main.c: Fix Mike's and my e-mail addresses in
	copyright lines.

	* muttbug.sh.in: Ask for the user's e-mail address.

	* pager.c: Try to make search-next behave more closely to what
	people are used to, again.  The behaviour introduced by this
	patch will give you the previous search string as the default,
	but will search-next when you just press enter without changing
	the search string.

2002-12-10 20:56:52  Thomas Roessler  <roessler@does-not-exist.org>

	* imap/command.c, imap/imap.c, imap/message.c, imap/utf7.c,
	imap/util.c, score.c, send.c, sendlib.c, smime.c, thread.c, url.c,
	addrbook.c, alias.c, attach.c, browser.c, buffy.c, charset.c,
	color.c, compose.c, copy.c, crypt.c, curs_main.c, enter.c,
	gnupgparse.c, hash.c, history.c, hook.c, init.c, lib.c, main.c,
	mbox.c, menu.c, mh.c, mutt_ssl.c, mutt_ssl_nss.c, muttlib.c,
	mx.c, pager.c, parse.c, pattern.c, pgp.c, pgpkey.c, pgplib.c,
	pgppacket.c, pgppubring.c, pop.c, pop_auth.c, postpone.c,
	query.c, recvattach.c, remailer.c, rfc1524.c, rfc2047.c,
	rfc2231.c, rfc822.c: Replace safe_free calls by the FREE macro.

2002-12-09 19:06:40  Thomas Roessler  <roessler@does-not-exist.org>

	* Makefile.am: Minor formatting fix.

	* cvslog2changelog.pl: Change the ChangeLog format as
	suggested by Martin Michlmayer.

	* send.c: Try to fix another obscure error in S/MIME
	auto-signing upon reply.

	* rfc822.c: Experimental patch to fix #1318.

2002/12/09 18:09:49  David Jardine <david@jardine.de>

	* init.h: Documentation fix concerning %L in index_format.
	#1313.

2002/12/09 18:05:54  David Shaw <dshaw@jabberwocky.com>

	* mh.c, parse.c: Reduce the meaning of the mark_old option
	so it only controls whether new messages are marked as old
	when leaving the mailbox.

2002/12/09 17:54:25  Jesus Climent <jesus.climent@hispalinux.es>

	* po/es.po: Fix a typo.  (#1392)

2002/12/09 17:52:50  Anders Helmersson <anders.helmersson@telia.com>

	* addrbook.c, curs_lib.c, protos.h, query.c: Fix #1390.
	Based on a patch submitted earlier by Edmund Grimley Evans.

2002/12/09 17:44:54  Thomas Roessler <roessler@does-not-exist.org>

	* PATCHES: Ups.

2002/12/09 17:44:28  Michael Elkins <me@sigpipe.org>

	* OPS, PATCHES, curs_main.c, functions.h, keymap.c, keymap.h,
	menu.c: This patch adds two features to mutt:

	- you can now specify the octal code of a key in a bind or
	  macro function, using the syntax <NNN>.  Eg, bind index
	  <541> show-version This allows you to bind to a function
	  key for which Mutt doesn't have a friendly name associated
	  with it.

	- adds a what-key function which allows you to press a key
	  and have mutt show you the decimal/octal value.  (not
	  bound to anything by default)

2002/12/09 16:07:24  Toomas Soome <tsoome@muhv.pri.ee>

	* po/et.po: update.

2002/12/09 13:30:02  Thomas Roessler <roessler@does-not-exist.org>

	* po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po,
	po/uk.po, po/zh_CN.po, po/zh_TW.po, po/gl.po, po/hu.po,
	po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po,
	po/pl.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, compose.c: Try to
	fix a localization issue identified by Pawel Dzienkonski
	(#1410).  Side effect: All translations will need an update
	of the S/MIME key translations.

2002/12/09 11:20:14  Pawel Dziekonski <dzieko@pwr.wroc.pl>

	* po/pl.po: update.

2002/12/08 23:14:43  ph04169@cc.uoi.gr

	* po/el.po: update.

2002/12/08 16:11:35  TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>

	* po/ja.po: update.

2002/12/08 15:10:59  Roland Rosenfeld <roland@spinnaker.de>

	* po/de.po: Update.

2002/12/07 19:19:34  Thomas Roessler <roessler@does-not-exist.org>

	* Makefile.am: yet another one.

	* Makefile.am: Another changelog-related change.

	* ChangeLog, Makefile.am, cvslog2changelog.pl: Automatically
	update ChangeLog as part of the commit process.

	* doc/Makefile.in, ChangeLog, ChangeLog.old, Makefile.am,
	cvslog2changelog.pl, mkchangelog.sh: Change the style of
	ChangeLog: Now, the actual patch submitter's name is
	extracted from the commit message and used for the change
	log.  For the moment, the date format doesn't match the one
	in the old changelog.  If you want to fix this, submit a
	patch to cvslog2changelog.pl. ;-)

2002/12/07 08:55:59  Vincent Lefevre <vincent@vinc17.org>

	* po/fr.po: update

2002/12/07 08:55:23  Paul Walker <paul@black-sun.demon.co.uk>

	* pgppubring.c: Fix a compilation warning.

2002/12/07 08:53:21  Thomas Roessler <roessler@does-not-exist.org>

	* mh.c, mutt.h, muttlib.c: Gracefully handle unknown maildir flags.

2002/12/06 11:30:08  Thomas Roessler <roessler@does-not-exist.org>

	* Makefile.am: Run check_sec.sh before committing.

2002/12/06 11:28:30  Brendan Cully <brendan@kublai.com>

	* m4/gettext.m4, m4/iconv.m4, build-release, configure.in: autoconf cleanup.

2002/12/06 11:14:13  Thomas Roessler <roessler@does-not-exist.org>

	* po/zh_CN.po, po/zh_TW.po, po/uk.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po, po/gl.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/da.po, po/de.po, VERSION, po/ca.po, po/cs.po, reldate.h, ChangeLog: automatic post-release commit for mutt-1.5.2

	* curs_lib.c, pgppubring.c: Fixing a number of traditional malloc calls which have made their
	way into the code.

	* build-release: Don't post announcements automatically for the moment.

2002/12/05 22:30:02  Michael Elkins <me@sigpipe.org>

	* doc/manual.sgml.head: Fix #1398.

2002/11/25 14:16:47  Lars Hecking <lhecking@nmrc.ucc.ie>

	* sendlib.c, ChangeLog, INSTALL, charset.h, configure.in: The noiconv patch.

2002/11/14 08:12:30  Michael Elkins <me@sigpipe.org>

	* curs_lib.c: Fix #1388.

2002/11/13 10:10:52  Thomas Roessler <roessler@does-not-exist.org>

	* main.c: A description of -A was lacking from the help string.

	* doc/manual.sgml.head, doc/mutt.man, main.c, protos.h: Add a new command line option -A which is used to expand aliases.

	* keymap.c: Add a safeguard #ifdef for the KEY_BTAB entry.  Suggested by Thomas
	Dickey.

2002/11/12 09:20:30  Michael Elkins <me@sigpipe.org>

	* keymap.c: Tell mutt about the back-tab key (shift tab).

2002/11/12 09:20:09  Thomas Roessler <roessler@does-not-exist.org>

	* Makefile.am: ups.

	* Makefile.am: Add "make pclean" in order to clean up PATCHES.

2002/11/12 08:55:57  TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>

	* po/ja.po: update

2002/11/12 08:41:18  Thomas Roessler <roessler@does-not-exist.org>

	* README: Add an explicit note that CVS doesn't work from ftp.mutt.org any more.

2002/11/12 08:35:34  "Yasuhiro Matsumoto" <mattn_jp@hotmail.com>

	* mbyte.c: cp932 should be treated like shift_jis.

2002/11/12 08:20:11  Nathan Dushman <nhd+mutt@andrew.cmu.edu>

	* imap/auth_gss.c, imap/auth_sasl.c, configure.in, main.c, mutt_sasl.c, mutt_sasl.h: Hi - this is a patch against mutt-1.4 to use version 2 of the Cyrus
	SASL library; all changes are ifdef'd so as not to break SASLv1
	support. This includes a patch to configure.in to allow the choice
	between v1 and v2, but someone with a better understanding of
	autoconf should double-check it.

2002/11/12 08:00:51  Michael Elkins <me@sigpipe.org>

	* handler.c: Actually commit patch-1.5.1.me.long_qp.2.

	* mailbox.h, mh.c, mx.c: The maildir_time patch.

2002/11/11 21:17:25  Thomas Roessler <roessler@does-not-exist.org>

	* muttbug.sh.in: You shall not use CVS to distribute test versions.

	* muttbug.sh.in: more fixes.

	* muttbug.sh.in: Add some rpm-related intelligence to flea.

	* muttbug.sh.in: Fix flea's interaction with bug(1) on Debian systems.

	* PATCHES: Clean up the patch list.

2002/11/11 20:32:30  Michael Elkins <me@sigpipe.org>

	* PATCHES, hdrline.c: Fix #485: Make %z work like %Z inside of %{} in $index_format.

	* PATCHES, copy.c: Fix #1379 - update the total mailbox size when an attachment is
	deleted.

	* PATCHES, curs_main.c, menu.c, pager.c: Fix #1310; redraw problems.

	* doc/manual.sgml.head, init.h: Fix #1306.

	* send.c: Fix #1364.

2002/11/11 19:50:23  Steve Kennedy <steve-md@gbnet.net>

	* pgp.c: Fix memory leak in the PGP code.

2002/11/11 19:46:29  Paul Walker <paul@black-sun.demon.co.uk>

	* commands.c, protos.h, sendlib.c: Fix #718.

2002/11/11 19:38:30  Thomas Roessler <roessler@does-not-exist.org>

	* sendlib.c: Fix #1366.

2002/11/11 19:24:24  Martin Siegert <siegert@sfu.ca>

	* mx.c: Fix IMAP moving; #1367.

2002/11/11 19:22:17  rene@clerc.nl

	* send.c: Another S/MIME ifdef misses and causes compilation problems.

2002/11/11 19:21:24  Michael Elkins <me@sigpipe.org>

	* init.h: patch-1.5.1-me.status_doc.2

2002/11/11 19:16:11  Thomas Roessler <roessler@does-not-exist.org>

	* alias.c, init.c, protos.h: patch-1.5-tlr.alias-parse.1 - extension of patch-1.5.1-me.aliascheck.1
	
	This patch catches the same kind of bad alias names caught by
	Michael's patch.  There are some extensions:
	
	1. Mutt makes sure that it doesn't _suggest_ bad names to the user.
	2. If a name is bad, the user is informed, and may elect to fix the
	   name.  In this case, mutt will automatically suggest a fixed
	   version.
	3. If the user insists in the bad name, it's written into the
	   aliases file with proper quoting.
	4. When mutt parses the aliases file, it now uses the normal
	   tokenizer routines in order to properly handle quoted alias names.

2002/11/11 18:36:25  Michael Elkins <me@sigpipe.org>

	* handler.c: patch-1.5-me.long_qp.2 (#1371) - fix truncation with overly long Q-P
	encoded lines.

2002/10/22 21:24:07  René Clerc <rene@clerc.nl>

	* commands.c: Add some missing #ifdefs.

2002/10/22 21:23:20  Michael Elkins <me@sigpipe.org>

	* init.h, recvattach.c: Documentation fix; #1326

2002/10/22 21:22:45  René Clerc <rene@clerc.nl>

	* send.c: Another crypt_reply fix.

2002/10/22 21:20:07  Michael Elkins <me@sigpipe.org>

	* contrib/sample.muttrc: #1357

2002/10/10 09:50:03  René Clerc <rene@clerc.nl>

	* send.c: Make sure that crypt_reply replies with the same type, despite a
	possible S/MIME default.

2002/10/10 09:43:29  Michael Elkins <me@sigpipe.org>

	* doc/manual.sgml.head, doc/manual.sgml.head: Document escaping rules for regular expressions (#1351).

	* pager.c: Fix header coloring, so there is no difference between ncurses and
	slang.

	* init.h: PGP documentation glitch.

2002/10/10 09:33:33  Paul Walker <paul@black-sun.demon.co.uk>

	* doc/manual.sgml.head: Fix #1340 (documentation)

2002/10/10 09:33:05  Michael Elkins <me@sigpipe.org>

	* pager.c: Jeremy Lin wrote:
	> When I search with / and get a match, doing '/\r' doesn't move to the next
	> match. This behavior is unlike the less pager, and is rather useless, IMHO.
	
	Try the attached patch.

2002/09/23 12:08:43  Thomas Roessler <roessler@does-not-exist.org>

	* buffy.c: A variant of buffy notification.  Note:  If you folks don't like
	this, we can return to the old version.

2002/09/09 21:48:19  Rudi Chiarito <nutello@sweetness.com>

	* OPS, browser.c, buffy.c, curs_main.c, functions.h, pager.c, protos.h: Add a buffy-list function, and display more information when new
	mail arrives.  With some modifications from tlr.

2002/09/09 21:19:08  Michael Elkins <me@sigpipe.org>

	* mh.c: Fix #1321.

	* mh.c: [STABLE] Fix #1321.

2002/09/09 21:04:03  Tony Leneis <tony@cvr.ds.adp.com>

	* signal.c: Tru64 Unix portability patch.

	* signal.c: [STABLE] Tru64 Unix portability patch.

2002/09/09 21:02:05  Vincent Lefevre <vincent@vinc17.org>

	* doc/manual.sgml.head: Fixing a typo.

2002/09/09 20:53:46  Thomas Roessler <roessler@does-not-exist.org>

	* postpone.c: Fixing #1300.  Noted by David Shaw <dshaw@jabberwocky.com>.

	* postpone.c: Fix #1299; noted by David Shaw <dshaw@jabberwocky.com>.

2002/09/09 20:20:20  Michael Elkins <me@sigpipe.org>

	* init.h, mutt.h, send.c: Introducing $forward_edit.

	* send.c: #265:
	
	> Suppose a user wants to fcc to a file (e.g., /a/b/c) but accidentally
	> typed a = before the path name. Mutt will fail to find the =/a/b/c
	> folder, display the error message and beep, but immediately erase the
	> error message; the mail will be sent even though the fcc failed. (The
	> same can be accomplished by accidentally mistyping other parts of the
	> path name.) On local systems where screen update is quick, the user
	> might not notice the error message at all.
	>
	> The problem with this behaviour is that the user might have no chance
	> to read the error message if the screen update is quick enough; as a
	> result (s)he might not notice that the fcc failed.
	>
	> A related thing (probably can't be classified as a problem) is that if
	> fcc fails, the user probably don't want to send the mail out because
	> if fcc is requested (s)he probably very much want to keep a copy of
	> the sent mail.
	
	Try the following patch.  We keep track of whether or not the fcc
	failed with a local var `fcc_error' and perform the same behavior as
	if the actual send of the message failed (without really sending)
	when the FCC fails, thus giving the user a chance to correct the
	error.

	* globals.h, init.h, send.c: Introduce $content_type.  There's one change against Michael's
	patch, in how the "format=flowed" parameter is used.

2002/09/09 20:04:45  Vincent Lefevre <vincent@vinc17.org>

	* history.c: [STABLE] Fixing history classes.

	* history.c: Fixing history classes.

2002/09/09 19:56:25  Armin Wolfermann <aw@osn.de>

	* mh.c: when doing the second parsing pass on a maildir, mutt doesn't delete
	the fake HEADER struct if the file is unreadable. With this fix
	unreadable files get silently ignored (like in the MH case).

2002/09/09 19:55:01  "TAKAHASHI, Tamotsu" <arms405@jade.dti.ne.jp>

	* po/ja.po: Update.

2002/09/09 19:53:24  Michael Elkins <me@sigpipe.org>

	* editmsg.c: Fixing #1149:  Truncate files used for editing messages.

2002/09/09 19:29:26  Nicolas Rachinsky <nicolas@dauerreden.de>

	* doc/manual.sgml.head, doc/muttrc.man.head, buffy.c, buffy.h, init.h: An unmailboxes command.  #1311.

2002/09/09 19:24:54  Michael Elkins <me@sigpipe.org>

	* attach.c: Fixing #1330.

	* attach.c: [STABLE] Fixing #1330.

2002/08/09 07:01:11  Thomas Roessler <roessler@does-not-exist.org>

	* doc/muttrc.man.head: Document unalternative_order in the manual page.

2002/08/09 06:58:37  Michael Elkins <me@sigpipe.org>

	* doc/manual.sgml.head, init.c, init.h: The following patch adds the `unalternative_order' command.  It also
	allows using "*" more generically in un-commands which use
	parse_unlists().

2002/08/05 17:25:05  Michael Elkins <me@sigpipe.org>

	* pgpewrap.c, pgppubring.c, pgpewrap.c, pgppubring.c: Error handling fixes.

2002/07/26 08:24:01  Michael Elkins <me@sigpipe.org>

	* doc/manual.sgml.head: Documentation for reply-hook.  Another patch (for the manual page)
	would be most welcome. ;-))

	* curs_lib.c: The attached patch fixes mutt_yesorno() so that the question will be
	truncated enough to always fit in the default answer string.  The
	size is calculated on the fly so that there is no artificial
	truncation.

2002/07/24 09:46:58  TAKIZAWA Takashi <taki@luna.email.ne.jp>

	* mutt.h, mutt.h: The attached patch sets MB_LEN_MAX to 16, which is MB_LEN_MAX value
	on glibc-2.2. It works only with --without-wc-funcs switch. It may
	be applied to mutt-1.4 and mutt-1.5.1.

2002/07/24 09:37:41  Lars Hecking <lhecking@nmrc.ie>

	* configure.in, configure.in: Fix a quoting sloppiness.  Noted by Vincent Lefevre.

2002/07/24 09:33:59  Thomas Roessler <roessler@does-not-exist.org>

	* browser.c, browser.c: Fixing #1282.  An off-by-one error. :-/

2002/07/24 09:20:22  Michael Elkins <me@sigpipe.org>

	* mutt.h, send.c, hook.c, init.h: reply-hook.  Documentation still needed.

2002/07/24 09:06:06  Vincent Lefevre <vincent@vinc17.org>

	* po/fr.po: update.

2002/07/24 08:41:31  Michael Elkins <me@sigpipe.org>

	* doc/mutt.man, compose.c, editmsg.c, init.c, init.h, attach.c, doc/mutt.man, compose.c, editmsg.c, init.c, init.h, attach.c: Fix $editor and $visual.  Based on an earlier patch from Edmund
	Grimley Evans.

2002/07/19 19:23:21  Michael Elkins <me@sigpipe.org>

	* doc/manual.sgml.head: Another documentation patch.

2002/07/17 12:48:38  Rocco Rutte <s1118644@mail.inf.tu-dresden.de>

	* sendlib.c: * Thomas Roessler [02-07-08 10:14:53 +0200] wrote:
	>  * sendlib.c, 3.12 -> 3.13
	>    From: Rocco Rutte <s1118644@mail.inf.tu-dresden.de>
	
	>    Make encode_from a bit more aggressive, by also catching a 'f' in
	>    the beginning of a line.
	
	'Catch' is good but also to encode it is better. It may have
	been too late (sorry for that) so I fixed it. I don't know
	why the current source only escapes lines that actually
	begin with 'from' or 'From' followed by some text. I think
	that escaping 'from' or 'From' on a single line should be
	done, too.
	
	Not a big deal, anyways.

2002/07/16 07:28:11  Michael Elkins <me@sigpipe.org>

	* main.c, main.c: Update copyright notices.

2002/07/07 19:33:50  Cedric Duval <cedricduval@free.fr>

	* doc/manual.sgml.head, doc/mutt.man, init.h: Documentation fixes.

2002/07/07 19:29:05  "TAKAHASHI, Tamotsu" <arms405@jade.dti.ne.jp>

	* doc/manual.sgml.head: Dcumentation fixes.

2002/07/07 19:23:22  Cedric Duval <cedricduval@free.fr>

	* doc/manual.sgml.head, doc/mutt.man, init.h: Documentation fixes.

2002/07/07 19:22:19  Rocco Rutte <s1118644@mail.inf.tu-dresden.de>

	* sendlib.c: Make encode_from a bit more aggressive, by also catching a 'f' in
	the beginning of a line.

2002/07/07 19:13:03  Velko Hristov <hristov@informatik.hu-berlin.de>

	* po/bg.po: Update.

2002/07/07 19:11:15  Jeremy Blosser <jblosser-mutt@firinn.org>

	* init.h: Add unauto_view to the stable branch.  A one-liner.

2002/06/28 19:52:31  Michael Elkins <me@sigpipe.org>

	* doc/manual.sgml.head, doc/manual.sgml.head: Documentation fix (#271).

2002/06/18 10:03:52  (automatic)

	* po/zh_TW.po, po/tr.po, po/uk.po, po/zh_CN.po, po/sv.po, po/sk.po, po/ru.po, po/pt_BR.po, po/nl.po, po/pl.po, po/ja.po, po/ko.po, po/lt.po, po/it.po, po/gl.po, po/hu.po, po/id.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/el.po, po/da.po, po/de.po, po/ca.po, po/cs.po: "make update-po"

2002/06/18 10:02:44  several submitters

	* po/ca.po: Adding a BG translation.  Update for CA.

2002/06/18 10:02:43  Thomas Roessler <roessler@does-not-exist.org>

	* po/bg.po: branches:  1.1.2;
	file bg.po was initially added on branch mutt-1-4-stable.

2002/06/18 10:02:43  several submitters

	* po/bg.po: Adding a BG translation.  Update for CA.

	* configure.in: Adding a BG translation.

2002/06/18 09:53:12  Michael Elkins <me@sigpipe.org>

	* init.c, init.c: The string used to store the commmand for a backtic expansion in the
	muttrc was not free'd if the command failed for some reason.

2002/06/18 09:52:13  David Champion <dgc@uchicago.edu>

	* m4/gssapi.m4: Okay, two bugs here. One's an oversight of mine in my previous patch,
	where I tried to use "[hH]" as Bourne code while m4 had quoting set to
	([, ]) -- this probably makes mutt mis-detect Heimdal after all.
	
	The other is not mine (i.e., it's in cvs now) and it makes mutt
	overstrike $LIBS if Heimdal or MIT Kerberos is detected. This is a
	problem for anyone who needs -lnsl -lsocket, in particular. I was
	fixing
	this by hand during late 1.3.x releases, as I didn't have time to
	track
	it down....
	
	Here's a patch against the current (unpatched) 1.5 cvs copy of
	m4/gssapi.m4. It probably should go into both branches. Sorry for the
	repeats.

2002/06/06 23:13:54  Michael Elkins <me@sigpipe.org>

	* color.c: Fix #1230.

2002/06/06 12:22:05  Will Fiveash <william.fiveash@sun.com>

	* init.h, init.h: Fix a couple of compile-time warnings.

2002/05/31 16:59:39  Edmund GRIMLEY EVANS <edmundo@rano.org>

	* charset.c, charset.h, sendlib.c, charset.c, charset.h, sendlib.c: Fix charset-hook.

2002/05/31 16:45:49  Lars Hecking <lhecking@nmrc.ucc.ie>

	* m4/iconv.m4, INSTALL, charset.h, configure.in: The noiconv patch.  Should probably have been in 1.4.

2002/05/30 12:15:02  Thomas Roessler <roessler@does-not-exist.org>

	* rfc822.c: Properly handle empty addresses (<>) when they show up in mail
	headers.  The approach taken is to store this address as <@>, and to
	check this special case when printing an address.

2002/05/29 09:31:51  Thomas Roessler <roessler@does-not-exist.org>

	* po/zh_CN.po, po/zh_TW.po, po/uk.po, po/tr.po, po/sk.po, po/sv.po, po/pl.po, po/pt_BR.po, po/ru.po, po/ko.po, po/lt.po, po/nl.po, po/it.po, po/ja.po, po/fr.po, po/gl.po, po/hu.po, po/id.po, po/eo.po, po/es.po, po/et.po, po/da.po, po/de.po, po/el.po, VERSION, po/ca.po, po/cs.po, reldate.h, ChangeLog: automatic post-release commit for mutt-1.4

2002/05/29 09:28:33  Roland Rosenfeld <roland@spinnaker.de>

	* po/de.po: update.

2002/05/29 09:27:46  Ronny Haryanto <ronny@haryan.to>

	* po/id.po: update

2002/05/28 09:07:29  Michael Elkins <me@sigpipe.org>

	* mx.h, postpone.c: Fix some warnings noted by Vincent Lefevre.

2002/05/21 07:28:28  Edmund GRIMLEY EVANS <edmundo@rano.org>

	* po/eo.po: update

2002/05/18 05:39:55  Thomas Roessler <roessler@does-not-exist.org>

	* pattern.c: Fix #1175.

	* pattern.c: Fix #1175.  Noticed by Alain Bench.

2002/05/18 05:34:50  Vsevolod Volkov <vvv@mutt.org.ua>

	* pop_lib.c, pop_lib.c: Attached patch for mutt 1.3.X/1.4 and 1.5.X removes gcc warning in
	pop_lib.c.

2002/05/16 17:33:19  Pawel Dziekonski <dzieko@pwr.wroc.pl>

	* po/pl.po: update

2002/05/16 13:05:14  Im Eunjea <eunjea@koru.org>

	* po/ko.po: update.

	* po/ko.po: update

2002/05/16 13:04:23  Ronny Haryanto <ronny@haryan.to>

	* po/id.po: update.

	* compose.c: Triple-DES, not Tripple-DES.

2002/05/14 18:56:01  "Andrej N. Gritsenko" <andrej@lucky.net>

	* po/uk.po: update

2002/05/13 20:18:57  Toomas Soome <Toomas.Soome@microlink.ee>

	* po/et.po, po/et.po: update

2002/05/13 20:18:17  Vsevolod Volkov <vvv@mutt.org.ua>

	* po/ru.po, po/uk.po, po/ru.po: update

2002/05/13 20:16:08  Byrial Jensen <byrial@image.dk>

	* po/da.po: update

2002/05/13 20:15:40  Vsevolod Volkov <vvv@mutt.org.ua>

	* po/ru.po: update

2002/05/13 20:15:07  Jörgen Tegnér <jorgen.tegner@telia.com>

	* po/sv.po, po/sv.po: update

2002/05/13 20:13:56  Vincent Lefevre <vincent@vinc17.org>

	* po/fr.po: update

2002/05/09 09:52:09  Thomas Roessler <roessler@does-not-exist.org>

	* doc/muttrc.man.head, doc/muttrc.man.head: #1190, from Tim Alexeevsky <tim@zhuchka.gbnet.net>

2002/05/06 11:27:20  Thomas Roessler <roessler@does-not-exist.org>

	* doc/manual.sgml.head: Remove -Q which is only present in unstable from the stable
	documentation.  Thanks to Andreas Kneib <Andreas.Kneib@t-online.de>
	for noting.

2002/05/02 01:05:27  Thomas Roessler <roessler@does-not-exist.org>

	* Makefile.am: Include smime.h with EXRA_DIST.

2002/05/01 23:24:17  Thomas Roessler <roessler@does-not-exist.org>

	* po/zh_TW.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/pl.po, po/pt_BR.po, po/ru.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po, VERSION, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, reldate.h, ChangeLog: automatic post-release commit for mutt-1.5.1

	* smime.c: Shut up check_sec.sh.  No security holes, but some ugly code.

	* check_sec.sh: Give all the warnings at once.

	* build-release: - This is a development branch.
	- Add a -nodiff option to suppress generating a patch.

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po, po/pl.po, po/pt_BR.po, po/ru.po, po/lt.po, po/nl.po, po/it.po, po/ja.po, po/ko.po, po/et.po, po/fr.po, po/gl.po, po/hu.po, po/id.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po, ChangeLog, VERSION, po/ca.po, po/cs.po, reldate.h: automatic post-release commit for mutt-1.3.99

	* build-release: s/scp1/scp/

2002/04/29 17:12:18  Thomas Roessler <roessler@does-not-exist.org>

	* lib.c, lib.h, protos.h, lib.c, lib.h, protos.h: Fix #1171.

2002/04/29 12:26:23  Vincent Lefevre <vincent@vinc17.org>

	* po/fr.po: update.

2002/04/29 12:25:38  oota toshiya <oota@mspd.mt.nec.co.jp>

	* po/ja.po, po/ja.po: update.

2002/04/29 12:09:21  Byrial Jensen <byrial@image.dk>

	* imap/util.c: There is a possible buffer overflow due an off-by-one error in
	imap/util.c, line 125. The error is in the maximum field width
	indication in the sscanf() call. You must have room in the receiving
	buffer for this number of characters /plus a terminating NULL
	character/.

	* imap/util.c: There is a possible buffer overflow due an off-by-one error in
	imap/util.c, line 125. The error is in the maximum field width
	indication in the sscanf() call. You must have room in the
	receiving buffer for this number of characters /plus a
	terminating NULL character/.

2002/04/25 13:30:49  Vsevolod Volkov <vvv@mutt.org.ua>

	* pop.c, pop_lib.c, pop.c, pop_lib.c: Attached patch fixes the problem described below. It should be
	applied to both mutt 1.3/1.4 and 1.5 branches.
	
	> Date: Thu, 11 Apr 2002 16:24:00 -0500
	> Subject: mutt 1.3.x / pop
	> From: "Ryan O'Hara" <rohara@isis.visi.com>
	> To: bcully@users.sourceforge.net
	> User-Agent: Mutt/1.3.27i
	
	> Hi. My apologies if this has nothing to do with you. If it does not,
	> maybe you could forward it on to someone.
	
	> In mutt 1.3.x I have noticed that if I uses POP to retrieve mail, and
	> I enter an incorrect password whem prompted, it will *save* that
	> password and keep trying to use it. However, in the 1.2.x versions it
	> worked like this: type in wrong POP password, try to connect to POP
	> server again and it will ask you (again) for the password. mutt 1.3.x
	> does not, it just tries to connect with the wrongs password (which
	> just failed).
	
	> This is kinda annoying. Just thought I'd point out this regression.
	
	> Thanks.
	> R

2002/04/25 13:28:31  Wouter Verheijen <wv@xs2mail.com>

	* doc/manual.sgml.head, doc/manual.sgml.head: Someone in news:comp.mail.mutt noted that the list of command-line
	options in the manual is not up-to-date.
	
	Included a small patch that includes all options that 'mutt -h' shows.

2002/04/25 13:26:58  Cedric Duval <cedricduval@free.fr>

	* doc/manual.sgml.tail, OPS, init.h, pattern.c: attached are fixes for some little mistakes :
	
	* history-down -> scroll _down_, not up
	* functions decode-(save|copy) do not exist in the attach menu.
	* gettext oversight in pattern.c
	* inconsistency between "printf-like sequences" used all over the place
	  and "escape sequences" for the description of $attribution.

	* doc/manual.sgml.tail, pattern.c, OPS, init.h: attached are fixes for some little mistakes :
	
	* history-down -> scroll _down_, not up
	* functions decode-(save|copy) do not exist in the attach menu.
	* gettext oversight in pattern.c
	* inconsistency between "printf-like sequences" used all over the
	  place and "escape sequences" for the description of $attribution.

2002/04/25 13:24:33  Thomas Roessler <roessler@does-not-exist.org>

	* recvattach.c: Also fix this for the S/MIME case.

	* recvattach.c: Fiy handling of multiparts which have encrypted sub-parts, at least
	for PGP.

	* sendlib.c: Force 7bit encoding for application/pgp-keys.

2002/04/20 21:38:47  Thomas Roessler <roessler@does-not-exist.org>

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4, m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4, m4/progtest.m4, intl/ChangeLog, intl/Makefile.in, intl/bindtextdom.c, intl/config.charset, intl/dcigettext.c, intl/eval-plural.h, intl/gettextP.h, intl/gmo.h, intl/hash-string.h, intl/l10nflist.c, intl/libgnuintl.h, intl/loadinfo.h, intl/loadmsgcat.c, intl/localcharset.c, intl/localealias.c, intl/localename.c, intl/os2compat.c, intl/os2compat.h, intl/osdep.c, intl/plural-exp.c, intl/plural-exp.h, intl/plural.c, intl/plural.y, ABOUT-NLS, INSTALL, config.rpath, configure.in: Backing out the latest iconv-related changes from the
	mutt-1-4-stable branch.

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4, m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4, m4/progtest.m4: same as above.

	* intl/eval-plural.h, intl/gettextP.h, intl/gmo.h, intl/hash-string.h, intl/l10nflist.c, intl/libgnuintl.h, intl/loadinfo.h, intl/loadmsgcat.c, intl/localcharset.c, intl/localealias.c, intl/localename.c, intl/os2compat.c, intl/os2compat.h, intl/osdep.c, intl/plural-exp.c, intl/plural-exp.h, intl/plural.c, intl/plural.y, intl/ChangeLog, intl/Makefile.in, intl/bindtextdom.c, intl/config.charset, intl/dcigettext.c: Committing the new iconv patches into a separate branch.

	* ABOUT-NLS, INSTALL, config.rpath, configure.in: Committing the new noiconv patches into a separate branch.

	* sendlib.c: Generate the resent-message-id ourselves, and add it in the top of
	the header.

2002/04/20 08:11:13  Wouter Verheijen <wv@xs2mail.com>

	* copy.c, mutt.h, sendlib.c: Bug #571 "mutt should not replicate ">From " headers while bounding",
	has a patch attached.
	Will that patch get in?
	
	Although these lines are not generated by mutt, I would strongly
	suggest
	to prevent it, because by boucing a mail the MUA should ensure
	that the message header is according to the specification.
	A ">From " line is not, because of the spaces before a colon.
	
	Because this has such serious consequences (totally unreadable mail)
	when a MTA interpretes this line as the beginning of the body (not
	unreasonable), I think Mutt should prevent sending this invalid
	headerline.
	
	Because the other patch to the bugreport is not really correct IMHO
	(because the fieldnames are not limited to alphanumeric chars, RFC2822
	3.6.8), I propose another one.
	
	This patch also appends Resent-* to the header, instead of
	prepending it. The Resent-Message-Id is however still appended,
	because I could not find it; is it added by the MTA instead of by
	Mutt?

2002/04/20 07:55:20  Thomas Roessler <roessler@does-not-exist.org>

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4, m4/lcmessage.m4, m4/progtest.m4: Try to get the noiconv patch to work.

	* configure.in: Try to get the noiconv patch to work with my development environment.

	* INSTALL: Fix a typo.

2002/04/20 07:26:10  Lars Hecking <lhecking@nmrc.ie>

	* init.h, rfc2047.c, sendlib.c, INSTALL, charset.c, charset.h, configure.in, gnupgparse.c:  patch.1.3.28.lh.noiconv
	 =======================
	
	 This is the new version of my noiconv patch. It _requires_ the previous
	 patch! If applied without, you'll have to resolve a couple of conflicts
	 manually.
	
	 Notes:
	 - it's a lot cleaner than the old noiconv patch because no m4 files are
	   modified
	 - new configure option --disable-iconv; INSTALL updated accordingly
	   [I am guessing here, but the background for the --without-iconv option
	    mentioned in INSTALL was that mutt had a without-iconv option before
	    gettext included iconv support. When mutt's intl/* files were updated
	    to a newer gettext, there suddenly were two iconv options, which then
	    got merged, that is, mutt's was removed. That was probably when
	    --without-iconv stopped working, but I'm not sure, it may well be that
	    it never worked since iconv support was introduced.]
	 - all changes in *.[ch] files should be identical to the old patch

	* intl/localename.c: This one seems to have been missing, too.

2002/04/20 07:25:40  Thomas Roessler <roessler@does-not-exist.org>

	* intl/localename.c: branches:  1.1.2;  1.1.4;
	file localename.c was initially added on branch mutt-1-4-stable.

2002/04/20 07:25:15  Lars Hecking <lhecking@nmrc.ie>

	* config.rpath: Another file from the gettext patch.

2002/04/20 07:25:15  Thomas Roessler <roessler@does-not-exist.org>

	* config.rpath: branches:  1.1.2;  1.1.4;
	file config.rpath was initially added on branch mutt-1-4-stable.

2002/04/20 07:24:54  Lars Hecking <lhecking@nmrc.ie>

	* m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4: Add new m4 files from patch.1.3.28.lh.gettext-0.11.1.

2002/04/20 07:24:54  Thomas Roessler <roessler@does-not-exist.org>

	* m4/lib-ld.m4: branches:  1.1.2;  1.1.4;
	file lib-ld.m4 was initially added on branch mutt-1-4-stable.

	* m4/lib-link.m4: branches:  1.1.2;  1.1.4;
	file lib-link.m4 was initially added on branch mutt-1-4-stable.

	* m4/lib-prefix.m4: branches:  1.1.2;  1.1.4;
	file lib-prefix.m4 was initially added on branch mutt-1-4-stable.

2002/04/20 07:24:22  Lars Hecking <lhecking@nmrc.ie>

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4, m4/lcmessage.m4, m4/progtest.m4, intl/ChangeLog, intl/Makefile.in, intl/bindtextdom.c, intl/config.charset, intl/dcigettext.c, intl/eval-plural.h, intl/gettextP.h, intl/gmo.h, intl/hash-string.h, intl/l10nflist.c, intl/libgnuintl.h, intl/loadinfo.h, intl/loadmsgcat.c, intl/localcharset.c, intl/localealias.c, intl/os2compat.c, intl/os2compat.h, intl/osdep.c, intl/plural-exp.c, intl/plural-exp.h, intl/plural.c, intl/plural.y:  patch.1.3.28.lh.gettext-0.11.1
	 ==============================
	
	 This one updates the gettext stuff in mutt to gettext-0.11.1. I started
	 doing this in the hope that the new gettext version would simplify the
	 noiconv patch, but unfortunately, this turned out not to be the case
	 (the new iconv m4 macros still don't allow for switching iconv support off).
	
	 However, as a few hours of merging and testing were spent, I'd suggest to
	 adopt it for 1.4. The actual changes to intl/* are part cosmetic, part code
	 reorganisation. Ok, a bit more, I'm no gettext expert :)
	
	 Notes:
	 - after applying the patch, you need to chmod 755 config.rpath
	 - a couple of new files for m4/*, too
	 - I have broken with the tradition of renaming gettext's AM_* macros
	   to MUTT_AM_*! I don't think it's necessary anymore to customise these
	   macros, but you (I really mean "you, tlr" :) want to have a look at
	   the new gettext.m4.  The others should be ok as they are.
	 - previous gettext updates were also updating po/Makefile.in.in, which
	   I didn't; someone who has a clue about gettext should check whether
	   this might be necessary, and also whether any other files in po/ need
	   updating
	
	 I will provide the same patch for the 1.5 branch at some stage, ideally
	 after getting some  F E E D B A C K  for this one.

2002/04/20 07:23:49  Thomas Roessler <roessler@does-not-exist.org>

	* intl/eval-plural.h: branches:  1.1.2;  1.1.4;
	file eval-plural.h was initially added on branch mutt-1-4-stable.

	* intl/gmo.h: branches:  1.1.2;  1.1.4;
	file gmo.h was initially added on branch mutt-1-4-stable.

	* intl/os2compat.c: branches:  1.1.2;  1.1.4;
	file os2compat.c was initially added on branch mutt-1-4-stable.

	* intl/os2compat.h: branches:  1.1.2;  1.1.4;
	file os2compat.h was initially added on branch mutt-1-4-stable.

	* intl/osdep.c: branches:  1.1.2;  1.1.4;
	file osdep.c was initially added on branch mutt-1-4-stable.

	* intl/plural-exp.c: branches:  1.1.2;  1.1.4;
	file plural-exp.c was initially added on branch mutt-1-4-stable.

	* intl/plural-exp.h: branches:  1.1.2;  1.1.4;
	file plural-exp.h was initially added on branch mutt-1-4-stable.

2002/04/20 07:23:39  Lars Hecking <lhecking@nmrc.ie>

	* ABOUT-NLS, charset.c, charset.h, configure.in, gnupgparse.c, init.h, rfc2047.c, sendlib.c:  patch.1.3.28.lh.gettext-0.11.1
	 ==============================
	
	 This one updates the gettext stuff in mutt to gettext-0.11.1. I started
	 doing this in the hope that the new gettext version would simplify the
	 noiconv patch, but unfortunately, this turned out not to be the case
	 (the new iconv m4 macros still don't allow for switching iconv support off).
	
	 However, as a few hours of merging and testing were spent, I'd suggest to
	 adopt it for 1.4. The actual changes to intl/* are part cosmetic, part code
	 reorganisation. Ok, a bit more, I'm no gettext expert :)
	
	 Notes:
	 - after applying the patch, you need to chmod 755 config.rpath
	 - a couple of new files for m4/*, too
	 - I have broken with the tradition of renaming gettext's AM_* macros
	   to MUTT_AM_*! I don't think it's necessary anymore to customise these
	   macros, but you (I really mean "you, tlr" :) want to have a look at
	   the new gettext.m4.  The others should be ok as they are.
	 - previous gettext updates were also updating po/Makefile.in.in, which
	   I didn't; someone who has a clue about gettext should check whether
	   this might be necessary, and also whether any other files in po/ need
	   updating
	
	 I will provide the same patch for the 1.5 branch at some stage, ideally
	 after getting some  F E E D B A C K  for this one.

2002/04/17 17:05:54  Vincent Lefevre <vincent@vinc17.org>

	* po/fr.po: Update.

2002/04/17 17:05:04  David Champion <dgc@uchicago.edu>

	* m4/gssapi.m4: MIT krb5 1.2.4 has krb5-config, so it's no longer sufficient to say
	that possession of krb5-config indicates Heimdal. Patch attached. This
	assumes that Heimdal's "kreb5-config --vendor" begins with "Heimdal".
	I cannot verify that this is correct, so patch might be wrong on this
	point.

2002/04/07 21:19:57  Brendan Cully <brendan@kublai.com>

	* imap/command.c, imap/imap.c, imap/message.c, imap/command.c, imap/imap.c, imap/message.c: The attached patch cleans up some bugs in switching IMAP mailboxes:
	* free current flags on mailbox close
	* reset reopen state
	* don't parse the same untagged SELECT response for multiple options
	* call mx_update_context after reading the whole mailbox, not after
	  each message
	* reset new mail flag if mail arrives in the middle of opening the
	  mailbox. This should close 1139
	
	939 is most likely unaffected. I discovered these problems while
	investigating 939.

2002/04/05 10:42:54  "TAKAHASHI, Tamotsu" <arms405@jade.dti.ne.jp>

	* po/ja.po: update.

2002/04/04 20:49:46  Im Eunjea <eunjea@koru.org>

	* po/ko.po: Update.

2002/04/04 06:50:52  "TAKAHASHI, Tamotsu" <arms405@jade.dti.ne.jp>

	* po/ja.po: Update.

2002/04/04 06:50:12  Thomas Roessler <roessler@does-not-exist.org>

	* pgp.c: Fix a typo noted by Tamotsu Takahashi.

2002/04/03 15:22:27  Thomas Roessler <roessler@does-not-exist.org>

	* handler.c: Fix printing of format=flowed text parts.

	* commands.c: Fix #1144 in stable.

	* commands.c: Fix a file descriptor leak in the display filter code.  Noted by
	Chr. v. Stuckrad.
	
	fixes: #1144

2002/04/02 18:49:37  Lars Hecking <lhecking@nmrc.ie>

	* m4/iconv.m4: branches:  1.3.2.1.2;
	The noiconv patch.

	* charset.c, charset.h: The noiconv patch.

	* configure.in: branches:  2.129.2.3.2;
	The noiconv patch.

	* gnupgparse.c, init.h, rfc2047.c, sendlib.c: The noiconv patch.

2002/03/30 08:26:31  Thomas Roessler <roessler@does-not-exist.org>

	* po/pl.po: update.  From Pawel Dzienkonski.

	* po/fr.po: Update; From Vincent Lefevre.

	* postpone.c, sendlib.c: The attached patch allows the user to override the user-agent field
	with my_hdr.  It also removes the stripping of the x-mailer field
	when recalling a postponed message.

2002/03/28 13:25:23  Thomas Roessler <roessler@does-not-exist.org>

	* mx.c, mx.h, mailbox.h, main.c, mbox.c, mh.c: patch-1.3.28-me.emptycheck.1

2002/03/27 08:50:42  Thomas Roessler <roessler@does-not-exist.org>

	* pgp.c: There was some output missing.

	* po/POTFILES.in: update.

	* pgp.c: More fixes.  Note to self:  The code which controls character set
	selection for attachments is far too complicated.

	* pgp.c: Don't include temporary file names in the Content-Disposition header.

	* pgp.c: Use text/plain; format=... when we are asked to detect inline PGP
	material in in text/plain body parts.

	* pgp.c, sendlib.c: Fix encoder mode for text/plain; action=pgp-*.

	* pgp.c: Fix "noconv" handling for the message body when we generate inline
	PGP.

	* charset.c, charset.h, handler.c, muttlib.c, pgp.c: Some hackisch
	charset handling for text/plain; x-action=pgp-*.  I don't like
	this stuff, but it's better than nothing.

2002/03/26 22:25:48  Thomas Roessler <roessler@does-not-exist.org>

	* pgp.c: Change x-action values to "pgp-encrypted", "pgp-signed".

	* contrib/gpg.rc, commands.c, compose.c, crypt.c, handler.c,
	muttlib.c, pgp.c, protos.h, recvattach.c, sendlib.c: More inline
	PGP changes.

	* pgp.c: Also permit for "action" and "x-action" on the receiving
	end, just in case we can settle on a joint standard with other MUA
	developers.

	* commands.c, crypt.c, handler.c, pgp.c, pgpinvoke.c, sendlib.c:
	OK, I'm giving up: pgp_create_traditional now creates text/plain;
	x-mutt-action={pgp-encrypt,pgp-sign}.

	* pgpinvoke.c: Fix application/pgp signatures.

	* charset.c, charset.h, gnupgparse.c, handler.c, mbyte.c,
	rfc2047.c, sendlib.c, charset.c, charset.h, gnupgparse.c,
	handler.c, mbyte.c, rfc2047.c, sendlib.c: Fix iconv warnings; from
	Edmund Grimley Evans.

	* smime.c: Please use ascii_strcasecmp() if you want to compare
	ASCII parameter strings.  mutt_strcasecmp() depends on the locale,
	and detects "i" and "I" as _different_ in Turkish locales.

2002/03/25 11:34:40  Thomas Roessler <roessler@does-not-exist.org>

	* crypt.c: Fix S/MIME signature type.  Noted by Dan Ohnesorg <Dan@ohnesorg.cz>.

	* buffy.c, buffy.c: close 1103; from Brendan Cully

	* doc/manual.sgml.tail, doc/manual.sgml.tail: close 1122; from Brendan Cully

	* hdrline.c, muttlib.c: Fix #87s; from Brendan Cully.

	* hdrline.c, muttlib.c: Fix #872, from Brendan Cully.

	* contrib/smime_keys_test.pl, contrib/Makefile.in: Include a test script by Mike Schiraldi.  It's perl > the one I have
	installed, so I'm just putting it into contrib for now.

2002/03/20 09:53:42  Thomas Roessler <roessler@does-not-exist.org>

	* editmsg.c, mailbox.h, mx.c: Rename M_NEW to M_NEWFOLDER.

	* editmsg.c, mailbox.h, mx.c: Rename the new M_NEW by M_NEWFOLDER.  There was another constant of
	the same name.  Problem noted by Will Yardley's compiler.

2002/03/19 09:54:05  Thomas Roessler <roessler@does-not-exist.org>

	* browser.c: Fix #1115.

	* editmsg.c, mailbox.h, mx.c: Fix a temporary file race problem when using the edit-message
	function.  Backported from unstable.

	* po/pl.po, po/pl.po: update

2002/03/18 18:54:56  Thomas Roessler <roessler@does-not-exist.org>

	* browser.c: Should fix #1115.  BACKPORT!

2002/03/15 09:11:05  Thomas Roessler <roessler@does-not-exist.org>

	* po/ja.po: update from oota toshiya.

	* po/ja.po: update, from oota toshiya.

2002/03/13 23:43:41  Thomas Roessler <roessler@does-not-exist.org>

	* attach.c: Undoing the previous patch.  It was junk, and may ruin files.

	* attach.c, editmsg.c, mailbox.h, mx.c: Don't fopen mail folders in append mode where we should safe_fopen()
	them in write mode.  Debian bug #138200, noted by Colin Philipps
	<cph@cph.demon.co.uk>.
	
	NEEDS BACKPORTING.

	* po/uk.po, po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po, po/tr.po, po/pl.po, po/pt_BR.po, po/ru.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po, po/da.po, po/de.po, po/el.po, po/ChangeLog: automatic post-release commit for mutt-1.3.28

	* po/ChangeLog: branches:  1.1.2;
	file ChangeLog was initially added on branch mutt-1-4-stable.

	* po/ca.po, po/cs.po, ChangeLog, VERSION, reldate.h: automatic post-release commit for mutt-1.3.28

	* doc/smime-notes.txt, smime.c: Assorted patches from Mike Schiraldi.

2002/03/02 12:11:35  Thomas Roessler <roessler@does-not-exist.org>

	* contrib/smime.rc, compose.c, init.h, mutt.h, sendlib.c, smime.c, smime.h: Introduce smime_default_key.  From Oliver Ehli.

	* contrib/smime.rc, smime.c, smime.h, smime_keys.pl, init.h, mutt.h: smime.c:
	 - the getkeys() function was broken and deleted the last char
	   of the certfilename
	 - it now lets me use more than one key for the same mailbox
	   ie select these.
	 - some display output was garbled when the email didn't match.
	   i posted some fix to mutt-users, but i don't like that sleep()
	   so i dropped the first error message, which basically repeated
	   the from/sender field only. so now there's just the message: they
	   don't match.
	
	smime_keys:
	 - i modified the add_chain to continue even if no roo-cert
	   is present (david collantes received som chain that got
	   exported from outlook. obiously they don't (always ?)
	   include the root cert) it will now abort if neither root
	   nor intermediate certs are present.
	 - add_cert created index entries with '-' as issuer cert, when
	   it should have been '?'. thus verify would fail. (obviously
	   nobody ever used that command (add_cert, that is) :)
	
	the feature above obsoletes the hash_cert and fingerprint_cert commands,
	adds import_cert command and ask_cert_label bool. i modified the output
	of smime_keys (a little) so it doesn't look too garbled when supplying
	the label (it is actually interactive :) furthermore, i do a verify
	after the cert was added and modified the verify routine to make the
	cerificate trusted in case of success. (we discussed this in another
	message) that is ok so far, but perhaps this requires some better root
	certificate handling, ie the trust should be somehow connected to the
	root certificate, that maybe added (if the user trusts it and its not
	present already) to the ca-file. i'll think about that some more ... but
	then, there already is the add_root command. hmmm... (btw, you'll now
	never get asked to trust a certificate)
	
	i have not yet deleted the email handling from the import key stuff (in
	smime.c/crypt.c), for i'm thinking about smime_keys using it as an
	additional arg. otoh i don't think users would press ^k if verification
	failed...hmmm... but still, smime_keys does extract the email from the
	certificate either way and does verify it by itself, so the only thing
	that would happen is to have some invalid certificates, that mutt'll
	refuse to use anyways, left in the database....
	
	(From Oliver Ehli.)

2002/02/28 23:28:51  Thomas Roessler <roessler@does-not-exist.org>

	* sort.c: Turn on incremental threading again.

	* smime_keys.pl: The script will try to pick out the end-user cert and pass that to
	openssl. The code which tells the difference may not be perfect. It
	works with all the certs in my collection, though. I won't be at all
	surprised if someone comes across a cert chain which confuses it,
	but it should print out an error in that case. Hopefully they will
	send us the chain so we can adjust our code.
	
	(From Mike Schiraldi.)

	* init.h, mutt.h, thread.c: Threading enhancements from Daniel Eisenbud.

	* curs_main.c, init.c, init.h, mutt.h, thread.c: $narrow_tree; fater redrawing when changing tree options.  From
	Daniel Eisenbud.

	* imap/message.c, mbox.c, mx.c, thread.c: A possible work-around for #939.  From Daniel Eisenbud.

	* init.h, mutt.h, thread.c: Threading enhancements from Daniel Eisenbud.

2002/02/26 10:58:56  Thomas Roessler <roessler@does-not-exist.org>

	* po/ru.po: update

	* init.h: Fix a typo.

	* init.h: Fix a typo.  #1069.

	* imap/browse.c, imap/message.c, configure.in, mutt_sasl.c, imap/browse.c, imap/message.c, configure.in, mutt_sasl.c: Brendan Cully sent a patch.

	* install-sh, install-sh: Fix a typo.  From Edmund Grimley Evans.

	* po/ru.po: ru.po update.

	* pop_lib.c, pop_lib.c: CAPA response tags are case-insensitive.  Noted by Michael Vore,
	patch from Vsevolod Volkov.

2002/02/18 14:55:31  Thomas Roessler <roessler@does-not-exist.org>

	* alias.c, send.c: Fix for #1047.  From Michael Elkins.

2002/02/14 11:22:51  Thomas Roessler <roessler@does-not-exist.org>

	* charset.c, gnupgparse.c, init.h, rfc2047.c: Iconv patch from Lars Hecking.  MAY NEED TO BE BACKPORTED.

2002/02/13 12:04:52  Thomas Roessler <roessler@does-not-exist.org>

	* smime.c: mutt_any_key() shouldn't be used in curses mode.

	* hdrline.c, init.h, parse.c: Change the default format to be more friendly to "0-line messages",
	and fix optional expansion for %l - it was the wrong way around.
	Also, add a hack to parse.c so we ignore negative values in Lines
	headers.

	* hdrline.c, muttlib.c, protos.h: Undo the %l fix.  It broke things.

	* menu.c: Fix mutt_pad_string; from Edmund Grimley Evans.  (MAY NEED TO BE
	BACKPORTED.)

	* main.c: Report libiconv version.

2002/02/12 21:54:41  Thomas Roessler <roessler@does-not-exist.org>

	* hdrline.c, muttlib.c, protos.h: Improve %l's behaviour.

	* extlib.c, main.c, pattern.c, smime_keys.pl: Mike Schiraldi's daily S/MIME patch.

2002/02/11 17:31:53  Thomas Roessler <roessler@does-not-exist.org>

	* smime.c: This patch gets rid of an ugly static variable in smime.c. (From
	Mike Schiraldi.)

	* smime_keys.pl: This patch lets smime_keys.pl automagically handle both formats of
	x509 certificate -- PEM (text) and DER (binary). This lets Outlook
	users (and probably others) directly import the certs without first
	converting them manually.  (From Mike Schiraldi.)

	* configure.in: Honor current values of $LIBS and $CPPFLAGS.  From Thomas Dickey.

	* configure.in: Honor $LIBS and $CPPFLAGS.  From Thomas Dickey.

	* init.c, init.c: patch-1.3.27.me.initsort.1

2002/02/07 21:48:42  Thomas Roessler <roessler@does-not-exist.org>

	* smime_keys.pl: Another S/MIME patch from Mike Schiraldi.

	* smime_keys.pl: Fix smime_keys.

	* smime.c: S/MIME fixes from Mike Schiraldi.

	* po/zh_CN.po, po/zh_TW.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po, po/id.po, po/it.po, po/POTFILES.in, po/ca.po, po/cs.po, po/da.po, po/de.po, Makefile.am: Make S/MIME messages translatable.

2002/02/06 19:14:47  Thomas Roessler <roessler@does-not-exist.org>

	* lib.h: Avoid a warning on some machines.

	* lib.h, smime.c: Make some scanf formats safe.

2002/02/05 22:01:06  Thomas Roessler <roessler@does-not-exist.org>

	* ascii.c: The previous fix was complete nonsense.  What a day. :-(

	* ascii.c: The previous fix was complete nonsense.

	* browser.c, lib.c, lib.h: Use strcoll for the file browser.  From David Champion.

	* hook.c: Fix crypt-hook.  From Dale Woolridge
	<dale-list-mutt-dev@woolridge.org>.

	* smime_keys.pl: Clean-up from Mike Schiraldi.

	* imap/browse.c: Fix.

	* imap/browse.c: Fix another IMAP browsing bug.

	* po/ru.po, po/fr.po, po/ko.po: update

	* smime.c: Don't put garbage onto the screen when trying to decrypt messages.

	* contrib/smime.rc, init.h, smime.c, smime.h, smime_keys.pl: S/MIME fixes from Oliver Ehli:
	
	- smime_keys.pl:
	
	  support for multiple email adrresses in cert: will add one entry
	  to {keys, cetrificates}/.index now (for each mailbox)
	
	  support for certificates without intermediate certs (e.g. for
	  people who are their own CA: use root as intermediate, for it
	  probably wouldn't be known to anyone...)
	
	  bugfix in handle_pem: the checks if some type of cert is present;
	  die() could never be reached, as the variables checked wouldn't
	  have been set in that case, so it would break because of undefined
	  value or some such thing.... (so it has to check $iter instead)
	
	- smime.c (init.h, ....)
	
	  support for importing certificates issued for multiple addresses.
	
	  introduced smime_fingerprint_cert_command, so finally certs can
	  get compared ... (so the above works..)
	
	  cleaned up some error messages, that would mess up the terminal.
	
	  fixed typos (init.h)

	* ascii.c: Fix.

	* ascii.c: Fix ascii_*cmp functions.  Problem noted by Brad Thompson.

2002/02/04 09:59:02  Thomas Roessler <roessler@does-not-exist.org>

	* smime.c, crypt.c: Some S/MIME fixes from Oliver Ehli <elmy@acm.org>.

2002/02/03 09:58:45  Thomas Roessler <roessler@does-not-exist.org>

	* doc/manual.sgml.head, doc/muttrc.man.head, init.h: Add unauto_view.  From Jeremy Blosser.

	* Makefile.am, pgplib.h, pgppubring.c: Add a "-f" flag which helps to dump fingerprints.  Contributed by
	Jason Harris <jharris@widomaker.com>, and not strictly needed for
	mutt.

	* pgppubring.c: Correctly calculate fingerprints for type 20 ElGamal keys.  Noted by
	Jason Harris <jharris@widomaker.com>.

	* pgppubring.c: Fix calculation of fingerprints (and key IDs) for type 20 ElGamal
	keys.  Noted by Jason Harris <jharris@widowmaker.com>.

2002/02/02 16:52:27  Thomas Roessler <roessler@does-not-exist.org>

	* po/ca.po: update

	* po/ca.po: update.

	* mh.c: Don't forget deletions when a folder is changed.  Ups.

2002/02/01 17:23:20  Thomas Roessler <roessler@does-not-exist.org>

	* smime_keys.pl: Fix some possible leaks of the private key (encrypted, but
	still...).  (yow_security_holes.patch from Mike Schiraldi.)

2002/01/31 22:05:58  Thomas Roessler <roessler@does-not-exist.org>

	* doc/smime-notes.txt: Document %C, and other updates.  From Mike Schiraldi.

	* smime.c: Remove some unnecessary quotation marks.

	* contrib/smime.rc, init.h, smime.c, smime.h, smime_keys.pl: Use mutt -Q from smime_keys.

	* po/zh_TW.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/hu.po, po/id.po, po/ca.po, po/cs.po: update-po

	* main.c: fix a string.

	* doc/mutt.man: Document -Q.

	* init.c, main.c, protos.h: Add a -Q option to query configuration variables.  This is needed to
	avoid a separate mutt configuration parser in smime_keys.pl.

2002/01/30 22:51:12  Thomas Roessler <roessler@does-not-exist.org>

	* send.c, send.c: patch-1.3.27.me.postpone_date.2

	* smime.c: Mike Schiraldi's daily S/MIME patch, as he puts it.

2002/01/29 21:08:10  Thomas Roessler <roessler@does-not-exist.org>

	* smime.c: Improved certificate handling.  Suggested by Oliver Ehli,
	implemented by Mike Schiraldi.

	* smime.c: Properly handle certain signatures generated by Outlook.  From Mike
	Schiraldi.

	* parse.c, parse.c: Fix a segmentation fault in debugging code.  From Daniel Eisenbud.

2002/01/28 23:29:05  Thomas Roessler <roessler@does-not-exist.org>

	* crypt.c, init.h, mutt.h: Add a new crypt_timestamp option.  The timestamps aren't really
	needed any more.

	* commands.c, menu.c, mutt.h, mutt_curses.h, pattern.c: Add ~V to match successfully verified messages.

	* contrib/smime.rc: Add a comment. From Mike Schiraldi.

	* init.h, init.h: Fix list-from documentation.  From Michael Elkins.

	* doc/smime-notes.txt: Add more information on S/MIME.  Adapted from Oliver Ehli's notes by
	Mike Schiraldi.

	* send.c: Avoid C99 comments.  Noted by Vincent Lefevre.

	* po/ja.po, po/sv.po: updates

	* menu.c, menu.c: Wide character fix from TAKIZAWA Takashi.

	* Makefile.am, hook.c: S/MIME-related bug fixes from Brendan Cully.

2002/01/25 00:08:30  Thomas Roessler <roessler@does-not-exist.org>

	* smime.c: ups

	* commands.c, recvattach.c, smime.c, smime.h: More decryption key detection fixes.

	* commands.c, smime.c: Make some prompts look nicer, and add sensible selection of the
	decryption key.

2002/01/24 23:53:19  Thomas Roessler <roessler@does-not-exist.org>

	* commands.c, crypt.c, smime.c, smime.h: More S/MIME nit-picking.

	* mh.c: Fix.

	* mh.c: Still more code clean-up.

	* doc/smime-notes.txt: Update.

	* mx.c: little fix.

	* mh.c: Ups, don't use the wrong check function...

	* mh.c: Clean up the mh code, too.

	* mh.c: indentation

	* mh.c, mx.c, mx.h: Maildir efficiency improvements, from Michael Elkins and Thomas
	Roessler.

	* crypt.c, curs_lib.c, smime.c: S/MIME nits.

	* reap.pl: We don't need this any more.

	* imap/message.c, doc/Makefile.in, doc/smime-notes.txt, contrib/Makefile.in, contrib/ca-bundle.crt, contrib/smime.rc, Makefile.am, OPS.CRYPT, OPS.PGP, OPS.SMIME, attach.c, commands.c, compose.c, configure.in, copy.c, copy.h, crypt.c, crypt.h, curs_main.c, functions.h, globals.h, handler.c, hdrline.c, headers.c, hook.c, init.c, init.h, keymap.c, keymap.h, main.c, mutt.h, muttlib.c, mx.c, pager.c, parse.c, pattern.c, pgp.c, pgp.h, pgplib.h, pop.c, postpone.c, protos.h, recvattach.c, send.c, sendlib.c, smime.c, smime.h, smime_keys.pl: S/MIME support.  From Oliver Ehli <elmy@acm.org> and Mike Schiraldi
	<raldi@research.netsol.com>.

	* po/pt_BR.po, po/pt_BR.po: update

	* doc/manual.sgml.head, doc/muttrc.man.head, attach.c, globals.h, init.h, protos.h, rfc1524.c, sendlib.c: Introduce mime_lookup.  From Brian Foley and Ulf Erikson.

	* po/ru.po, po/ru.po: update

	* mh.c: Make reading maildirs more efficient.

	* VERSION: Pseudo-revision for mutt-1.5.

	* m4/glibc21.m4, m4/gssapi.m4, m4/iconv.m4, m4/lcmessage.m4, m4/progtest.m4, m4/funcdecl.m4, m4/gettext.m4, m4/codeset.m4, m4/curslib.m4, m4/README, m4/.cvsignore, m4/Makefile.am.in: version bump

	* po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/pl.po, po/pt_BR.po, po/ru.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/fr.po, po/gl.po, po/hu.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/.cvsignore, po/Makefile.in.in, po/POTFILES.in, po/ca.po, po/cs.po, po/da.po, po/de.po, imap/.cvsignore, imap/BUGS, imap/Makefile.am, imap/README, imap/TODO, imap/auth.c, imap/auth.h, imap/auth_anon.c, imap/auth_cram.c, imap/auth_gss.c, imap/auth_login.c, imap/auth_sasl.c, imap/browse.c, imap/command.c, imap/imap.c, imap/imap.h, imap/imap_private.h, imap/message.c, imap/message.h, imap/utf7.c, imap/util.c: more version bumps.

	* intl/.cvsignore, intl/COPYING.LIB-2, intl/COPYING.LIB-2.1, intl/ChangeLog, intl/Makefile.in, intl/VERSION, intl/bindtextdom.c, intl/cat-compat.c, intl/config.charset, intl/dcgettext.c, intl/dcigettext.c, intl/dcngettext.c, intl/dgettext.c, intl/dngettext.c, intl/explodename.c, intl/finddomain.c, intl/gettext.c, intl/gettext.h, intl/gettextP.h, intl/hash-string.h, intl/intl-compat.c, intl/l10nflist.c, intl/libgettext.h, intl/libgnuintl.h, intl/libintl.glibc, intl/linux-msg.sed, intl/loadinfo.h, intl/loadmsgcat.c, intl/localcharset.c, intl/locale.alias, intl/localealias.c, intl/ngettext.c, intl/plural.c, intl/plural.y, intl/po2tbl.sed.in, intl/ref-add.sin, intl/ref-del.sin, intl/textdomain.c, intl/xopen-msg.sed: more version number updates.

	* doc/.cvsignore, doc/Makefile.in, doc/PGP-Notes.txt, doc/applying-patches.txt, doc/devel-notes.txt, doc/dotlock.man, doc/instdoc.sh.in, doc/manual.sgml.head, doc/manual.sgml.tail, doc/mbox.man, doc/mutt.man, doc/muttbug.man, doc/muttrc.man.head, doc/muttrc.man.tail, doc/patch-notes.txt: more version number updates

	* contrib/iconv/README, contrib/iconv/iconv.aix-3.2.5.rc, contrib/iconv/iconv.aix-4.1.5.rc, contrib/iconv/iconv.aix-4.2.0.rc, contrib/iconv/iconv.aix-4.3.2.rc, contrib/iconv/iconv.freebsd-3.3.rc, contrib/iconv/iconv.glibc-2.1.3.rc, contrib/iconv/iconv.glibc-2.1.90.rc, contrib/iconv/iconv.hpux-10.01.rc, contrib/iconv/iconv.hpux-10.20.rc, contrib/iconv/iconv.hpux-11.00.rc, contrib/iconv/iconv.irix-6.5.rc, contrib/iconv/iconv.osf1-4.0a.rc, contrib/iconv/iconv.osf1-4.0d.rc, contrib/iconv/iconv.solaris-2.4.rc, contrib/iconv/iconv.solaris-2.5.1.rc, contrib/iconv/iconv.solaris-2.6-cjk.rc, contrib/iconv/iconv.solaris-2.6.rc, contrib/iconv/iconv.solaris-2.7.rc, contrib/iconv/make.sh, contrib/.cvsignore, contrib/Makefile.in, contrib/Mush.rc, contrib/Pine.rc, contrib/Tin.rc, contrib/gpg.rc, contrib/language.txt, contrib/language50.txt, contrib/patch.slang-1.2.2.keypad.1, contrib/pgp2.rc, contrib/pgp5.rc, contrib/pgp6.rc, contrib/sample.mailcap, contrib/sample.muttrc, contrib/sample.muttrc-tlr: Bumping more version numbers.

	* snprintf.c, sort.c, sort.h, stamp-h.in, status.c, strcasecmp.c, strdup.c, system.c, thread.c, url.c, url.h, utf8.c, wcwidth.c, pgpkey.c, pgplib.c, pgplib.h, pgpmicalg.c, pgppacket.c, pgppacket.h, pgppubring.c, pop.c, pop.h, pop_auth.c, pop_lib.c, postpone.c, prepare, protos.h, query.c, reap.pl, recvattach.c, recvcmd.c, regex.c, reldate.h, remailer.c, remailer.h, resize.c, rfc1524.c, rfc1524.h, rfc2047.c, rfc2047.h, rfc2231.c, rfc2231.h, rfc822.c, rfc822.h, score.c, send.c, sendlib.c, sha1.c, sha1.h, signal.c, md5.h, md5c.c, menu.c, mh.c, mime.h, mime.types, missing, mkinstalldirs, mkjtags.c, mutt.h, mutt_curses.h, mutt_menu.h, mutt_regex.h, mutt_sasl.c, mutt_sasl.h, mutt_socket.c, mutt_socket.h, mutt_ssl.c, mutt_ssl.h, mutt_ssl_nss.c, mutt_tunnel.c, mutt_tunnel.h, muttbug, muttbug.sh.in, muttlib.c, mx.c, mx.h, pager.c, pager.h, parse.c, patchlist.sh, pattern.c, pgp.c, pgp.h, pgpewrap.c, pgpinvoke.c, editmsg.c, enter.c, extlib.c, filter.c, flags.c, from.c, functions.h, gen_defs, getdomain.c, gettext.c, globals.h, gnupgparse.c, handler.c, hash.c, hash.h, hdrline.c, headers.c, help.c, history.c, history.h, hook.c, init.c, init.h, install-sh, keymap.c, keymap.h, lib.c, lib.h, mailbox.h, main.c, makedoc.c, mapping.h, mbox.c, mbyte.c, mbyte.h, attach.c, attach.h, base64.c, browser.c, browser.h, buffy.c, buffy.h, build-release, charset.c, charset.h, check_sec.sh, color.c, commands.c, complete.c, compose.c, config.guess, config.sub, configure.in, copy.c, copy.h, curs_lib.c, curs_main.c, date.c, depcomp, dotlock.c, dotlock.h, edit.c, GPL, INSTALL, Makefile.am, Muttrc.head.in, NEWS, OPS, OPS.MIX, OPS.PGP, PATCHES, README, README.SECURITY, README.SSL, TODO, VERSION, _regex.h, acconfig.h, account.c, account.h, addrbook.c, alias.c, ascii.c, ascii.h, .cvsignore, ABOUT-NLS, BEWARE, COPYRIGHT, ChangeLog: Bumping version numbers to 3.0, for the new unstable branch.

	* send.c: branches:  2.77.2;
	Set default Fcc when resending a message.

	* po/ja.po: branches:  1.33.2;
	update

2002/01/23 22:37:12  Thomas Roessler <roessler@does-not-exist.org>

	* po/da.po: branches:  1.67.2;
	updates

	* po/el.po: branches:  1.77.2;
	updates

	* po/et.po: branches:  1.21.2;
	updates

	* po/ko.po: branches:  1.72.2;
	updates

	* po/pl.po: branches:  1.94.2;
	updates

	* po/uk.po, po/id.po: branches:  1.84.2;
	update

	* charset.c: branches:  2.50.2;
	Fix #999.  A single missing comma.

2002/01/22 12:12:45  Thomas Roessler <roessler@does-not-exist.org>

	* po/pt_BR.po: branches:  1.58.2;
	automatic post-release commit for mutt-1.3.27

	* po/ru.po: branches:  1.129.2;
	automatic post-release commit for mutt-1.3.27

	* po/sk.po: branches:  1.66.2;
	automatic post-release commit for mutt-1.3.27

	* po/sv.po: branches:  1.80.2;
	automatic post-release commit for mutt-1.3.27

	* po/tr.po: branches:  1.25.2;
	automatic post-release commit for mutt-1.3.27

	* po/uk.po: automatic post-release commit for mutt-1.3.27

	* po/zh_CN.po: branches:  1.14.2;
	automatic post-release commit for mutt-1.3.27

	* po/zh_TW.po: branches:  1.11.2;
	automatic post-release commit for mutt-1.3.27

	* po/hu.po: branches:  1.17.2;
	automatic post-release commit for mutt-1.3.27

	* po/id.po: automatic post-release commit for mutt-1.3.27

	* po/it.po: branches:  1.103.2;
	automatic post-release commit for mutt-1.3.27

	* po/ja.po, po/ko.po: automatic post-release commit for mutt-1.3.27

	* po/lt.po: branches:  1.25.2;
	automatic post-release commit for mutt-1.3.27

	* po/nl.po: branches:  1.74.2;
	automatic post-release commit for mutt-1.3.27

	* po/pl.po: automatic post-release commit for mutt-1.3.27

	* po/ca.po: branches:  1.6.2;
	automatic post-release commit for mutt-1.3.27

	* po/cs.po: branches:  1.75.2;
	automatic post-release commit for mutt-1.3.27

	* po/da.po: automatic post-release commit for mutt-1.3.27

	* po/de.po: branches:  1.160.2;
	automatic post-release commit for mutt-1.3.27

	* po/el.po: automatic post-release commit for mutt-1.3.27

	* po/eo.po: branches:  1.80.2;
	automatic post-release commit for mutt-1.3.27

	* po/es.po: branches:  1.89.2;
	automatic post-release commit for mutt-1.3.27

	* po/et.po: automatic post-release commit for mutt-1.3.27

	* po/fr.po: branches:  1.108.2;
	automatic post-release commit for mutt-1.3.27

	* po/gl.po: branches:  1.61.2;
	automatic post-release commit for mutt-1.3.27

	* ChangeLog: branches:  2.73.2;
	automatic post-release commit for mutt-1.3.27

	* VERSION: branches:  2.63.2;
	automatic post-release commit for mutt-1.3.27

	* reldate.h: branches:  2.55.2;
	automatic post-release commit for mutt-1.3.27

2002/01/21 17:43:19  Thomas Roessler <roessler@does-not-exist.org>

	* po/it.po: update

	* po/sv.po, po/de.po, po/eo.po: updates

	* mutt_ssl.c: A fix from Ulf Erikson, which he says to fix bug #989.

2002/01/18 11:44:54  Thomas Roessler <roessler@does-not-exist.org>

	* po/zh_CN.po, po/zh_TW.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, VERSION, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, reldate.h, ChangeLog: automatic post-release commit for mutt-1.3.26

2002/01/17 22:41:45  Thomas Roessler <roessler@does-not-exist.org>

	* configure.in: branches:  2.129.2;
	Use ncurses.h for configure tests, if present.

2002/01/16 20:44:49  Thomas Roessler <roessler@does-not-exist.org>

	* config.guess, config.sub, missing, mkinstalldirs: Updated auto* files. From Lars Hecking.

	* curs_main.c: patch-1.3.25-de-new_threads.1

	* protos.h: branches:  2.86.2;
	patch-1.3.25-de-new_threads.1

	* thread.c: branches:  2.27.2;
	patch-1.3.25-de-new_threads.1

2002/01/15 22:08:12  Thomas Roessler <roessler@does-not-exist.org>

	* acconfig.h, configure.in: Configure and config.h cleanup.  From Lars Hecking.

	* handler.c: branches:  2.52.2;
	Don't hallucinate a '\n' in the end of quoted-printable encoded
	attachments.

	* po/fr.po: update.

	* flags.c: patch-1.3.25.tlr.maildir_trash.1

	* mh.c: branches:  2.42.2;
	patch-1.3.25.tlr.maildir_trash.1

	* mutt.h: branches:  2.111.2;
	patch-1.3.25.tlr.maildir_trash.1

	* mx.c: branches:  2.63.2;
	patch-1.3.25.tlr.maildir_trash.1

	* po/ko.po: update

	* init.c: branches:  2.60.2;
	Avoid reading past the end of ta string when handling \ or ^
	sequences.  From Michael Elkins.

	* po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/gl.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/ca.po, po/cs.po, po/da.po, pgpkey.c: Shorten some messages.  Noted by Jeremy Blosser.  #978.

	* pattern.c: branches:  2.23.2;
	Fix an off-by-one error.

2002/01/14 09:03:31  Thomas Roessler <roessler@does-not-exist.org>

	* imap/imap.c: branches:  1.90.2;
	fix another case-sensitive comparison.

2002/01/13 21:19:25  Thomas Roessler <roessler@does-not-exist.org>

	* ascii.h: Fix the ascii_strncmp() macro.

	* imap/auth_sasl.c: Parse IMAP responses locale- and case- insensitive.  From Brendan
	Cully.

	* imap/browse.c: branches:  1.34.2;
	Parse IMAP responses locale- and case- insensitive.  From Brendan
	Cully.

	* imap/command.c: branches:  1.35.2;
	Parse IMAP responses locale- and case- insensitive.  From Brendan
	Cully.

	* imap/imap.c: Parse IMAP responses locale- and case- insensitive.  From Brendan
	Cully.

	* imap/message.c: branches:  1.60.2;
	Parse IMAP responses locale- and case- insensitive.  From Brendan
	Cully.

	* imap/util.c: branches:  1.51.2;
	Parse IMAP responses locale- and case- insensitive.  From Brendan
	Cully.

	* muttlib.c: branches:  2.52.2;
	A different fix for the '\012' issue.  Bug tracked down by Johannes
	Geiger <geiger@ePost.de>.

	* pager.c: A different fix for the '\012' issue.  Bug tracked down by Johannes
	Geiger <geiger@ePost.de>.

2002/01/12 11:42:18  Thomas Roessler <roessler@does-not-exist.org>

	* NEWS: More on ~=.

	* doc/manual.sgml.head: branches:  1.73.2;
	Add a ~= pattern.  From Frederic Duval.

	* doc/muttrc.man.head: branches:  1.16.2;
	Add a ~= pattern.  From Frederic Duval.

	* mutt.h, pattern.c: Add a ~= pattern.  From Frederic Duval.

	* doc/manual.sgml.head: Fix a typo, #971.

2002/01/09 15:39:28  Thomas Roessler <roessler@does-not-exist.org>

	* pgp.c: Fix #960.

2002/01/08 13:06:21  Thomas Roessler <roessler@does-not-exist.org>

	* mx.c: Try to fix #943.

	* INSTALL: branches:  2.15.2;  2.15.4;
	fix libiconv URL.  #959.

	* NEWS: fix libiconv URL.  #959.

2002/01/07 19:10:51  Thomas Roessler <roessler@does-not-exist.org>

	* po/ko.po: update

	* attach.c: branches:  2.29.2;
	Fix #951.

2002/01/04 14:30:29  Thomas Roessler <roessler@does-not-exist.org>

	* rfc822.c: Terminate the correct buffer.  Noted by Durval Menezes
	<durval@tmp.com.br>.  (This bug shouldn't have any security
	implications. ;-)

	* po/et.po, po/fr.po, po/pl.po, po/sv.po: updates.

2002/01/03 20:57:20  Thomas Roessler <roessler@does-not-exist.org>

	* mutt_ssl.c, mutt_ssl.h, mutt_ssl_nss.c, globals.h: Move some globals where they belong.  From Brendan Cully.

2002/01/02 16:28:46  Thomas Roessler <roessler@does-not-exist.org>

	* acconfig.h: Cleanup; from Lars Hecking.

	* mutt_ssl.c: Replace a few strncpy() calls by strfcpy().

	* recvcmd.c: Bug fix.  Problem noted by Vincent Lefevre's compiler.

	* muttlib.c: Fix the \012 bug.

2002/01/01 20:18:41  Thomas Roessler <roessler@does-not-exist.org>

	* po/zh_TW.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po, po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/da.po, po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/fr.po, po/gl.po, po/Makefile.in.in, po/ca.po, po/cs.po, reldate.h, ChangeLog, VERSION: automatic post-release commit for mutt-1.3.25

	* intl/COPYING.LIB-2, intl/COPYING.LIB-2.1: ups, these were missing from the CVS.

	* po/ca.po: update.

	* po/uk.po, po/zh_TW.Big5.po, po/sk.po, po/sv.po, po/ru.po, po/pl.po, po/pt_BR.po, po/ko.po, po/nl.po, po/it.po, po/gl.po, po/id.po, po/es.po, po/fr.po, po/el.po, po/eo.po, po/de.po, po/cs.po, po/da.po, ChangeLog, VERSION, rfc822.c: post-release commit for mutt-1.2.5.1.

	* rfc822.c: Fix a security problem.

